/* $Id: Scanner.c,v 2.19 1993/08/18 17:28:53 grosch rel $ */

# define bool		char
# define true		1
# define false		0
# define StdIn		0
 
# include "BreezeScan.h"

# ifdef __cplusplus
extern "C" {
#    include "BreezeScanSource.h"
#    include "rSystem.h"
#    include "General.h"
#    include "DynArray.h"
#    include "Positions.h"
}
# else
#    include "BreezeScanSource.h"
#    include "rSystem.h"
#    include "General.h"
#    include "DynArray.h"
#    include "Positions.h"
# endif
 
# include <stdio.h>
# if defined __STDC__ | defined __cplusplus
#  include <stdlib.h>
# else
/* extern char * malloc ();
   extern void free (); */
# endif

# define yyTabSpace	8

# define yyStart(State)	{ yyPreviousStart = yyStartState; yyStartState = State; }
# define yyPrevious	{ yyStateRange s = yyStartState; \
	 		yyStartState = yyPreviousStart; yyPreviousStart = s; }
# define yyEcho		{ char * yyEnd = BreezeScan_TokenPtr + BreezeScan_TokenLength; \
			char yyCh = * yyEnd; * yyEnd = '\0'; \
	 		(void) fputs (BreezeScan_TokenPtr, stdout); * yyEnd = yyCh; }
# define yyLess(n)	{ yyChBufferIndex -= BreezeScan_TokenLength - n; BreezeScan_TokenLength = n; }
# define yyTab		yyLineStart -= yyTabSpace - 1 - ((unsigned char *) BreezeScan_TokenPtr - yyLineStart - 1) % yyTabSpace
# define yyTab1(a)	yyLineStart -= yyTabSpace - 1 - ((unsigned char *) BreezeScan_TokenPtr - yyLineStart + a - 1) % yyTabSpace
# define yyTab2(a,b)	yyLineStart -= yyTabSpace - 1 - ((unsigned char *) BreezeScan_TokenPtr - yyLineStart + a - 1) % yyTabSpace
# define yyEol(Column)	{ yyLineCount ++; yyLineStart = yyChBufferIndex - 1 - Column; }
# define output(c)	(void) putchar ((int) c)
# define unput(c)	* (-- yyChBufferIndex) = c

# define yyDNoState		0
# define yyFileStackSize	16
# define yyInitBufferSize	1024 * 8 + 256
# define yyFirstCh	(unsigned char) '\0'
# define yyLastCh	(unsigned char) '\177'
# define yyEolCh	(unsigned char) '\12'
# define yyEobCh	(unsigned char) '\177'
# define yyDStateCount	1247
# define yyTableSize	1688
# define yyEobState	11
# define yyDefaultState	12
# define STD	1
 
static void yyExit () { rExit (1); }

typedef unsigned short	yyStateRange;
typedef struct { yyStateRange yyCheck, yyNext; } yyCombType;
 
	char *		BreezeScan_TokenPtr	;
	short		BreezeScan_TokenLength	;
	BreezeScan_tScanAttribute	BreezeScan_Attribute	;
	void		(* BreezeScan_Exit) () = yyExit;
 
static	yyCombType	yyComb		[yyTableSize   + 1] = {{1, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{1, 14},
{1, 13},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{1, 15},
{280, 281},
{1, 5},
{1, 1245},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{1, 1244},
{1, 1240},
{0, 0},
{0, 0},
{0, 0},
{1, 9},
{19, 20},
{72, 73},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{1, 3},
{123, 124},
{1, 6},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{3, 3},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{9, 7},
{132, 133},
{138, 139},
{143, 144},
{171, 172},
{182, 183},
{191, 192},
{201, 202},
{210, 211},
{216, 217},
{225, 226},
{237, 238},
{249, 250},
{259, 260},
{296, 297},
{313, 314},
{7, 7},
{318, 319},
{1, 104},
{1, 118},
{1, 16},
{1, 150},
{1, 364},
{1, 384},
{1, 481},
{1, 697},
{1, 53},
{20, 21},
{3, 3},
{1, 289},
{1, 818},
{1, 939},
{1, 756},
{1, 43},
{18, 19},
{1, 579},
{1, 166},
{1, 29},
{1, 63},
{1, 305},
{1, 464},
{4, 4},
{21, 22},
{22, 23},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{10, 11},
{23, 24},
{24, 25},
{25, 26},
{26, 27},
{27, 28},
{29, 30},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{30, 31},
{31, 32},
{35, 36},
{36, 37},
{4, 4},
{37, 38},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{4, 4},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{39, 40},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 8},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{5, 5},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{40, 41},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{6, 6},
{16, 17},
{17, 18},
{32, 33},
{33, 1176},
{34, 35},
{33, 951},
{38, 725},
{16, 97},
{17, 387},
{41, 42},
{44, 45},
{44, 762},
{43, 44},
{45, 46},
{16, 83},
{33, 34},
{43, 490},
{33, 1015},
{46, 508},
{46, 47},
{47, 730},
{34, 355},
{48, 49},
{49, 50},
{50, 51},
{51, 52},
{43, 114},
{54, 55},
{53, 686},
{43, 129},
{53, 138},
{55, 56},
{43, 92},
{57, 58},
{55, 1241},
{56, 57},
{58, 59},
{53, 54},
{53, 535},
{56, 1117},
{59, 60},
{60, 61},
{61, 62},
{63, 64},
{64, 1071},
{65, 66},
{66, 67},
{64, 65},
{67, 68},
{68, 69},
{69, 70},
{70, 71},
{71, 72},
{73, 74},
{74, 75},
{75, 76},
{76, 77},
{32, 216},
{77, 78},
{78, 79},
{79, 80},
{80, 81},
{38, 39},
{64, 197},
{81, 82},
{83, 84},
{83, 701},
{84, 438},
{85, 86},
{86, 87},
{84, 85},
{87, 88},
{88, 89},
{89, 90},
{90, 91},
{92, 93},
{47, 48},
{93, 94},
{95, 96},
{97, 98},
{98, 99},
{99, 100},
{92, 95},
{100, 101},
{101, 102},
{102, 282},
{104, 767},
{105, 106},
{106, 107},
{107, 108},
{104, 1084},
{108, 109},
{109, 110},
{110, 111},
{111, 112},
{104, 1219},
{112, 113},
{114, 115},
{115, 116},
{116, 713},
{118, 1180},
{104, 268},
{104, 527},
{104, 105},
{119, 120},
{120, 121},
{121, 122},
{122, 123},
{118, 552},
{124, 125},
{125, 126},
{118, 340},
{126, 127},
{127, 128},
{118, 883},
{129, 130},
{130, 131},
{118, 119},
{131, 132},
{133, 134},
{118, 177},
{129, 231},
{134, 135},
{135, 136},
{136, 137},
{139, 161},
{139, 140},
{140, 141},
{141, 142},
{142, 143},
{144, 145},
{145, 146},
{146, 147},
{147, 148},
{148, 149},
{150, 151},
{151, 152},
{139, 720},
{152, 153},
{151, 772},
{153, 154},
{154, 155},
{144, 708},
{155, 156},
{156, 157},
{150, 1127},
{157, 158},
{158, 159},
{159, 160},
{161, 162},
{162, 163},
{163, 164},
{164, 165},
{166, 276},
{167, 168},
{102, 103},
{166, 167},
{166, 265},
{168, 169},
{169, 170},
{170, 171},
{172, 173},
{173, 174},
{174, 175},
{175, 176},
{177, 178},
{178, 179},
{179, 180},
{166, 1140},
{116, 117},
{180, 181},
{181, 182},
{183, 184},
{166, 532},
{184, 185},
{185, 186},
{186, 187},
{187, 188},
{188, 189},
{189, 190},
{190, 191},
{192, 193},
{193, 194},
{194, 195},
{195, 196},
{197, 198},
{183, 1184},
{198, 199},
{199, 200},
{200, 201},
{202, 857},
{203, 204},
{204, 205},
{202, 203},
{205, 206},
{206, 207},
{207, 208},
{208, 209},
{209, 210},
{211, 212},
{212, 213},
{213, 214},
{214, 215},
{217, 870},
{218, 219},
{219, 220},
{217, 218},
{220, 221},
{221, 222},
{222, 223},
{153, 707},
{223, 224},
{224, 225},
{226, 227},
{227, 228},
{228, 229},
{229, 230},
{231, 232},
{232, 233},
{233, 234},
{234, 235},
{235, 236},
{236, 237},
{238, 255},
{239, 240},
{238, 380},
{238, 794},
{240, 241},
{241, 242},
{242, 243},
{243, 244},
{244, 245},
{245, 246},
{246, 247},
{247, 248},
{248, 249},
{250, 251},
{251, 252},
{238, 239},
{252, 253},
{253, 254},
{255, 256},
{256, 257},
{257, 258},
{258, 259},
{260, 261},
{261, 262},
{262, 263},
{263, 264},
{265, 266},
{266, 267},
{268, 269},
{269, 270},
{270, 271},
{271, 272},
{272, 273},
{273, 274},
{274, 275},
{276, 277},
{277, 278},
{278, 279},
{265, 1062},
{279, 280},
{276, 512},
{283, 284},
{282, 827},
{284, 285},
{268, 619},
{282, 283},
{285, 286},
{286, 287},
{287, 288},
{289, 290},
{282, 601},
{290, 291},
{291, 292},
{289, 1000},
{292, 293},
{293, 294},
{294, 295},
{289, 1154},
{295, 296},
{297, 298},
{298, 299},
{299, 300},
{300, 301},
{289, 487},
{301, 302},
{302, 303},
{303, 304},
{305, 306},
{306, 777},
{307, 308},
{289, 613},
{308, 325},
{309, 310},
{310, 311},
{306, 307},
{311, 312},
{308, 309},
{243, 379},
{312, 313},
{314, 315},
{315, 316},
{316, 317},
{317, 318},
{319, 320},
{320, 321},
{321, 322},
{322, 323},
{323, 324},
{325, 326},
{326, 327},
{327, 328},
{328, 329},
{329, 330},
{330, 331},
{331, 332},
{332, 333},
{333, 334},
{334, 335},
{335, 336},
{336, 337},
{337, 338},
{338, 339},
{340, 341},
{341, 342},
{342, 343},
{343, 344},
{344, 520},
{345, 346},
{346, 347},
{347, 348},
{348, 349},
{349, 350},
{350, 351},
{351, 352},
{352, 353},
{344, 607},
{353, 354},
{355, 356},
{356, 357},
{344, 345},
{357, 358},
{358, 359},
{359, 360},
{360, 361},
{361, 362},
{362, 363},
{364, 917},
{365, 1165},
{366, 367},
{307, 847},
{367, 368},
{368, 961},
{369, 370},
{370, 371},
{365, 366},
{371, 372},
{364, 365},
{372, 373},
{373, 374},
{374, 375},
{375, 376},
{368, 369},
{376, 377},
{377, 378},
{380, 381},
{381, 382},
{382, 383},
{384, 1237},
{385, 386},
{386, 394},
{387, 388},
{388, 389},
{389, 390},
{384, 385},
{389, 432},
{390, 391},
{389, 405},
{391, 392},
{392, 393},
{384, 971},
{389, 419},
{394, 395},
{395, 396},
{396, 397},
{397, 398},
{389, 414},
{398, 399},
{399, 400},
{400, 401},
{401, 402},
{402, 403},
{403, 404},
{405, 406},
{406, 407},
{407, 408},
{408, 409},
{409, 410},
{410, 411},
{411, 412},
{412, 413},
{414, 415},
{415, 416},
{416, 417},
{417, 418},
{419, 420},
{420, 421},
{421, 422},
{422, 423},
{423, 426},
{424, 425},
{426, 427},
{427, 428},
{428, 429},
{429, 430},
{430, 431},
{432, 433},
{433, 434},
{434, 435},
{435, 436},
{436, 437},
{367, 1097},
{438, 439},
{439, 440},
{440, 441},
{441, 442},
{442, 443},
{443, 444},
{444, 445},
{445, 446},
{446, 447},
{447, 448},
{449, 450},
{448, 460},
{386, 785},
{448, 449},
{450, 451},
{451, 452},
{452, 453},
{453, 454},
{454, 455},
{455, 456},
{456, 457},
{457, 458},
{458, 459},
{460, 461},
{461, 462},
{462, 463},
{464, 465},
{465, 466},
{466, 467},
{467, 468},
{468, 469},
{469, 470},
{470, 471},
{471, 472},
{472, 473},
{473, 474},
{474, 475},
{475, 476},
{476, 477},
{477, 478},
{478, 479},
{479, 480},
{481, 482},
{423, 424},
{482, 483},
{483, 484},
{484, 485},
{485, 486},
{487, 488},
{488, 489},
{490, 491},
{491, 492},
{492, 493},
{493, 494},
{494, 495},
{495, 496},
{496, 497},
{497, 498},
{498, 499},
{499, 500},
{500, 501},
{501, 502},
{502, 503},
{503, 504},
{504, 505},
{505, 506},
{506, 507},
{508, 509},
{509, 510},
{510, 511},
{512, 513},
{513, 514},
{514, 515},
{515, 516},
{516, 517},
{517, 518},
{518, 519},
{520, 521},
{521, 522},
{522, 523},
{523, 524},
{524, 525},
{525, 526},
{527, 572},
{528, 529},
{529, 530},
{530, 531},
{532, 533},
{533, 534},
{534, 747},
{535, 831},
{536, 537},
{537, 538},
{538, 539},
{539, 540},
{540, 541},
{541, 542},
{535, 536},
{542, 543},
{543, 544},
{544, 545},
{545, 546},
{546, 547},
{547, 548},
{548, 549},
{549, 550},
{550, 551},
{552, 1053},
{553, 554},
{554, 555},
{555, 556},
{556, 557},
{557, 558},
{552, 553},
{558, 559},
{559, 560},
{560, 561},
{561, 562},
{562, 563},
{563, 564},
{564, 565},
{565, 1007},
{566, 567},
{567, 568},
{568, 569},
{569, 570},
{570, 571},
{572, 1011},
{565, 566},
{573, 574},
{574, 575},
{575, 576},
{576, 577},
{577, 578},
{572, 573},
{579, 1020},
{580, 670},
{581, 582},
{582, 583},
{579, 580},
{583, 584},
{584, 585},
{585, 586},
{586, 587},
{587, 588},
{588, 589},
{589, 590},
{580, 581},
{590, 591},
{591, 592},
{592, 593},
{593, 594},
{594, 595},
{527, 528},
{595, 596},
{596, 597},
{597, 598},
{598, 599},
{599, 600},
{601, 602},
{602, 603},
{603, 604},
{604, 605},
{605, 606},
{607, 608},
{608, 609},
{609, 610},
{610, 611},
{611, 612},
{613, 614},
{614, 615},
{615, 616},
{616, 617},
{617, 618},
{619, 620},
{620, 621},
{621, 622},
{622, 634},
{623, 624},
{622, 623},
{624, 625},
{622, 659},
{625, 626},
{626, 627},
{627, 628},
{628, 629},
{629, 630},
{630, 631},
{631, 632},
{632, 633},
{634, 635},
{635, 636},
{636, 637},
{637, 638},
{638, 639},
{622, 647},
{622, 1204},
{639, 640},
{640, 947},
{641, 642},
{642, 643},
{643, 644},
{644, 645},
{645, 646},
{647, 648},
{640, 641},
{648, 649},
{649, 650},
{650, 651},
{651, 652},
{652, 1026},
{653, 654},
{654, 655},
{655, 656},
{656, 657},
{657, 658},
{659, 660},
{652, 653},
{660, 661},
{661, 662},
{662, 663},
{663, 664},
{664, 665},
{665, 666},
{666, 667},
{667, 668},
{668, 669},
{670, 671},
{659, 1030},
{671, 672},
{672, 673},
{673, 674},
{621, 735},
{674, 675},
{675, 676},
{676, 677},
{677, 678},
{678, 679},
{679, 1041},
{680, 681},
{681, 682},
{682, 683},
{683, 684},
{684, 685},
{686, 687},
{679, 680},
{687, 688},
{688, 689},
{674, 1200},
{689, 690},
{690, 1150},
{691, 692},
{692, 693},
{693, 694},
{694, 695},
{695, 696},
{697, 698},
{690, 691},
{698, 699},
{699, 700},
{701, 1232},
{701, 702},
{702, 703},
{703, 704},
{704, 705},
{705, 706},
{708, 709},
{709, 710},
{710, 711},
{711, 712},
{713, 714},
{714, 715},
{715, 716},
{716, 717},
{717, 718},
{718, 719},
{720, 721},
{721, 722},
{722, 723},
{723, 724},
{725, 726},
{726, 727},
{727, 728},
{728, 729},
{730, 731},
{731, 732},
{732, 733},
{733, 734},
{735, 736},
{736, 737},
{737, 806},
{738, 739},
{739, 740},
{740, 741},
{741, 742},
{743, 744},
{742, 798},
{744, 745},
{745, 746},
{747, 802},
{748, 749},
{749, 750},
{750, 751},
{737, 752},
{752, 753},
{753, 754},
{737, 738},
{678, 938},
{742, 743},
{754, 755},
{756, 757},
{747, 748},
{757, 758},
{758, 759},
{759, 760},
{760, 761},
{762, 763},
{763, 764},
{764, 765},
{689, 937},
{765, 766},
{767, 768},
{768, 769},
{769, 770},
{770, 771},
{772, 773},
{773, 774},
{774, 775},
{775, 776},
{777, 994},
{778, 779},
{779, 780},
{780, 781},
{781, 782},
{782, 783},
{783, 784},
{785, 786},
{786, 787},
{787, 788},
{788, 789},
{789, 790},
{790, 791},
{791, 792},
{792, 793},
{794, 795},
{795, 796},
{796, 797},
{798, 799},
{799, 800},
{800, 801},
{802, 803},
{803, 804},
{804, 805},
{806, 807},
{807, 808},
{808, 809},
{809, 810},
{810, 811},
{811, 812},
{812, 813},
{813, 814},
{814, 815},
{815, 816},
{816, 817},
{818, 819},
{819, 820},
{820, 821},
{821, 822},
{822, 823},
{823, 824},
{824, 825},
{825, 826},
{827, 828},
{828, 829},
{829, 830},
{831, 832},
{832, 833},
{833, 834},
{834, 835},
{835, 836},
{836, 837},
{837, 838},
{838, 839},
{839, 840},
{840, 841},
{841, 842},
{779, 906},
{842, 843},
{843, 844},
{844, 845},
{845, 846},
{847, 848},
{848, 849},
{849, 850},
{850, 851},
{851, 852},
{852, 853},
{853, 854},
{854, 855},
{855, 856},
{857, 858},
{777, 778},
{858, 859},
{859, 860},
{860, 861},
{861, 862},
{862, 863},
{863, 864},
{864, 865},
{865, 866},
{866, 867},
{867, 868},
{868, 869},
{870, 871},
{871, 872},
{872, 873},
{873, 874},
{874, 875},
{875, 876},
{876, 877},
{877, 878},
{878, 879},
{879, 880},
{880, 881},
{881, 882},
{883, 884},
{884, 885},
{885, 886},
{886, 887},
{887, 888},
{888, 889},
{889, 890},
{890, 891},
{891, 892},
{892, 893},
{893, 894},
{894, 895},
{895, 896},
{896, 897},
{897, 898},
{898, 899},
{899, 900},
{900, 901},
{901, 902},
{889, 926},
{902, 903},
{903, 904},
{904, 905},
{906, 907},
{907, 908},
{908, 909},
{909, 910},
{910, 911},
{911, 912},
{912, 913},
{913, 914},
{914, 915},
{915, 916},
{917, 918},
{918, 919},
{919, 920},
{920, 921},
{921, 922},
{922, 923},
{923, 924},
{924, 1079},
{926, 927},
{927, 928},
{928, 929},
{929, 930},
{930, 931},
{931, 932},
{932, 933},
{933, 934},
{934, 935},
{935, 936},
{939, 1098},
{940, 941},
{941, 942},
{942, 943},
{939, 940},
{943, 944},
{944, 945},
{945, 946},
{947, 948},
{948, 949},
{949, 950},
{951, 952},
{952, 953},
{953, 954},
{954, 955},
{955, 956},
{956, 957},
{957, 958},
{958, 959},
{959, 960},
{939, 1208},
{961, 962},
{962, 963},
{963, 964},
{964, 965},
{965, 966},
{966, 967},
{967, 968},
{968, 969},
{969, 970},
{971, 972},
{972, 973},
{973, 974},
{974, 975},
{975, 976},
{976, 977},
{977, 978},
{978, 985},
{979, 980},
{980, 981},
{919, 1188},
{981, 982},
{982, 983},
{983, 984},
{985, 986},
{986, 987},
{987, 988},
{988, 989},
{989, 990},
{990, 991},
{978, 979},
{991, 992},
{992, 993},
{994, 995},
{995, 996},
{996, 997},
{997, 998},
{998, 999},
{1000, 1001},
{924, 925},
{1001, 1002},
{1002, 1003},
{1003, 1004},
{1004, 1005},
{1005, 1006},
{1007, 1008},
{1008, 1009},
{1009, 1010},
{1011, 1012},
{1012, 1013},
{1013, 1014},
{1015, 1016},
{1016, 1017},
{1017, 1018},
{1018, 1019},
{1020, 1021},
{1021, 1022},
{1022, 1023},
{1023, 1025},
{1023, 1024},
{1026, 1027},
{1027, 1028},
{1028, 1029},
{1030, 1031},
{1031, 1032},
{1032, 1033},
{1033, 1034},
{1034, 1035},
{1035, 1036},
{1036, 1037},
{1037, 1038},
{1038, 1039},
{1039, 1040},
{1041, 1042},
{1042, 1043},
{1043, 1044},
{1044, 1045},
{1045, 1046},
{1046, 1047},
{1047, 1048},
{1048, 1049},
{1049, 1050},
{1050, 1051},
{1051, 1052},
{1053, 1054},
{1054, 1055},
{1055, 1056},
{1056, 1057},
{1057, 1058},
{1058, 1059},
{1059, 1060},
{1060, 1061},
{1062, 1063},
{1063, 1064},
{1064, 1065},
{1065, 1066},
{1066, 1067},
{1067, 1068},
{1068, 1069},
{1069, 1070},
{1071, 1072},
{1072, 1073},
{1073, 1074},
{1074, 1075},
{1075, 1076},
{1076, 1077},
{1077, 1078},
{1079, 1080},
{1080, 1081},
{1081, 1082},
{1082, 1083},
{1084, 1085},
{1085, 1086},
{1086, 1087},
{1087, 1088},
{1088, 1089},
{1089, 1090},
{1090, 1091},
{1091, 1092},
{1092, 1093},
{1093, 1094},
{1094, 1095},
{1095, 1096},
{1098, 1099},
{1099, 1100},
{1100, 1101},
{1101, 1102},
{1102, 1103},
{1103, 1104},
{1104, 1105},
{1105, 1106},
{1106, 1107},
{1107, 1108},
{1108, 1109},
{1109, 1110},
{1110, 1111},
{1111, 1112},
{1112, 1113},
{1113, 1114},
{1114, 1115},
{1115, 1116},
{1117, 1118},
{1118, 1119},
{1119, 1120},
{1120, 1121},
{1121, 1122},
{1102, 1228},
{1122, 1123},
{1123, 1124},
{1124, 1125},
{1125, 1126},
{1127, 1128},
{1128, 1129},
{1129, 1130},
{1130, 1131},
{1131, 1132},
{1132, 1133},
{1133, 1134},
{1134, 1135},
{1135, 1136},
{1136, 1137},
{1137, 1138},
{1138, 1139},
{1140, 1141},
{1141, 1142},
{1142, 1143},
{1143, 1144},
{1144, 1145},
{1145, 1146},
{1146, 1147},
{1147, 1148},
{1148, 1149},
{1150, 1151},
{1151, 1152},
{1152, 1153},
{1154, 1155},
{1155, 1156},
{1156, 1157},
{1157, 1158},
{1158, 1159},
{1159, 1160},
{1160, 1161},
{1161, 1162},
{1162, 1163},
{1163, 1164},
{1165, 1166},
{1166, 1167},
{1167, 1168},
{1168, 1169},
{1169, 1170},
{1170, 1171},
{1171, 1172},
{1172, 1173},
{1173, 1174},
{1174, 1175},
{1176, 1177},
{1177, 1178},
{1178, 1179},
{1180, 1181},
{1181, 1182},
{1182, 1183},
{1184, 1185},
{1185, 1186},
{1186, 1187},
{1188, 1189},
{1189, 1190},
{1190, 1191},
{1191, 1192},
{1192, 1193},
{1193, 1194},
{1194, 1195},
{1195, 1196},
{1196, 1197},
{1197, 1198},
{1198, 1199},
{1200, 1201},
{1201, 1202},
{1202, 1203},
{1204, 1205},
{1205, 1206},
{1206, 1207},
{1208, 1209},
{1209, 1210},
{1210, 1211},
{1211, 1212},
{1212, 1213},
{1213, 1214},
{1214, 1215},
{1215, 1216},
{1216, 1217},
{1217, 1218},
{1219, 1220},
{1220, 1221},
{1221, 1222},
{1222, 1223},
{1223, 1224},
{1224, 1225},
{1225, 1226},
{1226, 1227},
{1228, 1229},
{1229, 1230},
{1230, 1231},
{1232, 1233},
{1233, 1234},
{1234, 1235},
{1235, 1236},
{1237, 1238},
{1238, 1239},
{1241, 1242},
{1242, 1243},
{1245, 1246},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{1245, 1247},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
};
static	yyCombType *	yyBasePtr	[yyDStateCount + 1] = {& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [12],
& yyComb [75],
& yyComb [198],
& yyComb [325],
& yyComb [0],
& yyComb [0],
& yyComb [22],
& yyComb [6],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [355],
& yyComb [345],
& yyComb [5],
& yyComb [1],
& yyComb [7],
& yyComb [10],
& yyComb [12],
& yyComb [18],
& yyComb [34],
& yyComb [16],
& yyComb [21],
& yyComb [23],
& yyComb [0],
& yyComb [18],
& yyComb [54],
& yyComb [66],
& yyComb [409],
& yyComb [355],
& yyComb [359],
& yyComb [54],
& yyComb [72],
& yyComb [62],
& yyComb [413],
& yyComb [92],
& yyComb [234],
& yyComb [347],
& yyComb [0],
& yyComb [367],
& yyComb [348],
& yyComb [368],
& yyComb [362],
& yyComb [427],
& yyComb [358],
& yyComb [374],
& yyComb [362],
& yyComb [362],
& yyComb [0],
& yyComb [380],
& yyComb [367],
& yyComb [375],
& yyComb [386],
& yyComb [376],
& yyComb [387],
& yyComb [382],
& yyComb [377],
& yyComb [379],
& yyComb [0],
& yyComb [385],
& yyComb [399],
& yyComb [396],
& yyComb [399],
& yyComb [392],
& yyComb [404],
& yyComb [388],
& yyComb [402],
& yyComb [404],
& yyComb [2],
& yyComb [406],
& yyComb [395],
& yyComb [398],
& yyComb [396],
& yyComb [399],
& yyComb [401],
& yyComb [411],
& yyComb [403],
& yyComb [400],
& yyComb [0],
& yyComb [408],
& yyComb [410],
& yyComb [409],
& yyComb [411],
& yyComb [422],
& yyComb [414],
& yyComb [409],
& yyComb [411],
& yyComb [0],
& yyComb [419],
& yyComb [421],
& yyComb [0],
& yyComb [426],
& yyComb [0],
& yyComb [434],
& yyComb [422],
& yyComb [423],
& yyComb [434],
& yyComb [428],
& yyComb [492],
& yyComb [0],
& yyComb [439],
& yyComb [423],
& yyComb [426],
& yyComb [436],
& yyComb [445],
& yyComb [427],
& yyComb [429],
& yyComb [445],
& yyComb [433],
& yyComb [0],
& yyComb [435],
& yyComb [434],
& yyComb [506],
& yyComb [0],
& yyComb [455],
& yyComb [455],
& yyComb [456],
& yyComb [436],
& yyComb [458],
& yyComb [13],
& yyComb [449],
& yyComb [465],
& yyComb [450],
& yyComb [449],
& yyComb [0],
& yyComb [462],
& yyComb [458],
& yyComb [454],
& yyComb [35],
& yyComb [471],
& yyComb [473],
& yyComb [476],
& yyComb [468],
& yyComb [0],
& yyComb [36],
& yyComb [477],
& yyComb [471],
& yyComb [465],
& yyComb [480],
& yyComb [37],
& yyComb [482],
& yyComb [482],
& yyComb [485],
& yyComb [477],
& yyComb [471],
& yyComb [0],
& yyComb [486],
& yyComb [489],
& yyComb [482],
& yyComb [547],
& yyComb [490],
& yyComb [478],
& yyComb [499],
& yyComb [484],
& yyComb [499],
& yyComb [485],
& yyComb [0],
& yyComb [500],
& yyComb [503],
& yyComb [495],
& yyComb [489],
& yyComb [0],
& yyComb [504],
& yyComb [509],
& yyComb [496],
& yyComb [510],
& yyComb [512],
& yyComb [38],
& yyComb [513],
& yyComb [513],
& yyComb [516],
& yyComb [508],
& yyComb [0],
& yyComb [512],
& yyComb [510],
& yyComb [503],
& yyComb [517],
& yyComb [513],
& yyComb [39],
& yyComb [522],
& yyComb [509],
& yyComb [517],
& yyComb [529],
& yyComb [513],
& yyComb [525],
& yyComb [520],
& yyComb [522],
& yyComb [40],
& yyComb [533],
& yyComb [533],
& yyComb [536],
& yyComb [528],
& yyComb [0],
& yyComb [516],
& yyComb [527],
& yyComb [539],
& yyComb [541],
& yyComb [41],
& yyComb [543],
& yyComb [526],
& yyComb [534],
& yyComb [547],
& yyComb [531],
& yyComb [543],
& yyComb [538],
& yyComb [540],
& yyComb [42],
& yyComb [551],
& yyComb [551],
& yyComb [554],
& yyComb [546],
& yyComb [0],
& yyComb [43],
& yyComb [556],
& yyComb [539],
& yyComb [547],
& yyComb [560],
& yyComb [544],
& yyComb [556],
& yyComb [552],
& yyComb [554],
& yyComb [44],
& yyComb [565],
& yyComb [565],
& yyComb [568],
& yyComb [560],
& yyComb [0],
& yyComb [570],
& yyComb [569],
& yyComb [571],
& yyComb [555],
& yyComb [559],
& yyComb [573],
& yyComb [45],
& yyComb [578],
& yyComb [579],
& yyComb [565],
& yyComb [583],
& yyComb [572],
& yyComb [637],
& yyComb [586],
& yyComb [576],
& yyComb [580],
& yyComb [589],
& yyComb [572],
& yyComb [46],
& yyComb [588],
& yyComb [588],
& yyComb [592],
& yyComb [584],
& yyComb [0],
& yyComb [585],
& yyComb [589],
& yyComb [598],
& yyComb [581],
& yyComb [47],
& yyComb [597],
& yyComb [597],
& yyComb [600],
& yyComb [592],
& yyComb [0],
& yyComb [591],
& yyComb [595],
& yyComb [0],
& yyComb [605],
& yyComb [599],
& yyComb [589],
& yyComb [592],
& yyComb [610],
& yyComb [592],
& yyComb [608],
& yyComb [0],
& yyComb [602],
& yyComb [610],
& yyComb [613],
& yyComb [598],
& yyComb [0],
& yyComb [0],
& yyComb [617],
& yyComb [599],
& yyComb [621],
& yyComb [607],
& yyComb [622],
& yyComb [608],
& yyComb [0],
& yyComb [627],
& yyComb [628],
& yyComb [626],
& yyComb [621],
& yyComb [622],
& yyComb [630],
& yyComb [633],
& yyComb [48],
& yyComb [635],
& yyComb [624],
& yyComb [627],
& yyComb [628],
& yyComb [642],
& yyComb [630],
& yyComb [641],
& yyComb [0],
& yyComb [645],
& yyComb [635],
& yyComb [699],
& yyComb [632],
& yyComb [633],
& yyComb [643],
& yyComb [634],
& yyComb [652],
& yyComb [49],
& yyComb [642],
& yyComb [641],
& yyComb [645],
& yyComb [658],
& yyComb [51],
& yyComb [646],
& yyComb [662],
& yyComb [646],
& yyComb [664],
& yyComb [653],
& yyComb [0],
& yyComb [662],
& yyComb [667],
& yyComb [665],
& yyComb [721],
& yyComb [655],
& yyComb [654],
& yyComb [658],
& yyComb [671],
& yyComb [726],
& yyComb [660],
& yyComb [676],
& yyComb [660],
& yyComb [678],
& yyComb [667],
& yyComb [0],
& yyComb [666],
& yyComb [679],
& yyComb [672],
& yyComb [735],
& yyComb [682],
& yyComb [668],
& yyComb [672],
& yyComb [685],
& yyComb [740],
& yyComb [674],
& yyComb [690],
& yyComb [674],
& yyComb [692],
& yyComb [682],
& yyComb [0],
& yyComb [681],
& yyComb [694],
& yyComb [750],
& yyComb [684],
& yyComb [700],
& yyComb [684],
& yyComb [702],
& yyComb [691],
& yyComb [0],
& yyComb [691],
& yyComb [697],
& yyComb [689],
& yyComb [760],
& yyComb [704],
& yyComb [693],
& yyComb [697],
& yyComb [711],
& yyComb [767],
& yyComb [701],
& yyComb [717],
& yyComb [701],
& yyComb [720],
& yyComb [709],
& yyComb [0],
& yyComb [0],
& yyComb [722],
& yyComb [712],
& yyComb [713],
& yyComb [0],
& yyComb [717],
& yyComb [709],
& yyComb [779],
& yyComb [724],
& yyComb [781],
& yyComb [726],
& yyComb [722],
& yyComb [717],
& yyComb [732],
& yyComb [0],
& yyComb [737],
& yyComb [740],
& yyComb [723],
& yyComb [738],
& yyComb [796],
& yyComb [739],
& yyComb [726],
& yyComb [747],
& yyComb [731],
& yyComb [746],
& yyComb [0],
& yyComb [738],
& yyComb [736],
& yyComb [741],
& yyComb [745],
& yyComb [752],
& yyComb [755],
& yyComb [743],
& yyComb [738],
& yyComb [0],
& yyComb [758],
& yyComb [746],
& yyComb [754],
& yyComb [757],
& yyComb [0],
& yyComb [762],
& yyComb [744],
& yyComb [762],
& yyComb [758],
& yyComb [818],
& yyComb [749],
& yyComb [0],
& yyComb [762],
& yyComb [749],
& yyComb [770],
& yyComb [754],
& yyComb [769],
& yyComb [0],
& yyComb [753],
& yyComb [774],
& yyComb [758],
& yyComb [773],
& yyComb [759],
& yyComb [0],
& yyComb [779],
& yyComb [767],
& yyComb [778],
& yyComb [834],
& yyComb [761],
& yyComb [777],
& yyComb [777],
& yyComb [775],
& yyComb [783],
& yyComb [840],
& yyComb [786],
& yyComb [769],
& yyComb [793],
& yyComb [777],
& yyComb [792],
& yyComb [778],
& yyComb [849],
& yyComb [798],
& yyComb [788],
& yyComb [782],
& yyComb [787],
& yyComb [0],
& yyComb [779],
& yyComb [788],
& yyComb [787],
& yyComb [0],
& yyComb [798],
& yyComb [798],
& yyComb [796],
& yyComb [804],
& yyComb [861],
& yyComb [804],
& yyComb [791],
& yyComb [812],
& yyComb [796],
& yyComb [811],
& yyComb [797],
& yyComb [868],
& yyComb [817],
& yyComb [807],
& yyComb [801],
& yyComb [806],
& yyComb [0],
& yyComb [801],
& yyComb [823],
& yyComb [807],
& yyComb [822],
& yyComb [808],
& yyComb [0],
& yyComb [813],
& yyComb [813],
& yyComb [0],
& yyComb [812],
& yyComb [818],
& yyComb [823],
& yyComb [814],
& yyComb [815],
& yyComb [826],
& yyComb [814],
& yyComb [832],
& yyComb [889],
& yyComb [823],
& yyComb [839],
& yyComb [823],
& yyComb [841],
& yyComb [831],
& yyComb [832],
& yyComb [840],
& yyComb [834],
& yyComb [0],
& yyComb [835],
& yyComb [843],
& yyComb [837],
& yyComb [0],
& yyComb [829],
& yyComb [846],
& yyComb [838],
& yyComb [833],
& yyComb [845],
& yyComb [854],
& yyComb [844],
& yyComb [0],
& yyComb [842],
& yyComb [845],
& yyComb [846],
& yyComb [859],
& yyComb [847],
& yyComb [858],
& yyComb [0],
& yyComb [914],
& yyComb [855],
& yyComb [858],
& yyComb [852],
& yyComb [0],
& yyComb [853],
& yyComb [865],
& yyComb [920],
& yyComb [861],
& yyComb [850],
& yyComb [852],
& yyComb [924],
& yyComb [869],
& yyComb [861],
& yyComb [873],
& yyComb [866],
& yyComb [864],
& yyComb [861],
& yyComb [876],
& yyComb [933],
& yyComb [881],
& yyComb [883],
& yyComb [871],
& yyComb [879],
& yyComb [0],
& yyComb [873],
& yyComb [939],
& yyComb [888],
& yyComb [872],
& yyComb [873],
& yyComb [891],
& yyComb [869],
& yyComb [946],
& yyComb [893],
& yyComb [896],
& yyComb [879],
& yyComb [879],
& yyComb [951],
& yyComb [896],
& yyComb [880],
& yyComb [902],
& yyComb [892],
& yyComb [884],
& yyComb [901],
& yyComb [0],
& yyComb [902],
& yyComb [887],
& yyComb [909],
& yyComb [899],
& yyComb [891],
& yyComb [908],
& yyComb [0],
& yyComb [914],
& yyComb [913],
& yyComb [916],
& yyComb [905],
& yyComb [915],
& yyComb [917],
& yyComb [973],
& yyComb [920],
& yyComb [916],
& yyComb [924],
& yyComb [912],
& yyComb [914],
& yyComb [924],
& yyComb [918],
& yyComb [982],
& yyComb [920],
& yyComb [912],
& yyComb [934],
& yyComb [924],
& yyComb [916],
& yyComb [933],
& yyComb [0],
& yyComb [917],
& yyComb [939],
& yyComb [929],
& yyComb [921],
& yyComb [938],
& yyComb [0],
& yyComb [922],
& yyComb [944],
& yyComb [934],
& yyComb [926],
& yyComb [943],
& yyComb [0],
& yyComb [948],
& yyComb [938],
& yyComb [930],
& yyComb [947],
& yyComb [934],
& yyComb [0],
& yyComb [953],
& yyComb [930],
& yyComb [1007],
& yyComb [956],
& yyComb [943],
& yyComb [946],
& yyComb [943],
& yyComb [1014],
& yyComb [952],
& yyComb [943],
& yyComb [965],
& yyComb [955],
& yyComb [947],
& yyComb [964],
& yyComb [0],
& yyComb [954],
& yyComb [955],
& yyComb [967],
& yyComb [959],
& yyComb [970],
& yyComb [1028],
& yyComb [973],
& yyComb [957],
& yyComb [979],
& yyComb [969],
& yyComb [961],
& yyComb [978],
& yyComb [0],
& yyComb [972],
& yyComb [977],
& yyComb [984],
& yyComb [983],
& yyComb [1040],
& yyComb [985],
& yyComb [969],
& yyComb [991],
& yyComb [981],
& yyComb [973],
& yyComb [990],
& yyComb [0],
& yyComb [984],
& yyComb [993],
& yyComb [986],
& yyComb [1051],
& yyComb [989],
& yyComb [980],
& yyComb [1002],
& yyComb [992],
& yyComb [984],
& yyComb [1001],
& yyComb [0],
& yyComb [992],
& yyComb [991],
& yyComb [1006],
& yyComb [1062],
& yyComb [1008],
& yyComb [1002],
& yyComb [1010],
& yyComb [1003],
& yyComb [1068],
& yyComb [1013],
& yyComb [997],
& yyComb [1019],
& yyComb [1009],
& yyComb [1001],
& yyComb [1018],
& yyComb [0],
& yyComb [1019],
& yyComb [1012],
& yyComb [1007],
& yyComb [1080],
& yyComb [1025],
& yyComb [1009],
& yyComb [1031],
& yyComb [1021],
& yyComb [1013],
& yyComb [1030],
& yyComb [0],
& yyComb [1035],
& yyComb [1026],
& yyComb [1019],
& yyComb [0],
& yyComb [1021],
& yyComb [1033],
& yyComb [1029],
& yyComb [1023],
& yyComb [1040],
& yyComb [0],
& yyComb [0],
& yyComb [1031],
& yyComb [1029],
& yyComb [1028],
& yyComb [1030],
& yyComb [0],
& yyComb [1043],
& yyComb [1030],
& yyComb [1051],
& yyComb [1035],
& yyComb [1050],
& yyComb [1036],
& yyComb [0],
& yyComb [1041],
& yyComb [1039],
& yyComb [1038],
& yyComb [1040],
& yyComb [0],
& yyComb [1044],
& yyComb [1046],
& yyComb [1044],
& yyComb [1043],
& yyComb [0],
& yyComb [1048],
& yyComb [1050],
& yyComb [1048],
& yyComb [1047],
& yyComb [0],
& yyComb [1064],
& yyComb [1120],
& yyComb [1067],
& yyComb [1046],
& yyComb [1058],
& yyComb [1070],
& yyComb [1125],
& yyComb [1072],
& yyComb [1060],
& yyComb [1059],
& yyComb [1058],
& yyComb [0],
& yyComb [1075],
& yyComb [1065],
& yyComb [1063],
& yyComb [1062],
& yyComb [0],
& yyComb [1069],
& yyComb [1067],
& yyComb [1069],
& yyComb [0],
& yyComb [1069],
& yyComb [1072],
& yyComb [1077],
& yyComb [1073],
& yyComb [1075],
& yyComb [0],
& yyComb [1077],
& yyComb [1088],
& yyComb [1076],
& yyComb [1095],
& yyComb [0],
& yyComb [1081],
& yyComb [1093],
& yyComb [1081],
& yyComb [1099],
& yyComb [0],
& yyComb [1104],
& yyComb [1085],
& yyComb [1095],
& yyComb [1088],
& yyComb [0],
& yyComb [1160],
& yyComb [1105],
& yyComb [1162],
& yyComb [1096],
& yyComb [1098],
& yyComb [1096],
& yyComb [1095],
& yyComb [0],
& yyComb [1115],
& yyComb [1105],
& yyComb [1169],
& yyComb [1103],
& yyComb [1105],
& yyComb [1103],
& yyComb [1102],
& yyComb [1104],
& yyComb [0],
& yyComb [1119],
& yyComb [1122],
& yyComb [1114],
& yyComb [0],
& yyComb [1122],
& yyComb [1125],
& yyComb [1117],
& yyComb [0],
& yyComb [1125],
& yyComb [1128],
& yyComb [1120],
& yyComb [0],
& yyComb [1125],
& yyComb [1133],
& yyComb [1121],
& yyComb [1122],
& yyComb [1132],
& yyComb [1126],
& yyComb [1190],
& yyComb [1136],
& yyComb [1136],
& yyComb [1139],
& yyComb [1131],
& yyComb [0],
& yyComb [1123],
& yyComb [1133],
& yyComb [1126],
& yyComb [1138],
& yyComb [1145],
& yyComb [1148],
& yyComb [1131],
& yyComb [1131],
& yyComb [0],
& yyComb [1147],
& yyComb [1150],
& yyComb [1142],
& yyComb [0],
& yyComb [1135],
& yyComb [1207],
& yyComb [1135],
& yyComb [1157],
& yyComb [1141],
& yyComb [1151],
& yyComb [1160],
& yyComb [1160],
& yyComb [1151],
& yyComb [1159],
& yyComb [1216],
& yyComb [1163],
& yyComb [1163],
& yyComb [1166],
& yyComb [1158],
& yyComb [0],
& yyComb [1170],
& yyComb [1170],
& yyComb [1161],
& yyComb [1169],
& yyComb [1226],
& yyComb [1172],
& yyComb [1172],
& yyComb [1175],
& yyComb [1167],
& yyComb [0],
& yyComb [1165],
& yyComb [1168],
& yyComb [1164],
& yyComb [1164],
& yyComb [1184],
& yyComb [1172],
& yyComb [1167],
& yyComb [1239],
& yyComb [1185],
& yyComb [1185],
& yyComb [1188],
& yyComb [1180],
& yyComb [0],
& yyComb [1178],
& yyComb [1180],
& yyComb [1176],
& yyComb [1176],
& yyComb [1196],
& yyComb [1184],
& yyComb [1179],
& yyComb [1251],
& yyComb [1197],
& yyComb [1197],
& yyComb [1200],
& yyComb [1192],
& yyComb [0],
& yyComb [1184],
& yyComb [1192],
& yyComb [1203],
& yyComb [1203],
& yyComb [1205],
& yyComb [1261],
& yyComb [1206],
& yyComb [1198],
& yyComb [1192],
& yyComb [1201],
& yyComb [1210],
& yyComb [1198],
& yyComb [1216],
& yyComb [1198],
& yyComb [1210],
& yyComb [1205],
& yyComb [1207],
& yyComb [1273],
& yyComb [1203],
& yyComb [1200],
& yyComb [1210],
& yyComb [1222],
& yyComb [0],
& yyComb [1279],
& yyComb [1224],
& yyComb [1216],
& yyComb [1210],
& yyComb [1219],
& yyComb [1284],
& yyComb [1229],
& yyComb [1223],
& yyComb [1231],
& yyComb [1224],
& yyComb [0],
& yyComb [1217],
& yyComb [1226],
& yyComb [1291],
& yyComb [1236],
& yyComb [1230],
& yyComb [1238],
& yyComb [1231],
& yyComb [1296],
& yyComb [0],
& yyComb [1241],
& yyComb [1244],
& yyComb [1233],
& yyComb [1231],
& yyComb [1246],
& yyComb [1302],
& yyComb [1232],
& yyComb [1228],
& yyComb [1238],
& yyComb [1250],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [1255],
& yyComb [1234],
& yyComb [1309],
& yyComb [1239],
& yyComb [1236],
& yyComb [1246],
& yyComb [1258],
& yyComb [0],
& yyComb [1240],
& yyComb [1249],
& yyComb [1248],
& yyComb [0],
& yyComb [1246],
& yyComb [1254],
& yyComb [1266],
& yyComb [1321],
& yyComb [1255],
& yyComb [1271],
& yyComb [1255],
& yyComb [1273],
& yyComb [1262],
& yyComb [0],
& yyComb [1256],
& yyComb [1264],
& yyComb [1276],
& yyComb [1331],
& yyComb [1265],
& yyComb [1281],
& yyComb [1265],
& yyComb [1283],
& yyComb [1272],
& yyComb [0],
& yyComb [1272],
& yyComb [1284],
& yyComb [1268],
& yyComb [1280],
& yyComb [1275],
& yyComb [1277],
& yyComb [1343],
& yyComb [1290],
& yyComb [1293],
& yyComb [1277],
& yyComb [1296],
& yyComb [1285],
& yyComb [1280],
& yyComb [0],
& yyComb [1299],
& yyComb [1289],
& yyComb [1290],
& yyComb [1354],
& yyComb [1299],
& yyComb [1281],
& yyComb [1291],
& yyComb [1290],
& yyComb [0],
& yyComb [1305],
& yyComb [1305],
& yyComb [1308],
& yyComb [1300],
& yyComb [1294],
& yyComb [0],
& yyComb [1294],
& yyComb [1367],
& yyComb [1312],
& yyComb [1294],
& yyComb [1303],
& yyComb [1302],
& yyComb [0],
& yyComb [1297],
& yyComb [1306],
& yyComb [1305],
& yyComb [0],
& yyComb [1300],
& yyComb [1309],
& yyComb [1308],
& yyComb [0],
& yyComb [1326],
& yyComb [1314],
& yyComb [1322],
& yyComb [1325],
& yyComb [0],
& yyComb [1317],
& yyComb [1325],
& yyComb [1328],
& yyComb [1381],
& yyComb [0],
& yyComb [0],
& yyComb [1312],
& yyComb [1321],
& yyComb [1320],
& yyComb [0],
& yyComb [1319],
& yyComb [1322],
& yyComb [1340],
& yyComb [1339],
& yyComb [1323],
& yyComb [1395],
& yyComb [1340],
& yyComb [1322],
& yyComb [1331],
& yyComb [1330],
& yyComb [0],
& yyComb [1325],
& yyComb [1330],
& yyComb [1333],
& yyComb [1351],
& yyComb [1350],
& yyComb [1334],
& yyComb [1406],
& yyComb [1351],
& yyComb [1333],
& yyComb [1342],
& yyComb [1341],
& yyComb [0],
& yyComb [1359],
& yyComb [1343],
& yyComb [1337],
& yyComb [1414],
& yyComb [1359],
& yyComb [1341],
& yyComb [1350],
& yyComb [1349],
& yyComb [0],
& yyComb [1363],
& yyComb [1354],
& yyComb [1364],
& yyComb [1422],
& yyComb [1367],
& yyComb [1349],
& yyComb [1358],
& yyComb [1357],
& yyComb [0],
& yyComb [1358],
& yyComb [1352],
& yyComb [1429],
& yyComb [1374],
& yyComb [1356],
& yyComb [1365],
& yyComb [1364],
& yyComb [0],
& yyComb [1378],
& yyComb [1360],
& yyComb [1369],
& yyComb [1368],
& yyComb [0],
& yyComb [1380],
& yyComb [1370],
& yyComb [1440],
& yyComb [1387],
& yyComb [1376],
& yyComb [1378],
& yyComb [1374],
& yyComb [1445],
& yyComb [1390],
& yyComb [1372],
& yyComb [1381],
& yyComb [1380],
& yyComb [0],
& yyComb [0],
& yyComb [1386],
& yyComb [1395],
& yyComb [1397],
& yyComb [1453],
& yyComb [1402],
& yyComb [1397],
& yyComb [1398],
& yyComb [1388],
& yyComb [1458],
& yyComb [1405],
& yyComb [1394],
& yyComb [1396],
& yyComb [1392],
& yyComb [1463],
& yyComb [1408],
& yyComb [1390],
& yyComb [1399],
& yyComb [1398],
& yyComb [0],
& yyComb [1414],
& yyComb [1417],
& yyComb [1405],
& yyComb [1400],
& yyComb [1472],
& yyComb [1418],
& yyComb [1400],
& yyComb [1409],
& yyComb [1408],
& yyComb [0],
& yyComb [1413],
& yyComb [1408],
& yyComb [1480],
& yyComb [1427],
& yyComb [1430],
& yyComb [1414],
& yyComb [1428],
& yyComb [1485],
& yyComb [1430],
& yyComb [1412],
& yyComb [1421],
& yyComb [1420],
& yyComb [0],
& yyComb [1421],
& yyComb [1431],
& yyComb [1427],
& yyComb [1435],
& yyComb [1494],
& yyComb [1439],
& yyComb [1421],
& yyComb [1430],
& yyComb [1429],
& yyComb [0],
& yyComb [1424],
& yyComb [1433],
& yyComb [1432],
& yyComb [0],
& yyComb [1431],
& yyComb [1447],
& yyComb [1435],
& yyComb [1453],
& yyComb [1443],
& yyComb [1507],
& yyComb [1452],
& yyComb [1434],
& yyComb [1443],
& yyComb [1442],
& yyComb [0],
& yyComb [1442],
& yyComb [1442],
& yyComb [1454],
& yyComb [1450],
& yyComb [1458],
& yyComb [1517],
& yyComb [1447],
& yyComb [1443],
& yyComb [1453],
& yyComb [1465],
& yyComb [0],
& yyComb [1466],
& yyComb [1469],
& yyComb [1461],
& yyComb [0],
& yyComb [1462],
& yyComb [1456],
& yyComb [1475],
& yyComb [0],
& yyComb [1452],
& yyComb [1462],
& yyComb [1474],
& yyComb [0],
& yyComb [1462],
& yyComb [1480],
& yyComb [1462],
& yyComb [1474],
& yyComb [1469],
& yyComb [1471],
& yyComb [1537],
& yyComb [1467],
& yyComb [1463],
& yyComb [1473],
& yyComb [1485],
& yyComb [0],
& yyComb [1466],
& yyComb [1476],
& yyComb [1488],
& yyComb [0],
& yyComb [1469],
& yyComb [1479],
& yyComb [1491],
& yyComb [0],
& yyComb [1484],
& yyComb [1493],
& yyComb [1481],
& yyComb [1491],
& yyComb [1498],
& yyComb [1553],
& yyComb [1483],
& yyComb [1479],
& yyComb [1489],
& yyComb [1501],
& yyComb [0],
& yyComb [1498],
& yyComb [1507],
& yyComb [1490],
& yyComb [1561],
& yyComb [1491],
& yyComb [1487],
& yyComb [1497],
& yyComb [1509],
& yyComb [0],
& yyComb [1490],
& yyComb [1500],
& yyComb [1512],
& yyComb [0],
& yyComb [1498],
& yyComb [1518],
& yyComb [1506],
& yyComb [1501],
& yyComb [0],
& yyComb [1510],
& yyComb [1518],
& yyComb [0],
& yyComb [0],
& yyComb [1506],
& yyComb [1505],
& yyComb [0],
& yyComb [0],
& yyComb [1520],
& yyComb [0],
& yyComb [0],
};
static	yyStateRange	yyDefault	[yyDStateCount + 1] = {0,
4,
1,
10,
10,
10,
10,
9,
0,
10,
0,
0,
0,
0,
0,
0,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
0,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
4,
0,
4,
4,
4,
0,
10,
0,
0,
};
static	yyStateRange	yyEobTrans	[yyDStateCount + 1] = {0,
0,
0,
0,
0,
5,
6,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
};

static	yyStateRange	yyInitStateStack [yyInitBufferSize] = {0};
static	yyStateRange *	yyStateStack	= yyInitStateStack;
static	unsigned long	yyStateStackSize= yyInitBufferSize;
static	yyStateRange	yyStartState	= 0;
static	yyStateRange	yyPreviousStart	= 1;

static  short		yySourceFile	;
static	bool		yyEof		;
static	unsigned char *	yyChBufferPtr	;
static	unsigned char *	yyChBufferStart	;
static	unsigned long	yyChBufferSize	;
static	unsigned char *	yyChBufferIndex	= ((unsigned char *) yyComb) + 2; /* dirty trick */
static	int		yyBytesRead	;
static	int		yyLineCount	;
static	unsigned char *	yyLineStart	;

static	struct {
	short		yySourceFile	;
	bool		yyEof		;
	unsigned char *	yyChBufferPtr	;
	unsigned char *	yyChBufferStart	;
	unsigned long	yyChBufferSize	;
	unsigned char *	yyChBufferIndex	;
	int		yyBytesRead	;
	int		yyLineCount	;
	unsigned char *	yyLineStart	;
	} yyFileStack [yyFileStackSize + 1], * yyFileStackPtr = yyFileStack;

static	unsigned char	yyToLower	[] = {
'\0', '\1', '\2', '\3', '\4', '\5', '\6', '\7',
'\10', '\11', '\12', '\13', '\14', '\15', '\16', '\17',
'\20', '\21', '\22', '\23', '\24', '\25', '\26', '\27',
'\30', '\31', '\32', '\33', '\34', '\35', '\36', '\37',
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/',
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?',
'@', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '[', '\\', ']', '^', '_',
'`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~', '\177',
'\200', '\201', '\202', '\203', '\204', '\205', '\206', '\207',
'\210', '\211', '\212', '\213', '\214', '\215', '\216', '\217',
'\220', '\221', '\222', '\223', '\224', '\225', '\226', '\227',
'\230', '\231', '\232', '\233', '\234', '\235', '\236', '\237',
'\240', '\241', '\242', '\243', '\244', '\245', '\246', '\247',
'\250', '\251', '\252', '\253', '\254', '\255', '\256', '\257',
'\260', '\261', '\262', '\263', '\264', '\265', '\266', '\267',
'\270', '\271', '\272', '\273', '\274', '\275', '\276', '\277',
'\300', '\301', '\302', '\303', '\304', '\305', '\306', '\307',
'\310', '\311', '\312', '\313', '\314', '\315', '\316', '\317',
'\320', '\321', '\322', '\323', '\324', '\325', '\326', '\327',
'\330', '\331', '\332', '\333', '\334', '\335', '\336', '\337',
'\340', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
'\370', '\371', '\372', '\373', '\374', '\375', '\376', '\377',
};

static	unsigned char	yyToUpper	[] = {
'\0', '\1', '\2', '\3', '\4', '\5', '\6', '\7',
'\10', '\11', '\12', '\13', '\14', '\15', '\16', '\17',
'\20', '\21', '\22', '\23', '\24', '\25', '\26', '\27',
'\30', '\31', '\32', '\33', '\34', '\35', '\36', '\37',
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/',
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?',
'@', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^', '_',
'`', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '{', '|', '}', '~', '\177',
'\200', '\201', '\202', '\203', '\204', '\205', '\206', '\207',
'\210', '\211', '\212', '\213', '\214', '\215', '\216', '\217',
'\220', '\221', '\222', '\223', '\224', '\225', '\226', '\227',
'\230', '\231', '\232', '\233', '\234', '\235', '\236', '\237',
'\240', '\241', '\242', '\243', '\244', '\245', '\246', '\247',
'\250', '\251', '\252', '\253', '\254', '\255', '\256', '\257',
'\260', '\261', '\262', '\263', '\264', '\265', '\266', '\267',
'\270', '\271', '\272', '\273', '\274', '\275', '\276', '\277',
'\300', '\301', '\302', '\303', '\304', '\305', '\306', '\307',
'\310', '\311', '\312', '\313', '\314', '\315', '\316', '\317',
'\320', '\321', '\322', '\323', '\324', '\325', '\326', '\327',
'\330', '\331', '\332', '\333', '\334', '\335', '\336', '\337',
'\340', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
'\370', '\371', '\372', '\373', '\374', '\375', '\376', '\377',
};
 
static	void	yyInitialize	();
static	void	yyErrorMessage	ARGS((int yyErrorCode));
static	char	input		();
/* line 65 "Breeze.rex" */
 
	void BreezeScan_ErrorAttribute
# if defined __STDC__ | defined __cplusplus
 (int Token, BreezeScan_tScanAttribute * pAttribute)
# else
 (Token, pAttribute) int Token; BreezeScan_tScanAttribute * pAttribute;
# endif
{
 pAttribute->Position = BreezeScan_Attribute.Position;
 switch (Token) {
 case /* boolean */ 1: 
 pAttribute->boolean.value = false;
 ;
 break;
 case /* breeze_literal */ 2: 
 pAttribute->breeze_literal.value = NewMP_INT (0);
 ;
 break;
 case /* breeze_keyword */ 3: 
 pAttribute->breeze_keyword.keyword = NoIdent;
 ;
 break;
 case /* breeze_ident */ 4: 
 pAttribute->breeze_ident.ident = NoIdent;
 ;
 break;
 }
}


	/* This is used as a scratch space for reading a lexeme */
	static char lexeme [1024];

 
int BreezeScan_GetToken ()
{
   register	yyStateRange	yyState;
   register	yyStateRange *	yyStatePtr;
   register	unsigned char * yyChBufferIndexReg;
   register	yyCombType * *	yyBasePtrReg = yyBasePtr;
/* line 100 "Breeze.rex" */
 BreezeScan_Attribute.Position.File = CurrentFile; 
   
yyBegin:
   yyState		= yyStartState;		/* initialize */
   yyStatePtr		= & yyStateStack [1];
   yyChBufferIndexReg 	= yyChBufferIndex;
   BreezeScan_TokenPtr	 	= (char *) yyChBufferIndexReg;
 
   /* ASSERT yyChBuffer [yyChBufferIndex] == first character */
 
yyContinue:		/* continue after sentinel or skipping blanks */
   for (;;) {		/* execute as many state transitions as possible */
					/* determine next state and get next character */
      register yyCombType * yyTablePtr = (yyBasePtrReg [yyState] + * yyChBufferIndexReg ++);
      if (yyTablePtr->yyCheck == yyState) {
	 yyState = yyTablePtr->yyNext;
	 * yyStatePtr ++ = yyState;		/* push state */
	 goto yyContinue;
      }
      yyChBufferIndexReg --;			/* reconsider character */
      if ((yyState = yyDefault [yyState]) == yyDNoState) break;
   }
 
   for (;;) {					/* search for last final state */
      BreezeScan_TokenLength = yyChBufferIndexReg - (unsigned char *) BreezeScan_TokenPtr;
      yyChBufferIndex = yyChBufferIndexReg;
switch (* -- yyStatePtr) {
case 3:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 124 "Breeze.rex" */
{
	BreezeScan_GetWord (lexeme);
	BreezeScan_Attribute.breeze_literal.value = ReadBasedMP_INTFromString (lexeme, 10, false);
	return 2;

} yyy1: goto yyBegin;
case 7:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 130 "Breeze.rex" */
{
	BreezeScan_GetWord (lexeme);
	BreezeScan_Attribute.breeze_literal.value = ReadBasedMP_INTFromString (lexeme, 10, false);
	mpz_neg (BreezeScan_Attribute.breeze_literal.value, BreezeScan_Attribute.breeze_literal.value);
	return 2;

} yyy2: goto yyBegin;
case 8:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 137 "Breeze.rex" */
{
	BreezeScan_TokenPtr[BreezeScan_TokenLength - 1] = '\0';
	BreezeScan_Attribute.breeze_ident.ident = MakeIdent1 (BreezeScan_TokenPtr + 1);
	return 4;

} yyy3: goto yyBegin;
case 1247:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 143 "Breeze.rex" */
{
	BreezeScan_Attribute.boolean.value = true;
	return 1;

} yyy4: goto yyBegin;
case 1246:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 148 "Breeze.rex" */
{
	BreezeScan_Attribute.boolean.value = false;
	return 1;

} yyy5: goto yyBegin;
case 6:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 153 "Breeze.rex" */
{ 
} yyy6: goto yyBegin;
case 14:;
/* line 154 "Breeze.rex" */
{ yyTab; 
} yyy7: goto yyBegin;
case 1244:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 156 "Breeze.rex" */
{ return 5; 
} yyy8: goto yyBegin;
case 1243:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 157 "Breeze.rex" */
{ return 6; 
} yyy9: goto yyBegin;
case 1240:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 158 "Breeze.rex" */
{ return 7; 
} yyy10: goto yyBegin;
case 1239:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 159 "Breeze.rex" */
{ return 8; 
} yyy11: goto yyBegin;
case 1236:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 160 "Breeze.rex" */
{ return 9; 
} yyy12: goto yyBegin;
case 1231:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 161 "Breeze.rex" */
{ return 10; 
} yyy13: goto yyBegin;
case 1227:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 162 "Breeze.rex" */
{ return 11; 
} yyy14: goto yyBegin;
case 1218:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 163 "Breeze.rex" */
{ return 12; 
} yyy15: goto yyBegin;
case 1207:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 164 "Breeze.rex" */
{ return 13; 
} yyy16: goto yyBegin;
case 1203:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 165 "Breeze.rex" */
{ return 14; 
} yyy17: goto yyBegin;
case 1199:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 166 "Breeze.rex" */
{ return 15; 
} yyy18: goto yyBegin;
case 1187:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 167 "Breeze.rex" */
{ return 16; 
} yyy19: goto yyBegin;
case 1121:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 168 "Breeze.rex" */
{ return 17; 
} yyy20: goto yyBegin;
case 32:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 169 "Breeze.rex" */
{ return 18; 
} yyy21: goto yyBegin;
case 1183:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 170 "Breeze.rex" */
{ return 19; 
} yyy22: goto yyBegin;
case 1179:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 171 "Breeze.rex" */
{ return 20; 
} yyy23: goto yyBegin;
case 105:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 172 "Breeze.rex" */
{ return 21; 
} yyy24: goto yyBegin;
case 1175:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 173 "Breeze.rex" */
{ return 22; 
} yyy25: goto yyBegin;
case 1164:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 174 "Breeze.rex" */
{ return 23; 
} yyy26: goto yyBegin;
case 1153:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 175 "Breeze.rex" */
{ return 24; 
} yyy27: goto yyBegin;
case 1149:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 176 "Breeze.rex" */
{ return 25; 
} yyy28: goto yyBegin;
case 1139:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 177 "Breeze.rex" */
{ return 26; 
} yyy29: goto yyBegin;
case 1126:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 178 "Breeze.rex" */
{ return 27; 
} yyy30: goto yyBegin;
case 1116:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 179 "Breeze.rex" */
{ return 28; 
} yyy31: goto yyBegin;
case 1097:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 180 "Breeze.rex" */
{ return 29; 
} yyy32: goto yyBegin;
case 1096:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 181 "Breeze.rex" */
{ return 30; 
} yyy33: goto yyBegin;
case 1083:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 182 "Breeze.rex" */
{ return 31; 
} yyy34: goto yyBegin;
case 1078:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 183 "Breeze.rex" */
{ return 32; 
} yyy35: goto yyBegin;
case 1070:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 184 "Breeze.rex" */
{ return 33; 
} yyy36: goto yyBegin;
case 1061:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 185 "Breeze.rex" */
{ return 34; 
} yyy37: goto yyBegin;
case 1052:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 186 "Breeze.rex" */
{ return 35; 
} yyy38: goto yyBegin;
case 1040:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 187 "Breeze.rex" */
{ return 36; 
} yyy39: goto yyBegin;
case 1029:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 188 "Breeze.rex" */
{ return 37; 
} yyy40: goto yyBegin;
case 1025:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 189 "Breeze.rex" */
{ return 38; 
} yyy41: goto yyBegin;
case 1024:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 190 "Breeze.rex" */
{ return 39; 
} yyy42: goto yyBegin;
case 1019:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 191 "Breeze.rex" */
{ return 40; 
} yyy43: goto yyBegin;
case 1014:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 192 "Breeze.rex" */
{ return 41; 
} yyy44: goto yyBegin;
case 1010:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 193 "Breeze.rex" */
{ return 42; 
} yyy45: goto yyBegin;
case 1006:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 194 "Breeze.rex" */
{ return 43; 
} yyy46: goto yyBegin;
case 999:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 195 "Breeze.rex" */
{ return 44; 
} yyy47: goto yyBegin;
case 998:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 196 "Breeze.rex" */
{ return 45; 
} yyy48: goto yyBegin;
case 993:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 197 "Breeze.rex" */
{ return 46; 
} yyy49: goto yyBegin;
case 984:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 198 "Breeze.rex" */
{ return 47; 
} yyy50: goto yyBegin;
case 970:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 199 "Breeze.rex" */
{ return 48; 
} yyy51: goto yyBegin;
case 960:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 200 "Breeze.rex" */
{ return 49; 
} yyy52: goto yyBegin;
case 950:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 201 "Breeze.rex" */
{ return 50; 
} yyy53: goto yyBegin;
case 946:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 202 "Breeze.rex" */
{ return 51; 
} yyy54: goto yyBegin;
case 938:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 203 "Breeze.rex" */
{ return 52; 
} yyy55: goto yyBegin;
case 678:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 204 "Breeze.rex" */
{ return 53; 
} yyy56: goto yyBegin;
case 937:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 205 "Breeze.rex" */
{ return 54; 
} yyy57: goto yyBegin;
case 936:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 206 "Breeze.rex" */
{ return 55; 
} yyy58: goto yyBegin;
case 925:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 207 "Breeze.rex" */
{ return 56; 
} yyy59: goto yyBegin;
case 924:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 208 "Breeze.rex" */
{ return 57; 
} yyy60: goto yyBegin;
case 916:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 209 "Breeze.rex" */
{ return 58; 
} yyy61: goto yyBegin;
case 905:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 210 "Breeze.rex" */
{ return 59; 
} yyy62: goto yyBegin;
case 882:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 211 "Breeze.rex" */
{ return 60; 
} yyy63: goto yyBegin;
case 869:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 212 "Breeze.rex" */
{ return 61; 
} yyy64: goto yyBegin;
case 856:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 213 "Breeze.rex" */
{ return 62; 
} yyy65: goto yyBegin;
case 846:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 214 "Breeze.rex" */
{ return 63; 
} yyy66: goto yyBegin;
case 830:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 215 "Breeze.rex" */
{ return 64; 
} yyy67: goto yyBegin;
case 826:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 216 "Breeze.rex" */
{ return 65; 
} yyy68: goto yyBegin;
case 817:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 217 "Breeze.rex" */
{ return 66; 
} yyy69: goto yyBegin;
case 805:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 218 "Breeze.rex" */
{ return 67; 
} yyy70: goto yyBegin;
case 801:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 219 "Breeze.rex" */
{ return 68; 
} yyy71: goto yyBegin;
case 797:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 220 "Breeze.rex" */
{ return 69; 
} yyy72: goto yyBegin;
case 793:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 221 "Breeze.rex" */
{ return 70; 
} yyy73: goto yyBegin;
case 784:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 222 "Breeze.rex" */
{ return 71; 
} yyy74: goto yyBegin;
case 116:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 223 "Breeze.rex" */
{ return 72; 
} yyy75: goto yyBegin;
case 776:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 224 "Breeze.rex" */
{ return 73; 
} yyy76: goto yyBegin;
case 771:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 225 "Breeze.rex" */
{ return 74; 
} yyy77: goto yyBegin;
case 766:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 226 "Breeze.rex" */
{ return 75; 
} yyy78: goto yyBegin;
case 538:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 227 "Breeze.rex" */
{ return 76; 
} yyy79: goto yyBegin;
case 761:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 228 "Breeze.rex" */
{ return 77; 
} yyy80: goto yyBegin;
case 755:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 229 "Breeze.rex" */
{ return 78; 
} yyy81: goto yyBegin;
case 751:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 230 "Breeze.rex" */
{ return 79; 
} yyy82: goto yyBegin;
case 746:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 231 "Breeze.rex" */
{ return 80; 
} yyy83: goto yyBegin;
case 734:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 232 "Breeze.rex" */
{ return 81; 
} yyy84: goto yyBegin;
case 729:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 233 "Breeze.rex" */
{ return 82; 
} yyy85: goto yyBegin;
case 724:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 234 "Breeze.rex" */
{ return 83; 
} yyy86: goto yyBegin;
case 719:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 235 "Breeze.rex" */
{ return 84; 
} yyy87: goto yyBegin;
case 718:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 236 "Breeze.rex" */
{ return 85; 
} yyy88: goto yyBegin;
case 712:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 237 "Breeze.rex" */
{ return 86; 
} yyy89: goto yyBegin;
case 343:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 238 "Breeze.rex" */
{ return 87; 
} yyy90: goto yyBegin;
case 707:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 239 "Breeze.rex" */
{ return 88; 
} yyy91: goto yyBegin;
case 706:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 240 "Breeze.rex" */
{ return 89; 
} yyy92: goto yyBegin;
case 700:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 241 "Breeze.rex" */
{ return 90; 
} yyy93: goto yyBegin;
case 696:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 242 "Breeze.rex" */
{ return 91; 
} yyy94: goto yyBegin;
case 685:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 243 "Breeze.rex" */
{ return 92; 
} yyy95: goto yyBegin;
case 669:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 244 "Breeze.rex" */
{ return 93; 
} yyy96: goto yyBegin;
case 658:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 245 "Breeze.rex" */
{ return 94; 
} yyy97: goto yyBegin;
case 646:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 246 "Breeze.rex" */
{ return 95; 
} yyy98: goto yyBegin;
case 633:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 247 "Breeze.rex" */
{ return 96; 
} yyy99: goto yyBegin;
case 618:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 248 "Breeze.rex" */
{ return 97; 
} yyy100: goto yyBegin;
case 612:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 249 "Breeze.rex" */
{ return 98; 
} yyy101: goto yyBegin;
case 606:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 250 "Breeze.rex" */
{ return 99; 
} yyy102: goto yyBegin;
case 600:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 251 "Breeze.rex" */
{ return 100; 
} yyy103: goto yyBegin;
case 578:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 252 "Breeze.rex" */
{ return 101; 
} yyy104: goto yyBegin;
case 571:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 253 "Breeze.rex" */
{ return 102; 
} yyy105: goto yyBegin;
case 546:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 254 "Breeze.rex" */
{ return 103; 
} yyy106: goto yyBegin;
case 551:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 255 "Breeze.rex" */
{ return 104; 
} yyy107: goto yyBegin;
case 534:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 256 "Breeze.rex" */
{ return 105; 
} yyy108: goto yyBegin;
case 531:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 257 "Breeze.rex" */
{ return 106; 
} yyy109: goto yyBegin;
case 526:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 258 "Breeze.rex" */
{ return 107; 
} yyy110: goto yyBegin;
case 519:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 259 "Breeze.rex" */
{ return 108; 
} yyy111: goto yyBegin;
case 511:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 260 "Breeze.rex" */
{ return 109; 
} yyy112: goto yyBegin;
case 507:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 261 "Breeze.rex" */
{ return 110; 
} yyy113: goto yyBegin;
case 489:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 262 "Breeze.rex" */
{ return 111; 
} yyy114: goto yyBegin;
case 475:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 263 "Breeze.rex" */
{ return 112; 
} yyy115: goto yyBegin;
case 486:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 264 "Breeze.rex" */
{ return 113; 
} yyy116: goto yyBegin;
case 485:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 265 "Breeze.rex" */
{ return 114; 
} yyy117: goto yyBegin;
case 480:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 266 "Breeze.rex" */
{ return 115; 
} yyy118: goto yyBegin;
case 463:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 267 "Breeze.rex" */
{ return 116; 
} yyy119: goto yyBegin;
case 454:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 268 "Breeze.rex" */
{ return 117; 
} yyy120: goto yyBegin;
case 459:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 269 "Breeze.rex" */
{ return 118; 
} yyy121: goto yyBegin;
case 138:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 270 "Breeze.rex" */
{ return 119; 
} yyy122: goto yyBegin;
case 143:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 271 "Breeze.rex" */
{ return 120; 
} yyy123: goto yyBegin;
case 388:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 272 "Breeze.rex" */
{ return 121; 
} yyy124: goto yyBegin;
case 437:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 273 "Breeze.rex" */
{ return 122; 
} yyy125: goto yyBegin;
case 431:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 274 "Breeze.rex" */
{ return 123; 
} yyy126: goto yyBegin;
case 425:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 275 "Breeze.rex" */
{ return 124; 
} yyy127: goto yyBegin;
case 418:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 276 "Breeze.rex" */
{ return 125; 
} yyy128: goto yyBegin;
case 413:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 277 "Breeze.rex" */
{ return 126; 
} yyy129: goto yyBegin;
case 404:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 278 "Breeze.rex" */
{ return 127; 
} yyy130: goto yyBegin;
case 393:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 279 "Breeze.rex" */
{ return 128; 
} yyy131: goto yyBegin;
case 386:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 280 "Breeze.rex" */
{ return 129; 
} yyy132: goto yyBegin;
case 383:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 281 "Breeze.rex" */
{ return 130; 
} yyy133: goto yyBegin;
case 379:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 282 "Breeze.rex" */
{ return 131; 
} yyy134: goto yyBegin;
case 378:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 283 "Breeze.rex" */
{ return 132; 
} yyy135: goto yyBegin;
case 363:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 284 "Breeze.rex" */
{ return 133; 
} yyy136: goto yyBegin;
case 354:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 285 "Breeze.rex" */
{ return 134; 
} yyy137: goto yyBegin;
case 339:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 286 "Breeze.rex" */
{ return 135; 
} yyy138: goto yyBegin;
case 324:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 287 "Breeze.rex" */
{ return 136; 
} yyy139: goto yyBegin;
case 304:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 288 "Breeze.rex" */
{ return 137; 
} yyy140: goto yyBegin;
case 280:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 289 "Breeze.rex" */
{ return 138; 
} yyy141: goto yyBegin;
case 288:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 290 "Breeze.rex" */
{ return 139; 
} yyy142: goto yyBegin;
case 287:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 291 "Breeze.rex" */
{ return 140; 
} yyy143: goto yyBegin;
case 281:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 292 "Breeze.rex" */
{ return 141; 
} yyy144: goto yyBegin;
case 275:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 293 "Breeze.rex" */
{ return 142; 
} yyy145: goto yyBegin;
case 132:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 294 "Breeze.rex" */
{ return 143; 
} yyy146: goto yyBegin;
case 267:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 295 "Breeze.rex" */
{ return 144; 
} yyy147: goto yyBegin;
case 264:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 296 "Breeze.rex" */
{ return 145; 
} yyy148: goto yyBegin;
case 254:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 297 "Breeze.rex" */
{ return 146; 
} yyy149: goto yyBegin;
case 230:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 298 "Breeze.rex" */
{ return 147; 
} yyy150: goto yyBegin;
case 215:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 299 "Breeze.rex" */
{ return 148; 
} yyy151: goto yyBegin;
case 196:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 300 "Breeze.rex" */
{ return 149; 
} yyy152: goto yyBegin;
case 176:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 301 "Breeze.rex" */
{ return 150; 
} yyy153: goto yyBegin;
case 165:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 302 "Breeze.rex" */
{ return 151; 
} yyy154: goto yyBegin;
case 160:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 303 "Breeze.rex" */
{ return 152; 
} yyy155: goto yyBegin;
case 159:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 304 "Breeze.rex" */
{ return 153; 
} yyy156: goto yyBegin;
case 149:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 305 "Breeze.rex" */
{ return 154; 
} yyy157: goto yyBegin;
case 137:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 306 "Breeze.rex" */
{ return 155; 
} yyy158: goto yyBegin;
case 128:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 307 "Breeze.rex" */
{ return 156; 
} yyy159: goto yyBegin;
case 117:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 308 "Breeze.rex" */
{ return 157; 
} yyy160: goto yyBegin;
case 113:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 309 "Breeze.rex" */
{ return 158; 
} yyy161: goto yyBegin;
case 103:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 310 "Breeze.rex" */
{ return 159; 
} yyy162: goto yyBegin;
case 96:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 311 "Breeze.rex" */
{ return 160; 
} yyy163: goto yyBegin;
case 94:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 312 "Breeze.rex" */
{ return 161; 
} yyy164: goto yyBegin;
case 91:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 313 "Breeze.rex" */
{ return 162; 
} yyy165: goto yyBegin;
case 90:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 314 "Breeze.rex" */
{ return 163; 
} yyy166: goto yyBegin;
case 82:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 315 "Breeze.rex" */
{ return 164; 
} yyy167: goto yyBegin;
case 62:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 316 "Breeze.rex" */
{ return 165; 
} yyy168: goto yyBegin;
case 52:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 317 "Breeze.rex" */
{ return 166; 
} yyy169: goto yyBegin;
case 51:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 318 "Breeze.rex" */
{ return 167; 
} yyy170: goto yyBegin;
case 42:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 319 "Breeze.rex" */
{ return 168; 
} yyy171: goto yyBegin;
case 28:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 320 "Breeze.rex" */
{ return 169; 
} yyy172: goto yyBegin;
case 27:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 321 "Breeze.rex" */
{ return 170; 
} yyy173: goto yyBegin;
case 4:;
case 16:;
case 17:;
case 18:;
case 19:;
case 20:;
case 21:;
case 22:;
case 23:;
case 24:;
case 25:;
case 26:;
case 29:;
case 30:;
case 31:;
case 33:;
case 34:;
case 35:;
case 36:;
case 37:;
case 38:;
case 39:;
case 40:;
case 41:;
case 43:;
case 44:;
case 45:;
case 46:;
case 47:;
case 48:;
case 49:;
case 50:;
case 53:;
case 54:;
case 55:;
case 56:;
case 57:;
case 58:;
case 59:;
case 60:;
case 61:;
case 63:;
case 64:;
case 65:;
case 66:;
case 67:;
case 68:;
case 69:;
case 70:;
case 71:;
case 72:;
case 73:;
case 74:;
case 75:;
case 76:;
case 77:;
case 78:;
case 79:;
case 80:;
case 81:;
case 83:;
case 84:;
case 85:;
case 86:;
case 87:;
case 88:;
case 89:;
case 92:;
case 93:;
case 95:;
case 97:;
case 98:;
case 99:;
case 100:;
case 101:;
case 102:;
case 104:;
case 106:;
case 107:;
case 108:;
case 109:;
case 110:;
case 111:;
case 112:;
case 114:;
case 115:;
case 118:;
case 119:;
case 120:;
case 121:;
case 122:;
case 123:;
case 124:;
case 125:;
case 126:;
case 127:;
case 129:;
case 130:;
case 131:;
case 133:;
case 134:;
case 135:;
case 136:;
case 139:;
case 140:;
case 141:;
case 142:;
case 144:;
case 145:;
case 146:;
case 147:;
case 148:;
case 150:;
case 151:;
case 152:;
case 153:;
case 154:;
case 155:;
case 156:;
case 157:;
case 158:;
case 161:;
case 162:;
case 163:;
case 164:;
case 166:;
case 167:;
case 168:;
case 169:;
case 170:;
case 171:;
case 172:;
case 173:;
case 174:;
case 175:;
case 177:;
case 178:;
case 179:;
case 180:;
case 181:;
case 182:;
case 183:;
case 184:;
case 185:;
case 186:;
case 187:;
case 188:;
case 189:;
case 190:;
case 191:;
case 192:;
case 193:;
case 194:;
case 195:;
case 197:;
case 198:;
case 199:;
case 200:;
case 201:;
case 202:;
case 203:;
case 204:;
case 205:;
case 206:;
case 207:;
case 208:;
case 209:;
case 210:;
case 211:;
case 212:;
case 213:;
case 214:;
case 216:;
case 217:;
case 218:;
case 219:;
case 220:;
case 221:;
case 222:;
case 223:;
case 224:;
case 225:;
case 226:;
case 227:;
case 228:;
case 229:;
case 231:;
case 232:;
case 233:;
case 234:;
case 235:;
case 236:;
case 237:;
case 238:;
case 239:;
case 240:;
case 241:;
case 242:;
case 243:;
case 244:;
case 245:;
case 246:;
case 247:;
case 248:;
case 249:;
case 250:;
case 251:;
case 252:;
case 253:;
case 255:;
case 256:;
case 257:;
case 258:;
case 259:;
case 260:;
case 261:;
case 262:;
case 263:;
case 265:;
case 266:;
case 268:;
case 269:;
case 270:;
case 271:;
case 272:;
case 273:;
case 274:;
case 276:;
case 277:;
case 278:;
case 279:;
case 282:;
case 283:;
case 284:;
case 285:;
case 286:;
case 289:;
case 290:;
case 291:;
case 292:;
case 293:;
case 294:;
case 295:;
case 296:;
case 297:;
case 298:;
case 299:;
case 300:;
case 301:;
case 302:;
case 303:;
case 305:;
case 306:;
case 307:;
case 308:;
case 309:;
case 310:;
case 311:;
case 312:;
case 313:;
case 314:;
case 315:;
case 316:;
case 317:;
case 318:;
case 319:;
case 320:;
case 321:;
case 322:;
case 323:;
case 325:;
case 326:;
case 327:;
case 328:;
case 329:;
case 330:;
case 331:;
case 332:;
case 333:;
case 334:;
case 335:;
case 336:;
case 337:;
case 338:;
case 340:;
case 341:;
case 342:;
case 344:;
case 345:;
case 346:;
case 347:;
case 348:;
case 349:;
case 350:;
case 351:;
case 352:;
case 353:;
case 355:;
case 356:;
case 357:;
case 358:;
case 359:;
case 360:;
case 361:;
case 362:;
case 364:;
case 365:;
case 366:;
case 367:;
case 368:;
case 369:;
case 370:;
case 371:;
case 372:;
case 373:;
case 374:;
case 375:;
case 376:;
case 377:;
case 380:;
case 381:;
case 382:;
case 384:;
case 385:;
case 387:;
case 389:;
case 390:;
case 391:;
case 392:;
case 394:;
case 395:;
case 396:;
case 397:;
case 398:;
case 399:;
case 400:;
case 401:;
case 402:;
case 403:;
case 405:;
case 406:;
case 407:;
case 408:;
case 409:;
case 410:;
case 411:;
case 412:;
case 414:;
case 415:;
case 416:;
case 417:;
case 419:;
case 420:;
case 421:;
case 422:;
case 423:;
case 424:;
case 426:;
case 427:;
case 428:;
case 429:;
case 430:;
case 432:;
case 433:;
case 434:;
case 435:;
case 436:;
case 438:;
case 439:;
case 440:;
case 441:;
case 442:;
case 443:;
case 444:;
case 445:;
case 446:;
case 447:;
case 448:;
case 449:;
case 450:;
case 451:;
case 452:;
case 453:;
case 455:;
case 456:;
case 457:;
case 458:;
case 460:;
case 461:;
case 462:;
case 464:;
case 465:;
case 466:;
case 467:;
case 468:;
case 469:;
case 470:;
case 471:;
case 472:;
case 473:;
case 474:;
case 476:;
case 477:;
case 478:;
case 479:;
case 481:;
case 482:;
case 483:;
case 484:;
case 487:;
case 488:;
case 490:;
case 491:;
case 492:;
case 493:;
case 494:;
case 495:;
case 496:;
case 497:;
case 498:;
case 499:;
case 500:;
case 501:;
case 502:;
case 503:;
case 504:;
case 505:;
case 506:;
case 508:;
case 509:;
case 510:;
case 512:;
case 513:;
case 514:;
case 515:;
case 516:;
case 517:;
case 518:;
case 520:;
case 521:;
case 522:;
case 523:;
case 524:;
case 525:;
case 527:;
case 528:;
case 529:;
case 530:;
case 532:;
case 533:;
case 535:;
case 536:;
case 537:;
case 539:;
case 540:;
case 541:;
case 542:;
case 543:;
case 544:;
case 545:;
case 547:;
case 548:;
case 549:;
case 550:;
case 552:;
case 553:;
case 554:;
case 555:;
case 556:;
case 557:;
case 558:;
case 559:;
case 560:;
case 561:;
case 562:;
case 563:;
case 564:;
case 565:;
case 566:;
case 567:;
case 568:;
case 569:;
case 570:;
case 572:;
case 573:;
case 574:;
case 575:;
case 576:;
case 577:;
case 579:;
case 580:;
case 581:;
case 582:;
case 583:;
case 584:;
case 585:;
case 586:;
case 587:;
case 588:;
case 589:;
case 590:;
case 591:;
case 592:;
case 593:;
case 594:;
case 595:;
case 596:;
case 597:;
case 598:;
case 599:;
case 601:;
case 602:;
case 603:;
case 604:;
case 605:;
case 607:;
case 608:;
case 609:;
case 610:;
case 611:;
case 613:;
case 614:;
case 615:;
case 616:;
case 617:;
case 619:;
case 620:;
case 621:;
case 622:;
case 623:;
case 624:;
case 625:;
case 626:;
case 627:;
case 628:;
case 629:;
case 630:;
case 631:;
case 632:;
case 634:;
case 635:;
case 636:;
case 637:;
case 638:;
case 639:;
case 640:;
case 641:;
case 642:;
case 643:;
case 644:;
case 645:;
case 647:;
case 648:;
case 649:;
case 650:;
case 651:;
case 652:;
case 653:;
case 654:;
case 655:;
case 656:;
case 657:;
case 659:;
case 660:;
case 661:;
case 662:;
case 663:;
case 664:;
case 665:;
case 666:;
case 667:;
case 668:;
case 670:;
case 671:;
case 672:;
case 673:;
case 674:;
case 675:;
case 676:;
case 677:;
case 679:;
case 680:;
case 681:;
case 682:;
case 683:;
case 684:;
case 686:;
case 687:;
case 688:;
case 689:;
case 690:;
case 691:;
case 692:;
case 693:;
case 694:;
case 695:;
case 697:;
case 698:;
case 699:;
case 701:;
case 702:;
case 703:;
case 704:;
case 705:;
case 708:;
case 709:;
case 710:;
case 711:;
case 713:;
case 714:;
case 715:;
case 716:;
case 717:;
case 720:;
case 721:;
case 722:;
case 723:;
case 725:;
case 726:;
case 727:;
case 728:;
case 730:;
case 731:;
case 732:;
case 733:;
case 735:;
case 736:;
case 737:;
case 738:;
case 739:;
case 740:;
case 741:;
case 742:;
case 743:;
case 744:;
case 745:;
case 747:;
case 748:;
case 749:;
case 750:;
case 752:;
case 753:;
case 754:;
case 756:;
case 757:;
case 758:;
case 759:;
case 760:;
case 762:;
case 763:;
case 764:;
case 765:;
case 767:;
case 768:;
case 769:;
case 770:;
case 772:;
case 773:;
case 774:;
case 775:;
case 777:;
case 778:;
case 779:;
case 780:;
case 781:;
case 782:;
case 783:;
case 785:;
case 786:;
case 787:;
case 788:;
case 789:;
case 790:;
case 791:;
case 792:;
case 794:;
case 795:;
case 796:;
case 798:;
case 799:;
case 800:;
case 802:;
case 803:;
case 804:;
case 806:;
case 807:;
case 808:;
case 809:;
case 810:;
case 811:;
case 812:;
case 813:;
case 814:;
case 815:;
case 816:;
case 818:;
case 819:;
case 820:;
case 821:;
case 822:;
case 823:;
case 824:;
case 825:;
case 827:;
case 828:;
case 829:;
case 831:;
case 832:;
case 833:;
case 834:;
case 835:;
case 836:;
case 837:;
case 838:;
case 839:;
case 840:;
case 841:;
case 842:;
case 843:;
case 844:;
case 845:;
case 847:;
case 848:;
case 849:;
case 850:;
case 851:;
case 852:;
case 853:;
case 854:;
case 855:;
case 857:;
case 858:;
case 859:;
case 860:;
case 861:;
case 862:;
case 863:;
case 864:;
case 865:;
case 866:;
case 867:;
case 868:;
case 870:;
case 871:;
case 872:;
case 873:;
case 874:;
case 875:;
case 876:;
case 877:;
case 878:;
case 879:;
case 880:;
case 881:;
case 883:;
case 884:;
case 885:;
case 886:;
case 887:;
case 888:;
case 889:;
case 890:;
case 891:;
case 892:;
case 893:;
case 894:;
case 895:;
case 896:;
case 897:;
case 898:;
case 899:;
case 900:;
case 901:;
case 902:;
case 903:;
case 904:;
case 906:;
case 907:;
case 908:;
case 909:;
case 910:;
case 911:;
case 912:;
case 913:;
case 914:;
case 915:;
case 917:;
case 918:;
case 919:;
case 920:;
case 921:;
case 922:;
case 923:;
case 926:;
case 927:;
case 928:;
case 929:;
case 930:;
case 931:;
case 932:;
case 933:;
case 934:;
case 935:;
case 939:;
case 940:;
case 941:;
case 942:;
case 943:;
case 944:;
case 945:;
case 947:;
case 948:;
case 949:;
case 951:;
case 952:;
case 953:;
case 954:;
case 955:;
case 956:;
case 957:;
case 958:;
case 959:;
case 961:;
case 962:;
case 963:;
case 964:;
case 965:;
case 966:;
case 967:;
case 968:;
case 969:;
case 971:;
case 972:;
case 973:;
case 974:;
case 975:;
case 976:;
case 977:;
case 978:;
case 979:;
case 980:;
case 981:;
case 982:;
case 983:;
case 985:;
case 986:;
case 987:;
case 988:;
case 989:;
case 990:;
case 991:;
case 992:;
case 994:;
case 995:;
case 996:;
case 997:;
case 1000:;
case 1001:;
case 1002:;
case 1003:;
case 1004:;
case 1005:;
case 1007:;
case 1008:;
case 1009:;
case 1011:;
case 1012:;
case 1013:;
case 1015:;
case 1016:;
case 1017:;
case 1018:;
case 1020:;
case 1021:;
case 1022:;
case 1023:;
case 1026:;
case 1027:;
case 1028:;
case 1030:;
case 1031:;
case 1032:;
case 1033:;
case 1034:;
case 1035:;
case 1036:;
case 1037:;
case 1038:;
case 1039:;
case 1041:;
case 1042:;
case 1043:;
case 1044:;
case 1045:;
case 1046:;
case 1047:;
case 1048:;
case 1049:;
case 1050:;
case 1051:;
case 1053:;
case 1054:;
case 1055:;
case 1056:;
case 1057:;
case 1058:;
case 1059:;
case 1060:;
case 1062:;
case 1063:;
case 1064:;
case 1065:;
case 1066:;
case 1067:;
case 1068:;
case 1069:;
case 1071:;
case 1072:;
case 1073:;
case 1074:;
case 1075:;
case 1076:;
case 1077:;
case 1079:;
case 1080:;
case 1081:;
case 1082:;
case 1084:;
case 1085:;
case 1086:;
case 1087:;
case 1088:;
case 1089:;
case 1090:;
case 1091:;
case 1092:;
case 1093:;
case 1094:;
case 1095:;
case 1098:;
case 1099:;
case 1100:;
case 1101:;
case 1102:;
case 1103:;
case 1104:;
case 1105:;
case 1106:;
case 1107:;
case 1108:;
case 1109:;
case 1110:;
case 1111:;
case 1112:;
case 1113:;
case 1114:;
case 1115:;
case 1117:;
case 1118:;
case 1119:;
case 1120:;
case 1122:;
case 1123:;
case 1124:;
case 1125:;
case 1127:;
case 1128:;
case 1129:;
case 1130:;
case 1131:;
case 1132:;
case 1133:;
case 1134:;
case 1135:;
case 1136:;
case 1137:;
case 1138:;
case 1140:;
case 1141:;
case 1142:;
case 1143:;
case 1144:;
case 1145:;
case 1146:;
case 1147:;
case 1148:;
case 1150:;
case 1151:;
case 1152:;
case 1154:;
case 1155:;
case 1156:;
case 1157:;
case 1158:;
case 1159:;
case 1160:;
case 1161:;
case 1162:;
case 1163:;
case 1165:;
case 1166:;
case 1167:;
case 1168:;
case 1169:;
case 1170:;
case 1171:;
case 1172:;
case 1173:;
case 1174:;
case 1176:;
case 1177:;
case 1178:;
case 1180:;
case 1181:;
case 1182:;
case 1184:;
case 1185:;
case 1186:;
case 1188:;
case 1189:;
case 1190:;
case 1191:;
case 1192:;
case 1193:;
case 1194:;
case 1195:;
case 1196:;
case 1197:;
case 1198:;
case 1200:;
case 1201:;
case 1202:;
case 1204:;
case 1205:;
case 1206:;
case 1208:;
case 1209:;
case 1210:;
case 1211:;
case 1212:;
case 1213:;
case 1214:;
case 1215:;
case 1216:;
case 1217:;
case 1219:;
case 1220:;
case 1221:;
case 1222:;
case 1223:;
case 1224:;
case 1225:;
case 1226:;
case 1228:;
case 1229:;
case 1230:;
case 1232:;
case 1233:;
case 1234:;
case 1235:;
case 1237:;
case 1238:;
case 1241:;
case 1242:;
BreezeScan_Attribute.Position.Line   = yyLineCount;
BreezeScan_Attribute.Position.Column = (unsigned char *) BreezeScan_TokenPtr - yyLineStart;
/* line 323 "Breeze.rex" */
{
	char nextChar = BreezeScan_TokenPtr[BreezeScan_TokenLength];
	BreezeScan_TokenPtr[BreezeScan_TokenLength] = '\0';
	BreezeScan_Attribute.breeze_keyword.keyword = MakeIdent1 (BreezeScan_TokenPtr);
	BreezeScan_TokenPtr[BreezeScan_TokenLength] = nextChar;
	return 3;

} yyy174: goto yyBegin;
case 15:;
{/* BlankAction */
while (* yyChBufferIndexReg ++ == ' ') ;
BreezeScan_TokenPtr = (char *) -- yyChBufferIndexReg;
yyState = yyStartState;
yyStatePtr = & yyStateStack [1];
goto yyContinue;
} yyy175: goto yyBegin;
case 13:;
{/* EolAction */
yyLineCount ++;
yyLineStart = yyChBufferIndexReg - 1;
} yyy176: goto yyBegin;
case 1:;
case 2:;
case 5:;
case 9:;
case 10:;
case 1245:;
	 /* non final states */
	 yyChBufferIndexReg --;			/* return character */
	 break;
 
case 12:
	 BreezeScan_Attribute.Position.Line   = yyLineCount;
	 BreezeScan_Attribute.Position.Column = yyChBufferIndexReg - yyLineStart;
      /* BreezeScan_TokenLength   = 1; */
	 yyChBufferIndex = ++ yyChBufferIndexReg;
	 {
/* line 103 "Breeze.rex" */
 char badChar[2]; badChar[0] = *BreezeScan_TokenPtr; badChar[1] = '\0';
	LOG_ERROR (IllegalCharacter, MakeIdent1 (badChar), BreezeScan_Attribute.Position); 
	 }
	 goto yyBegin;
 
      case yyDNoState:				/* automatic initialization */
	 yyInitialize ();
	 yySourceFile = StdIn;
	 goto yyBegin;

case 11:
	 yyChBufferIndex = -- yyChBufferIndexReg; /* undo last state transition */
	 if (-- BreezeScan_TokenLength == 0) {		/* get previous state */
	    yyState = yyStartState;
	 } else {
	    yyState = * (yyStatePtr - 1);
	 }

	 if (yyChBufferIndex != & yyChBufferStart [yyBytesRead]) {
						/* end of buffer sentinel in buffer */
	    if ((yyState = yyEobTrans [yyState]) == yyDNoState) continue;
	    yyChBufferIndexReg ++;
	    * yyStatePtr ++ = yyState;		/* push state */
	    goto yyContinue;
	 }
						/* end of buffer reached */
	 {  /* copy initial part of token in front of the input buffer */
	    register char * yySource = BreezeScan_TokenPtr;
	    register char * yyTarget = BreezeScan_TokenPtr = (char *) & yyChBufferPtr [yyMaxAlign - BreezeScan_TokenLength % yyMaxAlign];
	    if (yySource != yyTarget) {
	       while (yySource < (char *) yyChBufferIndexReg) * yyTarget ++ = * yySource ++;
	       yyLineStart += (unsigned char *) yyTarget - yyChBufferStart - yyBytesRead;
	       yyChBufferStart = (unsigned char *) yyTarget;
	    } else {
	       yyChBufferStart = yyChBufferIndexReg;
	    }
	 }

	 if (! yyEof) {				/* read buffer and restart */
	    int yyChBufferFree = (int) Exp2 (Log2 (yyChBufferSize - 4 - yyMaxAlign - BreezeScan_TokenLength));
	    if (yyChBufferFree < yyChBufferSize / 8) {
	       register int yyDelta;
	       register unsigned char * yyOldChBufferPtr = yyChBufferPtr;
	       ExtendArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
	       if (yyChBufferPtr == NULL) yyErrorMessage (1);
	       yyDelta = yyChBufferPtr - yyOldChBufferPtr;
	       yyChBufferStart	+= yyDelta;
	       yyLineStart	+= yyDelta;
	       BreezeScan_TokenPtr	+= yyDelta;
	       yyChBufferFree = (int) Exp2 (Log2 (yyChBufferSize - 4 - yyMaxAlign - BreezeScan_TokenLength));
	       if (yyStateStackSize < yyChBufferSize) {
		  yyStateRange * yyOldStateStack = yyStateStack;
		  ExtendArray_FIXED ((char * *) & yyStateStack, & yyStateStackSize, sizeof (yyStateRange));
		  if (yyStateStack == NULL) yyErrorMessage (1);
		  yyStatePtr	+= yyStateStack - yyOldStateStack;
	       }
	    }
	    yyChBufferIndex = yyChBufferIndexReg = yyChBufferStart;
	    yyBytesRead = BreezeScan_GetLine (yySourceFile, (char *) yyChBufferIndex, yyChBufferFree);
	    if (yyBytesRead <= 0) { yyBytesRead = 0; yyEof = true; }
	    yyChBufferStart [yyBytesRead    ] = yyEobCh;
	    yyChBufferStart [yyBytesRead + 1] = '\0';
	    goto yyContinue;
	 }

	 if (BreezeScan_TokenLength == 0) {		/* end of file reached */
	    BreezeScan_Attribute.Position.Line   = yyLineCount;
	    BreezeScan_Attribute.Position.Column = yyChBufferIndexReg - yyLineStart;
	    BreezeScan_CloseFile ();
	    if (yyFileStackPtr == yyFileStack) {
	    }
	    if (yyFileStackPtr == yyFileStack) return BreezeScan_EofToken;
	    goto yyBegin;
	 }
	 break;
 
      default:
	 yyErrorMessage (0);
      }
   }
}
 
void BreezeScan_BeginFile
# if defined __STDC__ | defined __cplusplus
   (char * yyFileName)
# else
   (yyFileName) char * yyFileName;
# endif
   {
      yyInitialize ();
      yySourceFile = BreezeScan_BeginSource (yyFileName);
      if (yySourceFile < 0) yyErrorMessage (4);
   }

static void yyInitialize ()
   {
      if (yyFileStackPtr >= yyFileStack + yyFileStackSize) yyErrorMessage (2);
      yyFileStackPtr ++;			/* push file */
      yyFileStackPtr->yySourceFile	= yySourceFile		;
      yyFileStackPtr->yyEof		= yyEof			;
      yyFileStackPtr->yyChBufferPtr	= yyChBufferPtr		;
      yyFileStackPtr->yyChBufferStart	= yyChBufferStart	;
      yyFileStackPtr->yyChBufferSize	= yyChBufferSize	;
      yyFileStackPtr->yyChBufferIndex	= yyChBufferIndex	;
      yyFileStackPtr->yyBytesRead	= yyBytesRead		;
      yyFileStackPtr->yyLineCount	= yyLineCount		;
      yyFileStackPtr->yyLineStart	= yyLineStart		;
						/* initialize file state */
      yyChBufferSize	   = yyInitBufferSize;
      MakeArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
      if (yyChBufferPtr == NULL) yyErrorMessage (1);
      yyChBufferStart	   = & yyChBufferPtr [yyMaxAlign];
      yyChBufferStart [-1] = yyEolCh;		/* begin of line indicator */
      yyChBufferStart [ 0] = yyEobCh;		/* end of buffer sentinel */
      yyChBufferStart [ 1] = '\0';
      yyChBufferIndex	   = yyChBufferStart;
      yyEof		   = false;
      yyBytesRead	   = 0;
      yyLineCount	   = 1;
      yyLineStart	   = & yyChBufferStart [-1];
      if (yyStartState == 0) yyStartState = STD;
      yyStateStack [0]	   = yyDefaultState;	/* stack underflow sentinel */
   }

void BreezeScan_CloseFile ()
   {
      if (yyFileStackPtr == yyFileStack) yyErrorMessage (3);
      BreezeScan_CloseSource (yySourceFile);
      ReleaseArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
						/* pop file */
      yySourceFile	= yyFileStackPtr->yySourceFile		;
      yyEof		= yyFileStackPtr->yyEof			;
      yyChBufferPtr	= yyFileStackPtr->yyChBufferPtr		;
      yyChBufferStart	= yyFileStackPtr->yyChBufferStart	;
      yyChBufferSize	= yyFileStackPtr->yyChBufferSize	;
      yyChBufferIndex	= yyFileStackPtr->yyChBufferIndex	;
      yyBytesRead	= yyFileStackPtr->yyBytesRead		;
      yyLineCount	= yyFileStackPtr->yyLineCount		;
      yyLineStart	= yyFileStackPtr->yyLineStart		;
      yyFileStackPtr --;		
   }
 
int BreezeScan_GetWord
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= BreezeScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = * yySource ++;
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - BreezeScan_TokenPtr;
   }
 
int BreezeScan_GetLower
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= BreezeScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = yyToLower [* yySource ++];
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - BreezeScan_TokenPtr;
   }
 
int BreezeScan_GetUpper
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= BreezeScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = yyToUpper [* yySource ++];
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - BreezeScan_TokenPtr;
   }
 
static char input ()
   {
      if (yyChBufferIndex == & yyChBufferStart [yyBytesRead]) {
	 if (! yyEof) {
	    yyLineStart -= yyBytesRead;
	    yyChBufferIndex = yyChBufferStart = yyChBufferPtr;
	    yyBytesRead = BreezeScan_GetLine (yySourceFile, (char *) yyChBufferIndex,
	       (int) Exp2 (Log2 (yyChBufferSize)));
	    if (yyBytesRead <= 0) { yyBytesRead = 0; yyEof = true; }
	    yyChBufferStart [yyBytesRead    ] = yyEobCh;
	    yyChBufferStart [yyBytesRead + 1] = '\0';
	 }
      }
      if (yyChBufferIndex == & yyChBufferStart [yyBytesRead]) return '\0';
      else return * yyChBufferIndex ++;
   }

void BreezeScan_BeginScanner ()
   {
   }
 
void BreezeScan_CloseScanner ()
   {
   }
 
static void yyErrorMessage
# if defined __STDC__ | defined __cplusplus
   (int yyErrorCode)
# else
   (yyErrorCode) int yyErrorCode;
# endif
   {
      WritePosition (stderr, BreezeScan_Attribute.Position);
      switch (yyErrorCode) {
      case 0: (void) fprintf (stderr, ": BreezeScan: internal error\n"); break;
      case 1: (void) fprintf (stderr, ": BreezeScan: out of memory\n"); break;
      case 2: (void) fprintf (stderr, ": BreezeScan: too many nested include files\n"); break;
      case 3: (void) fprintf (stderr, ": BreezeScan: file stack underflow (too many calls of BreezeScan_CloseFile)\n"); break;
      case 4: (void) fprintf (stderr, ": BreezeScan: cannot open input file\n"); break;
      }
      BreezeScan_Exit ();
   }
