/* $Id: Parser.c,v 2.15 1993/09/13 12:35:16 grosch rel $ */

# define bool		char
# define true		1
# define false		0

# include "Balsa.h"

# ifdef __cplusplus
extern "C" {
#    include "rMemory.h"
#    include "DynArray.h"
#    include "Sets.h"
#    include "Errors.h"
#    include <string.h>
#    ifndef BCOPY
#       include <memory.h>
#    endif
}
# else
#    include "rMemory.h"
#    include "DynArray.h"
#    include "Sets.h"
#    include "Errors.h"
#    ifndef BCOPY
#       include <memory.h>
#    endif
# endif

# if defined __STDC__ | defined __cplusplus
# define ARGS(parameters)	parameters
# else
# define ARGS(parameters)	()
# endif

# ifdef lex_interface
#    define BalsaScan_GetToken	yylex
     extern int yylex ();
#    ifndef AttributeDef
#	include "Positions.h"
        typedef struct { tPosition Position; } BalsaScan_tScanAttribute;
        BalsaScan_tScanAttribute	BalsaScan_Attribute = {{ 0, 0 }};
#    endif
#    ifndef ErrorAttributeDef
#	define BalsaScan_ErrorAttribute(Token, RepairAttribute)
#    endif
#    ifndef yyGetAttribute
#	define yyGetAttribute(yyAttrStackPtr, Attribute) * yyAttrStackPtr = yylval
#    endif
# else
#    include "BalsaScan.h"
#    ifndef yyGetAttribute
#	define yyGetAttribute(yyAttrStackPtr, Attribute) (yyAttrStackPtr)->Scan = Attribute
#    endif
# endif

/* line 2 "Balsa.lalr" */


#include "BalsaScan.h"
#include "Tree.h"
#include "BalsaScanSource.h"
#include "arith.h"
#include "ports.h"
#include "implicants.h"
#include <string.h>

	/* AppendDeclTrees : append tree2 onto tree1 */
	tTree AppendDeclTrees (tTree tree1, tTree tree2)
	{
		tTree ret = tree2;

		if (tree1->Kind != kNullDecls)
		{
			tTree leaf = tree1;
			ret = tree1;
			while (leaf->Decl.next && leaf->Decl.next->Kind != kNullDecls)
			{ leaf = leaf->Decl.next; }
			leaf->Decl.next = tree2;
		}
		return ret;
	}


#include "Tree.h"

typedef struct { tTree Tree; } yyprogram;
typedef struct { tTree Tree; } yyimports;
typedef struct { tTree Tree; } yyimport;
typedef struct { tTree Tree; } yyqualified_decl;
typedef struct { tTree Tree; } yydecl;
typedef struct { bool multicast; } yychannel_options;
typedef struct { tTree Tree; } yyrange;
typedef struct { tTree Tree; } yytype;
typedef struct { tTree Tree; } yytype_decl_body;
typedef struct { tTree Tree; } yynumeric_type;
typedef struct { tTree Tree; } yyval_decls;
typedef struct { tTree Tree; } yyval_decl;
typedef struct { tTree Tree; } yyexpr;
typedef struct { PortSense portSense; } yyport_sense;
typedef struct { bool isOutput; } yyport_direction;
typedef struct { tTree Tree; } yyport;
typedef struct { tTree Tree; } yyblock;
typedef struct { tTree Tree; } yyprocedure_block;
typedef struct { tTree Tree; } yycommand;
typedef struct { tTree Tree; } yyprocedure_params;
typedef struct { tTree Tree; } yyfunction_params;
typedef struct { tTree Tree; } yycomposed_type;
typedef struct { tTree Tree; } yyprocedure_param;
typedef struct { tTree Tree; } yyfunction_param;
typedef struct { bool isParallel; bool isPermissive; } yypar_seq;
typedef struct { tTree Tree; } yyguard;
typedef struct { tTree Tree; } yyport_guard;
typedef struct { tTree Tree; } yydecl_guard;
typedef struct { tTree Tree; } yychannel_guard;
typedef struct { tTree Tree; } yycase_guard;
typedef struct { tTree Tree; } yylvalue;
typedef struct { tTree Tree; } yydecls;
typedef struct { tTree Tree; } yypath;
typedef struct { tTree Tree; } yyidents;
typedef struct { tTree Tree; } yyexprs;
typedef struct { tTree Tree; } yychannels;
typedef struct { tTree Tree; } yylvalues;
typedef struct { tTree Tree; } yycase_range_elem;
typedef struct { tTree Tree; } yycase_matches;
typedef struct { tTree Tree; } yyformal_ports;
typedef struct { tTree Tree; } yyguards;
typedef struct { tTree Tree; } yyport_guards;
typedef struct { tTree Tree; } yydecl_guards;
typedef struct { tTree Tree; } yycase_guards;
typedef struct { tTree Tree; } yychannel_guards;
typedef struct { tTree Tree; } yyrecord_elems;
typedef struct { tTree Tree; } yyenum_elems;
typedef struct { tTree Tree; } yyenum_elem;
typedef struct { tTree Tree; } yylinked_typed_idents;
typedef struct { tTree Tree; } yylinked_ident;
typedef struct { tTree Tree; } yylinked_expr;
typedef struct { tTree Tree; } yylinked_channel;
typedef struct { tTree Tree; } yylinked_lvalue;

typedef union {
 BalsaScan_tScanAttribute Scan;
 yyprogram program;
 yyimports imports;
 yyimport import;
 yyqualified_decl qualified_decl;
 yydecl decl;
 yychannel_options channel_options;
 yyrange range;
 yytype type;
 yytype_decl_body type_decl_body;
 yynumeric_type numeric_type;
 yyval_decls val_decls;
 yyval_decl val_decl;
 yyexpr expr;
 yyport_sense port_sense;
 yyport_direction port_direction;
 yyport port;
 yyblock block;
 yyprocedure_block procedure_block;
 yycommand command;
 yyprocedure_params procedure_params;
 yyfunction_params function_params;
 yycomposed_type composed_type;
 yyprocedure_param procedure_param;
 yyfunction_param function_param;
 yypar_seq par_seq;
 yyguard guard;
 yyport_guard port_guard;
 yydecl_guard decl_guard;
 yychannel_guard channel_guard;
 yycase_guard case_guard;
 yylvalue lvalue;
 yydecls decls;
 yypath path;
 yyidents idents;
 yyexprs exprs;
 yychannels channels;
 yylvalues lvalues;
 yycase_range_elem case_range_elem;
 yycase_matches case_matches;
 yyformal_ports formal_ports;
 yyguards guards;
 yyport_guards port_guards;
 yydecl_guards decl_guards;
 yycase_guards case_guards;
 yychannel_guards channel_guards;
 yyrecord_elems record_elems;
 yyenum_elems enum_elems;
 yyenum_elem enum_elem;
 yylinked_typed_idents linked_typed_idents;
 yylinked_ident linked_ident;
 yylinked_expr linked_expr;
 yylinked_channel linked_channel;
 yylinked_lvalue linked_lvalue;
} tParsAttribute;


# if defined lex_interface & ! defined yylvalDef
     tParsAttribute yylval;
# endif

# ifndef yyInitStackSize
#    define yyInitStackSize	100
# endif
# define yyNoState		0

# define yyFirstTerminal	0
# define yyLastTerminal		94
# define yyTableMax		2953
# define yyNTableMax		611
# define yyFirstReadState	1
# define yyLastReadState	337
# define yyFirstReadReduceState	338
# define yyLastReadReduceState	480
# define yyFirstReduceState	481
# define yyLastReduceState	694
# define yyStartState		1
# define yyStopState		481

# define yyFirstFinalState	yyFirstReadReduceState

typedef unsigned short	yyStateRange	;
typedef unsigned short	yySymbolRange	;
typedef struct	{ yyStateRange Check, Next; } yyTCombType ;

	char *		Balsa_TokenName	[yyLastTerminal + 2] = {
"_EndOfFile",
"literal",
"implicant",
"ident",
"string",
"import_keyword",
"open_brace_in_import",
"dot_in_import",
"close_brace_in_import",
"type",
"is",
"?",
"{",
",",
"}",
"'",
"-",
"+",
"not",
"log",
"sizeof",
"*",
"/",
"%",
"^",
"=",
"/=",
"<",
">",
"<=",
">=",
"and",
"or",
"xor",
".",
"[",
"]",
"..",
"over",
"(",
"as",
")",
"#",
"let",
"val",
"in",
"@",
"bits",
"signed",
"array",
"of",
"builtin",
"new",
"record",
":",
";",
"end",
"enumeration",
"constant",
"variable",
"multicast",
"channel",
"sync",
"procedure",
"active",
"passive",
"input",
"output",
"parameter",
"if",
"then",
"|",
"else",
"begin",
"continue",
"halt",
"local",
"->",
"->!",
"<-",
":=",
"||",
"||!",
"loop",
"while",
"also",
"case",
"for",
"select",
"select!",
"arbitrate",
"print",
"sink",
"function",
"shared",
""
};
static	yyTCombType	yyTComb		[yyTableMax + 1] = {
{1, 483},
{337, 481},
{0, 0},
{4, 338},
{8, 9},
{1, 483},
{3, 4},
{5, 6},
{5, 339},
{1, 483},
{9, 10},
{14, 342},
{22, 345},
{27, 28},
{61, 346},
{2, 653},
{90, 354},
{95, 91},
{95, 357},
{104, 105},
{2, 3},
{111, 112},
{122, 123},
{124, 125},
{2, 653},
{28, 29},
{94, 16},
{112, 113},
{136, 364},
{160, 161},
{180, 374},
{206, 207},
{207, 208},
{225, 226},
{235, 236},
{242, 383},
{75, 349},
{70, 71},
{7, 482},
{62, 63},
{78, 351},
{15, 355},
{76, 350},
{76, 77},
{25, 527},
{25, 527},
{84, 352},
{7, 8},
{69, 348},
{1, 483},
{70, 513},
{10, 358},
{10, 96},
{10, 97},
{26, 27},
{26, 79},
{73, 74},
{10, 104},
{1, 483},
{1, 483},
{1, 483},
{1, 483},
{1, 483},
{1, 483},
{2, 653},
{72, 514},
{94, 64},
{92, 632},
{98, 100},
{1, 483},
{70, 513},
{101, 102},
{130, 362},
{2, 653},
{2, 653},
{2, 653},
{2, 653},
{2, 653},
{2, 653},
{108, 109},
{105, 685},
{137, 138},
{93, 94},
{117, 118},
{2, 653},
{72, 514},
{123, 124},
{7, 511},
{101, 103},
{101, 359},
{139, 365},
{1, 483},
{105, 106},
{1, 483},
{1, 483},
{92, 632},
{7, 111},
{7, 116},
{7, 361},
{7, 511},
{7, 511},
{7, 122},
{140, 366},
{140, 141},
{108, 110},
{105, 685},
{2, 653},
{7, 150},
{2, 653},
{2, 653},
{93, 356},
{147, 368},
{117, 121},
{145, 136},
{145, 137},
{123, 333},
{149, 319},
{153, 154},
{162, 163},
{145, 146},
{163, 164},
{11, 516},
{108, 360},
{105, 685},
{170, 171},
{145, 143},
{154, 653},
{154, 653},
{172, 173},
{7, 156},
{11, 516},
{7, 160},
{7, 206},
{11, 12},
{11, 516},
{176, 177},
{11, 14},
{11, 531},
{11, 531},
{126, 127},
{179, 180},
{182, 183},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 531},
{11, 516},
{151, 369},
{11, 516},
{11, 15},
{184, 185},
{11, 516},
{192, 193},
{198, 199},
{126, 128},
{200, 201},
{11, 531},
{11, 531},
{11, 531},
{11, 516},
{11, 516},
{155, 640},
{151, 152},
{151, 317},
{201, 202},
{11, 516},
{11, 516},
{210, 211},
{11, 516},
{11, 516},
{11, 516},
{11, 516},
{11, 516},
{11, 516},
{217, 218},
{13, 531},
{155, 640},
{155, 640},
{161, 162},
{11, 516},
{11, 516},
{11, 516},
{11, 516},
{11, 516},
{13, 531},
{197, 187},
{197, 376},
{224, 225},
{13, 531},
{13, 531},
{226, 227},
{174, 578},
{126, 131},
{161, 165},
{186, 639},
{126, 148},
{126, 323},
{219, 379},
{126, 325},
{199, 200},
{231, 233},
{11, 516},
{194, 375},
{11, 516},
{11, 516},
{174, 578},
{174, 578},
{161, 168},
{228, 666},
{186, 639},
{186, 639},
{13, 531},
{13, 531},
{13, 531},
{199, 203},
{13, 531},
{13, 531},
{194, 195},
{194, 196},
{13, 531},
{13, 531},
{174, 578},
{174, 578},
{188, 189},
{13, 531},
{13, 531},
{219, 221},
{188, 372},
{188, 373},
{13, 531},
{13, 531},
{13, 531},
{228, 229},
{13, 531},
{13, 531},
{13, 531},
{13, 531},
{13, 531},
{13, 531},
{230, 665},
{236, 237},
{238, 239},
{243, 384},
{244, 385},
{13, 531},
{13, 531},
{13, 531},
{13, 531},
{13, 531},
{171, 569},
{246, 247},
{171, 370},
{171, 371},
{171, 569},
{171, 569},
{250, 386},
{13, 531},
{13, 531},
{252, 387},
{13, 531},
{13, 531},
{267, 268},
{264, 265},
{269, 388},
{234, 380},
{228, 666},
{13, 531},
{276, 277},
{13, 531},
{13, 531},
{30, 31},
{30, 33},
{251, 128},
{252, 245},
{278, 389},
{30, 35},
{30, 37},
{30, 39},
{30, 41},
{30, 43},
{30, 45},
{30, 47},
{30, 49},
{30, 51},
{30, 53},
{30, 55},
{30, 57},
{30, 59},
{30, 61},
{30, 62},
{234, 381},
{234, 382},
{32, 544},
{270, 271},
{270, 273},
{279, 390},
{230, 665},
{259, 641},
{30, 529},
{30, 529},
{30, 67},
{32, 544},
{287, 392},
{283, 232},
{288, 393},
{32, 544},
{32, 544},
{246, 248},
{32, 544},
{32, 544},
{251, 131},
{291, 395},
{259, 641},
{251, 148},
{294, 397},
{298, 399},
{289, 394},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{264, 267},
{264, 276},
{32, 544},
{32, 544},
{32, 544},
{299, 400},
{32, 544},
{32, 544},
{301, 65},
{302, 303},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{280, 643},
{289, 290},
{266, 694},
{32, 544},
{32, 544},
{32, 544},
{305, 306},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{281, 391},
{300, 301},
{280, 643},
{280, 643},
{283, 284},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{32, 544},
{266, 136},
{266, 137},
{316, 401},
{300, 309},
{300, 312},
{281, 282},
{281, 286},
{32, 544},
{32, 544},
{34, 543},
{32, 544},
{32, 544},
{266, 143},
{285, 642},
{320, 403},
{296, 398},
{328, 406},
{32, 544},
{34, 543},
{32, 544},
{32, 544},
{335, 336},
{34, 543},
{34, 543},
{336, 209},
{34, 543},
{34, 543},
{0, 0},
{285, 642},
{285, 642},
{296, 220},
{296, 297},
{310, 99},
{292, 396},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{266, 694},
{266, 694},
{34, 543},
{34, 543},
{34, 543},
{292, 220},
{34, 543},
{34, 543},
{303, 304},
{303, 307},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{295, 638},
{311, 11},
{292, 293},
{34, 543},
{34, 543},
{34, 543},
{0, 0},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{310, 311},
{0, 0},
{295, 638},
{295, 638},
{0, 0},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{34, 543},
{321, 247},
{321, 404},
{322, 260},
{322, 405},
{0, 0},
{327, 626},
{295, 638},
{34, 543},
{34, 543},
{36, 545},
{34, 543},
{34, 543},
{323, 363},
{334, 335},
{0, 0},
{0, 0},
{332, 329},
{34, 543},
{36, 545},
{34, 543},
{34, 543},
{323, 132},
{36, 545},
{36, 545},
{311, 64},
{36, 545},
{36, 545},
{334, 187},
{322, 262},
{322, 263},
{36, 545},
{36, 545},
{36, 545},
{327, 626},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{331, 407},
{332, 408},
{36, 545},
{36, 545},
{36, 545},
{323, 133},
{36, 545},
{36, 545},
{323, 134},
{0, 0},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{0, 0},
{333, 338},
{331, 260},
{36, 545},
{36, 545},
{36, 545},
{0, 0},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{36, 545},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{331, 262},
{331, 263},
{36, 545},
{36, 545},
{38, 546},
{36, 545},
{36, 545},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{36, 545},
{38, 546},
{36, 545},
{36, 545},
{0, 0},
{38, 546},
{38, 546},
{333, 169},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{333, 178},
{333, 181},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{38, 546},
{38, 546},
{40, 547},
{38, 546},
{38, 546},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{38, 546},
{40, 547},
{38, 546},
{38, 546},
{0, 0},
{40, 547},
{40, 547},
{0, 0},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{40, 547},
{40, 547},
{42, 548},
{40, 547},
{40, 547},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{40, 547},
{42, 548},
{40, 547},
{40, 547},
{0, 0},
{42, 548},
{42, 548},
{0, 0},
{42, 548},
{42, 548},
{0, 0},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{42, 548},
{42, 548},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{42, 548},
{44, 549},
{129, 644},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{42, 548},
{42, 548},
{44, 549},
{42, 548},
{42, 548},
{0, 0},
{44, 549},
{44, 549},
{0, 0},
{0, 0},
{42, 548},
{0, 0},
{42, 548},
{42, 548},
{0, 0},
{129, 644},
{129, 644},
{0, 0},
{44, 549},
{44, 549},
{129, 130},
{0, 0},
{0, 0},
{0, 0},
{44, 549},
{44, 549},
{44, 549},
{129, 644},
{0, 0},
{44, 549},
{44, 549},
{44, 549},
{0, 0},
{44, 549},
{44, 549},
{129, 330},
{0, 0},
{44, 549},
{44, 549},
{0, 0},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{0, 0},
{0, 0},
{0, 0},
{44, 549},
{44, 549},
{44, 549},
{0, 0},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{0, 0},
{129, 644},
{129, 644},
{129, 644},
{129, 644},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{44, 549},
{46, 550},
{324, 630},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{44, 549},
{44, 549},
{46, 550},
{44, 549},
{44, 549},
{0, 0},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{44, 549},
{0, 0},
{44, 549},
{44, 549},
{0, 0},
{324, 136},
{324, 137},
{0, 0},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{324, 630},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{324, 143},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{0, 0},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{46, 550},
{46, 550},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{46, 550},
{48, 551},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{46, 550},
{46, 550},
{48, 551},
{46, 550},
{46, 550},
{0, 0},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{46, 550},
{0, 0},
{46, 550},
{46, 550},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{0, 0},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{48, 551},
{50, 552},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{48, 551},
{48, 551},
{50, 552},
{48, 551},
{48, 551},
{0, 0},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{48, 551},
{0, 0},
{48, 551},
{48, 551},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{0, 0},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{50, 552},
{52, 553},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{50, 552},
{50, 552},
{52, 553},
{50, 552},
{50, 552},
{0, 0},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{50, 552},
{0, 0},
{50, 552},
{50, 552},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{0, 0},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{52, 553},
{54, 554},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{52, 553},
{52, 553},
{54, 554},
{52, 553},
{52, 553},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{0, 0},
{52, 553},
{0, 0},
{52, 553},
{52, 553},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{0, 0},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{0, 0},
{0, 0},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{0, 0},
{56, 555},
{0, 0},
{0, 0},
{0, 0},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{54, 554},
{56, 555},
{0, 0},
{0, 0},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{54, 554},
{0, 0},
{54, 554},
{54, 554},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{0, 0},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{0, 0},
{0, 0},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{0, 0},
{58, 556},
{0, 0},
{0, 0},
{0, 0},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{56, 555},
{58, 556},
{0, 0},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{56, 555},
{0, 0},
{56, 555},
{56, 555},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{58, 556},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{0, 0},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{58, 556},
{0, 0},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{0, 0},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{58, 556},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{58, 556},
{0, 0},
{58, 556},
{58, 556},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{60, 557},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{60, 557},
{0, 0},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{60, 557},
{60, 557},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{60, 557},
{0, 0},
{60, 557},
{60, 557},
{66, 31},
{66, 33},
{0, 0},
{0, 0},
{0, 0},
{66, 35},
{66, 37},
{66, 39},
{66, 41},
{66, 43},
{66, 45},
{66, 47},
{66, 49},
{66, 51},
{66, 53},
{66, 55},
{66, 57},
{66, 59},
{66, 61},
{66, 62},
{68, 568},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{68, 568},
{66, 67},
{66, 347},
{66, 69},
{68, 568},
{68, 568},
{0, 0},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{0, 0},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{0, 0},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{68, 568},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{0, 0},
{68, 568},
{68, 568},
{0, 0},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{68, 568},
{0, 0},
{68, 568},
{68, 568},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{80, 565},
{0, 0},
{80, 565},
{80, 565},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{0, 0},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{80, 565},
{0, 0},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{80, 565},
{81, 563},
{80, 565},
{80, 565},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{80, 565},
{81, 563},
{80, 565},
{80, 565},
{0, 0},
{81, 563},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{81, 563},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{81, 563},
{0, 0},
{81, 563},
{81, 563},
{82, 31},
{82, 33},
{0, 0},
{0, 0},
{0, 0},
{82, 35},
{82, 37},
{82, 39},
{82, 41},
{82, 43},
{82, 45},
{82, 47},
{82, 49},
{82, 51},
{82, 53},
{82, 55},
{82, 57},
{82, 59},
{82, 61},
{82, 62},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{82, 83},
{82, 353},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{82, 67},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{0, 0},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{85, 541},
{86, 540},
{85, 541},
{85, 541},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{85, 541},
{86, 540},
{85, 541},
{85, 541},
{0, 0},
{86, 540},
{86, 540},
{0, 0},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{86, 540},
{86, 540},
{87, 539},
{86, 540},
{86, 540},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{86, 540},
{87, 539},
{86, 540},
{86, 540},
{0, 0},
{87, 539},
{87, 539},
{0, 0},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{87, 539},
{87, 539},
{88, 538},
{87, 539},
{87, 539},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{87, 539},
{88, 538},
{87, 539},
{87, 539},
{0, 0},
{88, 538},
{88, 538},
{0, 0},
{88, 538},
{88, 538},
{0, 0},
{0, 0},
{0, 0},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{0, 0},
{0, 0},
{88, 538},
{88, 538},
{88, 538},
{0, 0},
{88, 538},
{88, 538},
{0, 0},
{0, 0},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{0, 0},
{0, 0},
{0, 0},
{88, 538},
{88, 538},
{88, 538},
{317, 653},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{0, 0},
{89, 689},
{0, 0},
{213, 594},
{0, 0},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{88, 538},
{89, 689},
{0, 0},
{0, 0},
{0, 0},
{89, 689},
{89, 689},
{0, 0},
{88, 538},
{88, 538},
{0, 0},
{88, 538},
{88, 538},
{213, 594},
{213, 594},
{0, 0},
{0, 0},
{0, 0},
{88, 538},
{0, 0},
{88, 538},
{88, 538},
{0, 0},
{0, 0},
{317, 653},
{0, 0},
{0, 0},
{0, 0},
{89, 689},
{213, 594},
{213, 594},
{317, 653},
{0, 0},
{317, 653},
{317, 653},
{317, 653},
{317, 653},
{317, 653},
{317, 653},
{213, 594},
{213, 594},
{89, 689},
{213, 594},
{213, 594},
{317, 653},
{0, 0},
{0, 0},
{89, 689},
{89, 689},
{0, 0},
{89, 689},
{89, 689},
{89, 689},
{89, 689},
{89, 689},
{89, 689},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{89, 689},
{114, 490},
{89, 689},
{89, 689},
{89, 689},
{317, 653},
{0, 0},
{317, 653},
{317, 653},
{0, 0},
{114, 490},
{0, 0},
{89, 689},
{89, 689},
{0, 0},
{89, 689},
{89, 689},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{89, 689},
{107, 686},
{89, 689},
{89, 689},
{107, 31},
{107, 33},
{0, 0},
{0, 0},
{0, 0},
{107, 35},
{107, 37},
{107, 39},
{107, 41},
{107, 43},
{107, 45},
{107, 47},
{107, 49},
{107, 51},
{107, 53},
{107, 55},
{107, 57},
{107, 59},
{107, 61},
{107, 62},
{0, 0},
{0, 0},
{107, 686},
{0, 0},
{114, 490},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{114, 115},
{107, 67},
{114, 490},
{0, 0},
{114, 490},
{114, 490},
{114, 490},
{114, 490},
{114, 490},
{114, 490},
{0, 0},
{107, 686},
{0, 0},
{0, 0},
{0, 0},
{114, 490},
{0, 0},
{114, 490},
{114, 490},
{114, 490},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{125, 500},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{125, 500},
{0, 0},
{0, 0},
{0, 0},
{114, 490},
{0, 0},
{114, 490},
{114, 490},
{119, 31},
{119, 33},
{0, 0},
{0, 0},
{0, 0},
{119, 35},
{119, 37},
{119, 39},
{119, 41},
{119, 43},
{119, 45},
{119, 47},
{119, 49},
{119, 51},
{119, 53},
{119, 55},
{119, 57},
{119, 59},
{119, 61},
{119, 62},
{0, 0},
{0, 0},
{125, 126},
{190, 99},
{241, 242},
{0, 0},
{0, 0},
{241, 691},
{241, 691},
{0, 0},
{119, 67},
{0, 0},
{125, 500},
{135, 652},
{0, 0},
{0, 0},
{135, 652},
{135, 652},
{119, 120},
{125, 500},
{0, 0},
{125, 500},
{125, 500},
{125, 500},
{125, 500},
{125, 500},
{125, 500},
{0, 0},
{241, 136},
{241, 137},
{0, 0},
{190, 577},
{125, 500},
{0, 0},
{125, 500},
{125, 500},
{125, 500},
{0, 0},
{135, 652},
{135, 652},
{241, 143},
{0, 0},
{0, 0},
{135, 652},
{135, 652},
{190, 577},
{190, 577},
{0, 0},
{0, 0},
{135, 652},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{125, 500},
{0, 0},
{125, 500},
{125, 500},
{135, 652},
{135, 652},
{0, 0},
{190, 577},
{190, 577},
{0, 0},
{241, 691},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{241, 243},
{0, 0},
{135, 652},
{135, 652},
{135, 652},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{135, 652},
{135, 652},
{135, 652},
{135, 652},
{135, 652},
{135, 652},
{0, 0},
{135, 652},
{135, 652},
{142, 31},
{142, 33},
{0, 0},
{0, 0},
{0, 0},
{142, 35},
{142, 37},
{142, 39},
{142, 41},
{142, 43},
{142, 45},
{142, 47},
{142, 49},
{142, 51},
{142, 53},
{142, 55},
{142, 57},
{142, 59},
{142, 61},
{142, 62},
{142, 367},
{144, 649},
{0, 0},
{0, 0},
{144, 649},
{144, 649},
{215, 31},
{215, 33},
{0, 0},
{0, 0},
{142, 67},
{215, 35},
{215, 37},
{215, 39},
{215, 41},
{215, 43},
{215, 45},
{215, 47},
{215, 49},
{215, 51},
{215, 53},
{215, 55},
{215, 57},
{215, 59},
{215, 61},
{215, 62},
{0, 0},
{144, 649},
{0, 0},
{0, 0},
{0, 0},
{144, 649},
{144, 649},
{0, 0},
{0, 0},
{0, 0},
{215, 67},
{144, 649},
{0, 0},
{150, 340},
{150, 341},
{150, 13},
{150, 343},
{0, 0},
{0, 0},
{0, 0},
{144, 649},
{144, 649},
{0, 0},
{150, 344},
{150, 17},
{0, 0},
{0, 0},
{0, 0},
{150, 18},
{150, 19},
{150, 20},
{150, 21},
{150, 22},
{0, 0},
{215, 216},
{144, 649},
{144, 649},
{144, 649},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{144, 649},
{144, 649},
{144, 649},
{144, 649},
{144, 649},
{144, 649},
{157, 509},
{144, 649},
{144, 649},
{150, 23},
{0, 0},
{0, 0},
{150, 24},
{150, 25},
{0, 0},
{157, 509},
{0, 0},
{0, 0},
{0, 0},
{157, 158},
{0, 0},
{0, 0},
{157, 31},
{157, 33},
{261, 597},
{0, 0},
{0, 0},
{157, 35},
{157, 37},
{157, 39},
{157, 41},
{157, 43},
{157, 45},
{157, 47},
{157, 49},
{157, 51},
{157, 53},
{157, 55},
{157, 57},
{157, 59},
{157, 61},
{157, 62},
{0, 0},
{261, 597},
{261, 597},
{159, 510},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{157, 67},
{0, 0},
{159, 510},
{157, 509},
{0, 0},
{0, 0},
{159, 91},
{261, 597},
{261, 597},
{0, 0},
{157, 509},
{0, 0},
{157, 509},
{157, 509},
{157, 509},
{157, 509},
{157, 509},
{157, 509},
{0, 0},
{166, 502},
{261, 597},
{261, 597},
{0, 0},
{157, 509},
{0, 0},
{157, 509},
{157, 509},
{157, 509},
{166, 502},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{159, 510},
{0, 0},
{0, 0},
{157, 509},
{0, 0},
{157, 509},
{157, 509},
{159, 510},
{0, 0},
{159, 510},
{159, 510},
{159, 510},
{159, 510},
{159, 510},
{159, 510},
{0, 0},
{0, 0},
{0, 0},
{204, 504},
{0, 0},
{159, 510},
{0, 0},
{159, 510},
{159, 510},
{159, 510},
{0, 0},
{166, 502},
{204, 504},
{0, 0},
{0, 0},
{0, 0},
{166, 167},
{0, 0},
{166, 502},
{0, 0},
{166, 502},
{166, 502},
{166, 502},
{166, 502},
{166, 502},
{166, 502},
{0, 0},
{159, 510},
{209, 653},
{159, 510},
{159, 510},
{166, 502},
{0, 0},
{166, 502},
{166, 502},
{166, 502},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{204, 504},
{166, 502},
{0, 0},
{166, 502},
{166, 502},
{204, 205},
{0, 0},
{204, 504},
{0, 0},
{204, 504},
{204, 504},
{204, 504},
{204, 504},
{204, 504},
{204, 504},
{0, 0},
{209, 653},
{0, 0},
{0, 0},
{0, 0},
{204, 504},
{0, 0},
{204, 504},
{204, 504},
{204, 504},
{209, 653},
{209, 653},
{209, 653},
{209, 653},
{209, 653},
{209, 653},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{209, 653},
{0, 0},
{0, 0},
{0, 0},
{209, 653},
{254, 255},
{204, 504},
{0, 0},
{204, 504},
{204, 504},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{209, 653},
{256, 91},
{209, 653},
{209, 653},
{223, 31},
{223, 33},
{254, 617},
{0, 0},
{0, 0},
{223, 35},
{223, 37},
{223, 39},
{223, 41},
{223, 43},
{223, 45},
{223, 47},
{223, 49},
{223, 51},
{223, 53},
{223, 55},
{223, 57},
{223, 59},
{223, 61},
{223, 62},
{256, 618},
{254, 617},
{254, 617},
{0, 0},
{0, 0},
{258, 619},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{223, 67},
{0, 0},
{0, 0},
{0, 0},
{223, 224},
{0, 0},
{0, 0},
{254, 617},
{254, 617},
{256, 618},
{256, 618},
{0, 0},
{0, 0},
{272, 593},
{258, 619},
{258, 619},
{0, 0},
{254, 617},
{254, 617},
{0, 0},
{254, 617},
{254, 617},
{0, 0},
{0, 0},
{0, 0},
{256, 618},
{256, 618},
{0, 0},
{0, 0},
{0, 0},
{258, 619},
{258, 619},
{272, 593},
{272, 593},
{274, 595},
{256, 618},
{256, 618},
{0, 0},
{256, 618},
{256, 618},
{258, 619},
{258, 619},
{0, 0},
{258, 619},
{258, 619},
{0, 0},
{0, 0},
{0, 0},
{272, 593},
{272, 593},
{0, 0},
{308, 497},
{0, 0},
{274, 595},
{274, 595},
{275, 136},
{275, 137},
{275, 590},
{272, 593},
{272, 593},
{308, 497},
{272, 593},
{272, 593},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{275, 143},
{0, 0},
{274, 595},
{274, 595},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{275, 590},
{275, 590},
{313, 496},
{274, 595},
{274, 595},
{0, 0},
{274, 595},
{274, 595},
{0, 0},
{0, 0},
{0, 0},
{313, 496},
{0, 0},
{0, 0},
{0, 0},
{313, 99},
{275, 590},
{275, 590},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{308, 497},
{0, 0},
{275, 590},
{275, 590},
{0, 0},
{275, 590},
{275, 590},
{308, 497},
{318, 8},
{308, 497},
{308, 497},
{308, 497},
{308, 497},
{308, 497},
{308, 497},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{308, 497},
{0, 0},
{308, 497},
{308, 497},
{308, 497},
{314, 8},
{0, 0},
{313, 496},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{313, 496},
{0, 0},
{313, 496},
{313, 496},
{313, 496},
{313, 496},
{313, 496},
{313, 496},
{308, 497},
{0, 0},
{308, 497},
{308, 497},
{0, 0},
{313, 496},
{318, 511},
{313, 496},
{313, 496},
{313, 496},
{0, 0},
{0, 0},
{0, 0},
{318, 402},
{0, 0},
{318, 111},
{318, 116},
{318, 361},
{318, 511},
{318, 511},
{318, 122},
{0, 0},
{0, 0},
{314, 511},
{0, 0},
{0, 0},
{318, 150},
{313, 496},
{0, 0},
{313, 496},
{313, 496},
{330, 129},
{314, 111},
{314, 116},
{314, 361},
{314, 511},
{314, 511},
{314, 122},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{314, 150},
{0, 0},
{0, 0},
{0, 0},
{314, 315},
{318, 156},
{0, 0},
{318, 160},
{318, 206},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{314, 156},
{326, 629},
{314, 160},
{314, 206},
{326, 31},
{326, 33},
{0, 0},
{0, 0},
{0, 0},
{326, 35},
{326, 37},
{326, 39},
{326, 41},
{326, 43},
{326, 45},
{326, 47},
{326, 49},
{326, 51},
{326, 53},
{326, 55},
{326, 57},
{326, 59},
{326, 61},
{326, 62},
{0, 0},
{330, 212},
{0, 0},
{0, 0},
{0, 0},
{326, 629},
{0, 0},
{0, 0},
{330, 214},
{0, 0},
{326, 67},
{0, 0},
{0, 0},
{330, 377},
{330, 378},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{330, 217},
{0, 0},
{0, 0},
{330, 222},
{330, 234},
{330, 240},
{330, 249},
{330, 251},
{330, 253},
{330, 257},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
};
static	unsigned short	yyNComb		[yyNTableMax - yyLastTerminal] = {
2,
7,
337,
480,
5,
466,
467,
149,
432,
66,
433,
89,
300,
92,
66,
418,
89,
88,
412,
95,
87,
413,
419,
412,
90,
413,
413,
86,
93,
85,
82,
81,
26,
415,
30,
32,
34,
36,
38,
40,
42,
44,
421,
46,
48,
50,
410,
409,
52,
417,
54,
56,
58,
60,
417,
76,
66,
75,
70,
68,
66,
411,
73,
72,
78,
412,
66,
414,
413,
412,
80,
89,
413,
66,
84,
412,
98,
92,
413,
66,
422,
423,
412,
98,
101,
413,
419,
108,
412,
413,
107,
413,
66,
424,
429,
114,
66,
425,
66,
430,
117,
412,
119,
314,
413,
412,
420,
412,
413,
416,
413,
426,
66,
434,
145,
135,
428,
478,
426,
431,
140,
412,
142,
427,
413,
66,
435,
66,
436,
144,
155,
327,
66,
437,
412,
426,
412,
413,
332,
413,
473,
412,
327,
413,
413,
331,
458,
264,
270,
328,
157,
473,
474,
166,
413,
322,
458,
264,
270,
476,
452,
153,
241,
474,
151,
460,
153,
66,
139,
89,
476,
172,
321,
66,
147,
460,
412,
159,
455,
413,
66,
438,
412,
175,
174,
413,
70,
66,
439,
412,
170,
176,
413,
471,
184,
179,
412,
198,
472,
413,
66,
440,
66,
441,
182,
191,
190,
417,
188,
412,
445,
412,
413,
192,
413,
66,
442,
184,
184,
426,
186,
204,
314,
194,
412,
182,
426,
413,
210,
426,
426,
188,
188,
445,
444,
447,
470,
66,
443,
213,
223,
426,
66,
448,
184,
215,
412,
197,
426,
413,
215,
412,
426,
426,
413,
230,
446,
228,
188,
235,
445,
66,
449,
299,
458,
264,
270,
215,
70,
296,
412,
254,
238,
413,
219,
465,
228,
258,
228,
426,
465,
275,
272,
460,
295,
458,
264,
270,
289,
458,
264,
270,
288,
458,
264,
270,
274,
450,
451,
89,
452,
70,
241,
281,
460,
302,
318,
256,
460,
291,
305,
231,
460,
283,
464,
266,
324,
462,
453,
462,
280,
458,
264,
270,
279,
458,
264,
270,
326,
452,
0,
241,
459,
292,
0,
244,
452,
417,
241,
465,
460,
246,
454,
0,
460,
426,
0,
455,
246,
461,
259,
458,
264,
270,
455,
452,
0,
241,
0,
308,
310,
250,
0,
452,
0,
241,
0,
246,
454,
252,
460,
0,
228,
455,
313,
246,
454,
261,
458,
264,
270,
455,
456,
458,
264,
270,
457,
458,
264,
270,
269,
458,
264,
270,
426,
426,
0,
460,
278,
458,
264,
270,
460,
0,
0,
0,
460,
283,
463,
426,
460,
0,
0,
462,
285,
458,
264,
270,
460,
287,
458,
264,
270,
294,
458,
264,
270,
298,
458,
264,
270,
0,
66,
468,
460,
0,
66,
469,
0,
460,
0,
412,
0,
460,
413,
412,
0,
460,
413,
316,
458,
264,
270,
320,
458,
264,
270,
0,
327,
0,
477,
458,
264,
270,
314,
0,
0,
473,
184,
460,
413,
334,
0,
460,
0,
0,
0,
0,
479,
474,
460,
0,
188,
0,
445,
0,
475,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
426,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
};
static	yyTCombType *	yyTBasePtr	[yyLastReadState + 1] = { 0,
& yyTComb [0],
& yyTComb [15],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [38],
& yyTComb [1],
& yyTComb [0],
& yyTComb [0],
& yyTComb [121],
& yyTComb [0],
& yyTComb [186],
& yyTComb [8],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [9],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [10],
& yyTComb [10],
& yyTComb [0],
& yyTComb [0],
& yyTComb [265],
& yyTComb [0],
& yyTComb [303],
& yyTComb [0],
& yyTComb [386],
& yyTComb [0],
& yyTComb [469],
& yyTComb [0],
& yyTComb [552],
& yyTComb [0],
& yyTComb [635],
& yyTComb [0],
& yyTComb [718],
& yyTComb [0],
& yyTComb [792],
& yyTComb [0],
& yyTComb [866],
& yyTComb [0],
& yyTComb [940],
& yyTComb [0],
& yyTComb [1014],
& yyTComb [0],
& yyTComb [1088],
& yyTComb [0],
& yyTComb [1162],
& yyTComb [0],
& yyTComb [1227],
& yyTComb [0],
& yyTComb [1292],
& yyTComb [0],
& yyTComb [1357],
& yyTComb [11],
& yyTComb [1],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [1436],
& yyTComb [0],
& yyTComb [1472],
& yyTComb [1],
& yyTComb [0],
& yyTComb [0],
& yyTComb [15],
& yyTComb [6],
& yyTComb [0],
& yyTComb [0],
& yyTComb [6],
& yyTComb [0],
& yyTComb [4],
& yyTComb [0],
& yyTComb [1537],
& yyTComb [1620],
& yyTComb [1699],
& yyTComb [0],
& yyTComb [5],
& yyTComb [1735],
& yyTComb [1818],
& yyTComb [1901],
& yyTComb [1984],
& yyTComb [2049],
& yyTComb [2],
& yyTComb [0],
& yyTComb [54],
& yyTComb [69],
& yyTComb [17],
& yyTComb [4],
& yyTComb [0],
& yyTComb [0],
& yyTComb [14],
& yyTComb [0],
& yyTComb [0],
& yyTComb [33],
& yyTComb [0],
& yyTComb [0],
& yyTComb [16],
& yyTComb [67],
& yyTComb [0],
& yyTComb [2128],
& yyTComb [66],
& yyTComb [0],
& yyTComb [0],
& yyTComb [18],
& yyTComb [2],
& yyTComb [0],
& yyTComb [2119],
& yyTComb [0],
& yyTComb [0],
& yyTComb [58],
& yyTComb [0],
& yyTComb [2198],
& yyTComb [0],
& yyTComb [0],
& yyTComb [19],
& yyTComb [76],
& yyTComb [20],
& yyTComb [2197],
& yyTComb [130],
& yyTComb [0],
& yyTComb [0],
& yyTComb [780],
& yyTComb [31],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2237],
& yyTComb [25],
& yyTComb [43],
& yyTComb [0],
& yyTComb [54],
& yyTComb [66],
& yyTComb [0],
& yyTComb [2307],
& yyTComb [0],
& yyTComb [2334],
& yyTComb [79],
& yyTComb [0],
& yyTComb [70],
& yyTComb [0],
& yyTComb [43],
& yyTComb [2381],
& yyTComb [102],
& yyTComb [0],
& yyTComb [47],
& yyTComb [55],
& yyTComb [116],
& yyTComb [0],
& yyTComb [2417],
& yyTComb [0],
& yyTComb [2456],
& yyTComb [26],
& yyTComb [179],
& yyTComb [67],
& yyTComb [66],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2482],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [74],
& yyTComb [198],
& yyTComb [66],
& yyTComb [0],
& yyTComb [161],
& yyTComb [0],
& yyTComb [81],
& yyTComb [0],
& yyTComb [0],
& yyTComb [86],
& yyTComb [21],
& yyTComb [0],
& yyTComb [71],
& yyTComb [0],
& yyTComb [107],
& yyTComb [0],
& yyTComb [149],
& yyTComb [0],
& yyTComb [172],
& yyTComb [0],
& yyTComb [2224],
& yyTComb [0],
& yyTComb [109],
& yyTComb [0],
& yyTComb [157],
& yyTComb [0],
& yyTComb [0],
& yyTComb [141],
& yyTComb [123],
& yyTComb [200],
& yyTComb [115],
& yyTComb [121],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2523],
& yyTComb [0],
& yyTComb [28],
& yyTComb [22],
& yyTComb [0],
& yyTComb [2539],
& yyTComb [105],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2015],
& yyTComb [0],
& yyTComb [2333],
& yyTComb [0],
& yyTComb [101],
& yyTComb [0],
& yyTComb [152],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2618],
& yyTComb [111],
& yyTComb [30],
& yyTComb [156],
& yyTComb [0],
& yyTComb [206],
& yyTComb [0],
& yyTComb [237],
& yyTComb [141],
& yyTComb [0],
& yyTComb [0],
& yyTComb [220],
& yyTComb [31],
& yyTComb [206],
& yyTComb [0],
& yyTComb [182],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2228],
& yyTComb [32],
& yyTComb [250],
& yyTComb [198],
& yyTComb [0],
& yyTComb [248],
& yyTComb [0],
& yyTComb [0],
& yyTComb [0],
& yyTComb [210],
& yyTComb [248],
& yyTComb [213],
& yyTComb [0],
& yyTComb [2600],
& yyTComb [0],
& yyTComb [2618],
& yyTComb [0],
& yyTComb [2623],
& yyTComb [252],
& yyTComb [0],
& yyTComb [2399],
& yyTComb [0],
& yyTComb [0],
& yyTComb [260],
& yyTComb [0],
& yyTComb [343],
& yyTComb [202],
& yyTComb [0],
& yyTComb [218],
& yyTComb [225],
& yyTComb [0],
& yyTComb [2641],
& yyTComb [0],
& yyTComb [2662],
& yyTComb [2685],
& yyTComb [208],
& yyTComb [0],
& yyTComb [229],
& yyTComb [250],
& yyTComb [298],
& yyTComb [311],
& yyTComb [0],
& yyTComb [301],
& yyTComb [0],
& yyTComb [334],
& yyTComb [0],
& yyTComb [257],
& yyTComb [259],
& yyTComb [271],
& yyTComb [0],
& yyTComb [266],
& yyTComb [354],
& yyTComb [0],
& yyTComb [269],
& yyTComb [381],
& yyTComb [336],
& yyTComb [0],
& yyTComb [270],
& yyTComb [286],
& yyTComb [319],
& yyTComb [307],
& yyTComb [296],
& yyTComb [367],
& yyTComb [0],
& yyTComb [306],
& yyTComb [0],
& yyTComb [0],
& yyTComb [2715],
& yyTComb [0],
& yyTComb [396],
& yyTComb [435],
& yyTComb [0],
& yyTComb [2742],
& yyTComb [2780],
& yyTComb [0],
& yyTComb [323],
& yyTComb [2032],
& yyTComb [2763],
& yyTComb [0],
& yyTComb [335],
& yyTComb [447],
& yyTComb [407],
& yyTComb [469],
& yyTComb [854],
& yyTComb [0],
& yyTComb [2859],
& yyTComb [452],
& yyTComb [352],
& yyTComb [0],
& yyTComb [2834],
& yyTComb [467],
& yyTComb [463],
& yyTComb [518],
& yyTComb [432],
& yyTComb [388],
& yyTComb [325],
& yyTComb [1],
};
static	unsigned short*	yyNBasePtr	[yyLastReadState + 1] = { 0,
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-94],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-93],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-91],
& yyNComb [-90],
& yyNComb [-88],
& yyNComb [-87],
& yyNComb [-84],
& yyNComb [-77],
& yyNComb [-75],
& yyNComb [-95],
& yyNComb [-74],
& yyNComb [-73],
& yyNComb [-85],
& yyNComb [-85],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-70],
& yyNComb [-95],
& yyNComb [-69],
& yyNComb [-95],
& yyNComb [-68],
& yyNComb [-95],
& yyNComb [-67],
& yyNComb [-95],
& yyNComb [-66],
& yyNComb [-95],
& yyNComb [-65],
& yyNComb [-95],
& yyNComb [-64],
& yyNComb [-95],
& yyNComb [-63],
& yyNComb [-95],
& yyNComb [-61],
& yyNComb [-95],
& yyNComb [-60],
& yyNComb [-95],
& yyNComb [-59],
& yyNComb [-95],
& yyNComb [-56],
& yyNComb [-95],
& yyNComb [-54],
& yyNComb [-95],
& yyNComb [-53],
& yyNComb [-95],
& yyNComb [-52],
& yyNComb [-95],
& yyNComb [-51],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-49],
& yyNComb [-48],
& yyNComb [-46],
& yyNComb [-44],
& yyNComb [-95],
& yyNComb [-45],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-41],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-38],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-40],
& yyNComb [-95],
& yyNComb [-34],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-31],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-33],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-27],
& yyNComb [-95],
& yyNComb [-25],
& yyNComb [-30],
& yyNComb [-95],
& yyNComb [-60],
& yyNComb [-12],
& yyNComb [-95],
& yyNComb [-8],
& yyNComb [-23],
& yyNComb [-28],
& yyNComb [-95],
& yyNComb [-14],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-53],
& yyNComb [-6],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-9],
& yyNComb [-95],
& yyNComb [8],
& yyNComb [-6],
& yyNComb [-95],
& yyNComb [-2],
& yyNComb [-95],
& yyNComb [21],
& yyNComb [23],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [7],
& yyNComb [-95],
& yyNComb [27],
& yyNComb [28],
& yyNComb [21],
& yyNComb [-95],
& yyNComb [38],
& yyNComb [31],
& yyNComb [35],
& yyNComb [-13],
& yyNComb [-12],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [16],
& yyNComb [63],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [18],
& yyNComb [-95],
& yyNComb [2],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [69],
& yyNComb [-95],
& yyNComb [-89],
& yyNComb [-95],
& yyNComb [62],
& yyNComb [-95],
& yyNComb [57],
& yyNComb [-95],
& yyNComb [34],
& yyNComb [-95],
& yyNComb [46],
& yyNComb [-95],
& yyNComb [65],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [76],
& yyNComb [49],
& yyNComb [-95],
& yyNComb [83],
& yyNComb [88],
& yyNComb [82],
& yyNComb [-95],
& yyNComb [51],
& yyNComb [62],
& yyNComb [78],
& yyNComb [-95],
& yyNComb [85],
& yyNComb [-95],
& yyNComb [96],
& yyNComb [89],
& yyNComb [-95],
& yyNComb [98],
& yyNComb [100],
& yyNComb [-95],
& yyNComb [111],
& yyNComb [-95],
& yyNComb [111],
& yyNComb [-95],
& yyNComb [112],
& yyNComb [84],
& yyNComb [100],
& yyNComb [-95],
& yyNComb [107],
& yyNComb [-95],
& yyNComb [133],
& yyNComb [-95],
& yyNComb [121],
& yyNComb [138],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [138],
& yyNComb [117],
& yyNComb [-95],
& yyNComb [157],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [126],
& yyNComb [132],
& yyNComb [-95],
& yyNComb [139],
& yyNComb [112],
& yyNComb [-95],
& yyNComb [141],
& yyNComb [-95],
& yyNComb [160],
& yyNComb [164],
& yyNComb [146],
& yyNComb [-95],
& yyNComb [163],
& yyNComb [168],
& yyNComb [136],
& yyNComb [-95],
& yyNComb [174],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [172],
& yyNComb [-95],
& yyNComb [151],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [153],
& yyNComb [196],
& yyNComb [129],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [164],
& yyNComb [-95],
& yyNComb [200],
& yyNComb [204],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [211],
& yyNComb [-95],
& yyNComb [175],
& yyNComb [226],
& yyNComb [230],
& yyNComb [-95],
& yyNComb [238],
& yyNComb [-95],
& yyNComb [167],
& yyNComb [-95],
& yyNComb [195],
& yyNComb [-95],
& yyNComb [173],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [253],
& yyNComb [-95],
& yyNComb [258],
& yyNComb [262],
& yyNComb [-95],
& yyNComb [188],
& yyNComb [-95],
& yyNComb [154],
& yyNComb [266],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [178],
& yyNComb [-95],
& yyNComb [192],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [274],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [268],
& yyNComb [-95],
& yyNComb [290],
& yyNComb [-95],
& yyNComb [295],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [205],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [299],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [303],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [197],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [204],
& yyNComb [-95],
& yyNComb [328],
& yyNComb [253],
& yyNComb [-95],
& yyNComb [254],
& yyNComb [-95],
& yyNComb [332],
& yyNComb [268],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [325],
& yyNComb [-95],
& yyNComb [210],
& yyNComb [-95],
& yyNComb [329],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [189],
& yyNComb [-95],
& yyNComb [224],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [354],
& yyNComb [336],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [362],
& yyNComb [-95],
& yyNComb [-95],
& yyNComb [368],
& yyNComb [-95],
};
static	unsigned short	yyDefault	[yyLastReadState + 1] = { 0,
0,
0,
0,
0,
0,
4,
0,
0,
0,
311,
0,
150,
11,
0,
94,
311,
150,
150,
150,
150,
150,
0,
150,
150,
0,
0,
0,
0,
150,
0,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
150,
142,
0,
150,
311,
301,
311,
0,
150,
142,
0,
223,
150,
223,
0,
311,
0,
142,
150,
142,
150,
142,
142,
0,
311,
0,
142,
142,
142,
142,
142,
95,
150,
66,
0,
150,
0,
311,
4,
310,
4,
311,
0,
311,
4,
0,
0,
150,
0,
0,
104,
311,
0,
0,
150,
119,
311,
4,
310,
150,
0,
311,
311,
0,
0,
336,
0,
94,
311,
330,
0,
126,
330,
251,
323,
323,
145,
0,
150,
311,
0,
142,
150,
0,
323,
145,
0,
311,
0,
209,
314,
0,
0,
150,
215,
317,
318,
150,
0,
150,
0,
0,
0,
0,
0,
311,
150,
119,
311,
333,
301,
0,
0,
188,
4,
190,
4,
310,
311,
4,
310,
311,
150,
215,
333,
310,
311,
197,
333,
0,
4,
0,
4,
310,
311,
0,
150,
333,
0,
334,
0,
0,
0,
311,
150,
119,
311,
0,
0,
336,
0,
314,
330,
323,
275,
150,
0,
330,
330,
150,
292,
150,
330,
150,
0,
150,
0,
0,
150,
215,
150,
215,
283,
150,
330,
0,
0,
0,
301,
0,
330,
251,
0,
0,
0,
252,
251,
0,
251,
330,
251,
252,
323,
0,
150,
142,
150,
0,
150,
142,
322,
330,
331,
330,
330,
0,
323,
0,
323,
330,
322,
266,
150,
142,
150,
142,
0,
0,
330,
322,
322,
322,
0,
224,
0,
330,
322,
330,
322,
322,
322,
150,
215,
0,
330,
322,
322,
0,
330,
322,
322,
0,
150,
0,
0,
4,
310,
311,
4,
313,
4,
0,
150,
4,
0,
0,
330,
322,
0,
0,
330,
322,
0,
0,
0,
0,
150,
0,
66,
332,
126,
251,
0,
0,
171,
0,
0,
209,
0,
};
static	unsigned char	yyLength	[yyLastReduceState - yyFirstReduceState + 1] = {
2,
2,
0,
2,
4,
1,
3,
5,
4,
4,
6,
4,
6,
5,
8,
3,
6,
7,
4,
4,
7,
4,
6,
7,
9,
6,
9,
4,
2,
4,
0,
1,
1,
3,
2,
1,
1,
1,
1,
2,
3,
4,
3,
4,
2,
3,
0,
2,
4,
1,
1,
1,
1,
1,
4,
3,
3,
2,
2,
2,
2,
2,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
3,
4,
6,
5,
5,
2,
3,
4,
3,
4,
3,
0,
1,
1,
1,
1,
3,
5,
8,
3,
6,
4,
4,
3,
5,
5,
3,
3,
4,
5,
1,
1,
3,
5,
5,
3,
2,
3,
1,
3,
3,
3,
3,
4,
6,
5,
5,
7,
3,
5,
5,
7,
8,
4,
3,
3,
3,
3,
3,
2,
4,
2,
1,
3,
1,
3,
1,
4,
1,
1,
2,
2,
2,
1,
1,
1,
2,
1,
1,
1,
3,
3,
3,
3,
3,
6,
1,
3,
4,
6,
5,
3,
3,
5,
2,
0,
2,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
3,
1,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
1,
3,
3,
1,
1,
1,
1,
3,
3,
1,
};
static	yySymbolRange	yyLeftHandSide	[yyLastReduceState - yyFirstReduceState + 1] = {
148,
97,
95,
95,
98,
101,
101,
101,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
100,
107,
107,
108,
108,
108,
105,
105,
103,
103,
103,
103,
103,
103,
103,
116,
116,
117,
117,
118,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
104,
120,
120,
120,
121,
121,
122,
122,
122,
122,
122,
122,
122,
122,
122,
125,
125,
125,
110,
110,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
124,
111,
111,
119,
119,
113,
113,
132,
132,
132,
132,
132,
132,
133,
133,
133,
130,
130,
130,
134,
135,
136,
138,
140,
140,
127,
127,
127,
127,
127,
127,
127,
127,
127,
96,
96,
99,
99,
106,
106,
112,
112,
137,
137,
126,
126,
145,
145,
139,
139,
109,
109,
128,
128,
123,
123,
102,
102,
129,
129,
131,
131,
114,
114,
115,
115,
147,
147,
146,
141,
142,
143,
143,
143,
143,
144,
};
static	yySymbolRange	yyContinuation	[yyLastReadState + 1] = { 0,
0,
0,
6,
3,
8,
3,
0,
3,
10,
3,
0,
1,
0,
3,
41,
3,
1,
1,
1,
1,
1,
3,
1,
1,
44,
45,
3,
25,
1,
44,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
1,
0,
3,
1,
3,
1,
3,
47,
1,
0,
47,
50,
1,
50,
50,
3,
36,
36,
1,
36,
1,
0,
0,
41,
3,
41,
0,
0,
0,
0,
0,
14,
1,
13,
41,
1,
14,
3,
3,
54,
3,
3,
56,
3,
3,
3,
13,
1,
13,
56,
3,
3,
3,
25,
1,
0,
3,
3,
54,
1,
54,
3,
3,
3,
10,
3,
0,
1,
3,
74,
13,
41,
74,
3,
3,
3,
10,
3,
1,
3,
36,
36,
1,
36,
3,
10,
40,
3,
41,
9,
73,
1,
56,
1,
70,
9,
56,
1,
0,
1,
0,
3,
25,
51,
54,
3,
1,
0,
3,
62,
1,
50,
62,
62,
3,
41,
3,
54,
3,
3,
54,
3,
1,
70,
62,
54,
3,
56,
62,
62,
3,
41,
3,
54,
3,
56,
1,
62,
56,
41,
25,
51,
54,
3,
1,
0,
3,
3,
10,
9,
9,
73,
74,
3,
36,
1,
70,
74,
74,
1,
56,
1,
74,
1,
50,
1,
3,
45,
1,
13,
1,
13,
70,
1,
74,
55,
3,
45,
1,
70,
74,
3,
13,
3,
3,
56,
3,
70,
3,
74,
3,
56,
3,
56,
1,
36,
1,
36,
1,
36,
56,
74,
36,
74,
74,
77,
3,
13,
3,
74,
56,
13,
1,
36,
1,
36,
36,
70,
74,
56,
56,
56,
56,
1,
70,
74,
56,
74,
56,
56,
56,
1,
56,
56,
74,
56,
56,
56,
74,
56,
56,
62,
1,
50,
62,
3,
54,
3,
3,
0,
3,
54,
3,
3,
0,
73,
74,
56,
9,
56,
74,
56,
14,
56,
3,
13,
1,
13,
13,
41,
1,
74,
36,
41,
62,
41,
10,
9,
0,
};
static	unsigned short	yyFinalToProd	[yyLastReadReduceState - yyFirstReadReduceState + 1] = {
688,
485,
530,
533,
537,
532,
534,
542,
558,
525,
526,
561,
559,
560,
562,
564,
536,
566,
567,
535,
519,
521,
523,
512,
612,
644,
645,
648,
646,
647,
651,
487,
570,
571,
572,
573,
580,
581,
582,
588,
589,
601,
635,
636,
637,
692,
693,
614,
615,
616,
591,
592,
610,
608,
609,
602,
600,
603,
604,
605,
606,
607,
587,
586,
488,
583,
650,
584,
611,
585,
501,
656,
655,
515,
517,
624,
625,
528,
660,
659,
634,
633,
623,
622,
520,
658,
687,
522,
657,
682,
681,
684,
524,
683,
489,
518,
491,
493,
492,
628,
506,
503,
576,
579,
574,
575,
670,
669,
674,
673,
507,
505,
672,
668,
690,
662,
679,
661,
598,
599,
596,
664,
663,
680,
667,
678,
677,
671,
486,
654,
495,
494,
508,
676,
675,
627,
631,
621,
620,
613,
499,
498,
484,
};

static	void	yyErrorRecovery		ARGS((yySymbolRange * yyTerminal, yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr));
static	void	yyComputeContinuation	ARGS((yyStateRange * yyStack, unsigned long yyStackSize, short yyStackPtr, tSet * yyContinueSet));
static	bool	yyIsContinuation	ARGS((yySymbolRange yyTerminal, yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr));
static	void	yyComputeRestartPoints	ARGS((yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr, tSet * yyRestartSet));
static	yyStateRange yyNext		ARGS((yyStateRange yyState, yySymbolRange yySymbol));
static	void	BeginBalsa		();

int Balsa ()
   {
      register	yyStateRange	yyState		;
      register	long		yyTerminal	;
      register	yyStateRange *	yyStateStackPtr ;
      register	tParsAttribute *yyAttrStackPtr	;
      register	bool		yyIsRepairing	;
		unsigned long	yyStateStackSize= yyInitStackSize;
		unsigned long	yyAttrStackSize = yyInitStackSize;
		yyStateRange *	yyStateStack	;
		tParsAttribute* yyAttributeStack;
		tParsAttribute	yySynAttribute	;	/* synthesized attribute */
      register	yyStateRange *	yyEndOfStack	;
		int		yyErrorCount	= 0;
   
/* line 146 "Balsa.lalr" */



      BeginBalsa ();
      yyState		= yyStartState;
      yyTerminal	= BalsaScan_GetToken ();
      MakeArray ((char * *) & yyStateStack, & yyStateStackSize, sizeof (yyStateRange));
      MakeArray ((char * *) & yyAttributeStack, & yyAttrStackSize, sizeof (tParsAttribute));
      yyEndOfStack	= & yyStateStack [yyStateStackSize];
      yyStateStackPtr	= yyStateStack;
      yyAttrStackPtr	= yyAttributeStack;
      yyIsRepairing	= false;

   ParseLoop:
      for (;;) {
	 if (yyStateStackPtr >= yyEndOfStack) {
	    int yyyStateStackPtr= yyStateStackPtr - yyStateStack;
	    int yyyAttrStackPtr	= yyAttrStackPtr - yyAttributeStack;
	    ExtendArray ((char * *) & yyStateStack, & yyStateStackSize, sizeof (yyStateRange));
	    ExtendArray ((char * *) & yyAttributeStack, & yyAttrStackSize, sizeof (tParsAttribute));
	    yyStateStackPtr	= yyStateStack + yyyStateStackPtr;
	    yyAttrStackPtr	= yyAttributeStack + yyyAttrStackPtr;
	    yyEndOfStack	= & yyStateStack [yyStateStackSize];
	 }
	 * yyStateStackPtr = yyState;

   TermTrans:
	 for (;;) {	/* SPEC State = Next (State, Terminal); terminal transition */
	    register yyStateRange * yyTCombPtr;

	    yyTCombPtr = (yyStateRange *) (yyTBasePtr [yyState] + yyTerminal);
	    if (* yyTCombPtr ++ == yyState) { yyState = * yyTCombPtr; break; }
	    if ((yyState = yyDefault [yyState]) != yyNoState) goto TermTrans;

							/* syntax error */
	    if (! yyIsRepairing) {			/* report and recover */
	       yySymbolRange yyyTerminal = yyTerminal;

	       yyErrorCount ++;
	       yyErrorRecovery (& yyyTerminal, yyStateStack, yyStateStackSize, yyStateStackPtr - yyStateStack);
	       yyTerminal = yyyTerminal;
	       yyIsRepairing = true;
	    }
	    yyState = * yyStateStackPtr;
	    for (;;) {
	       if (yyNext (yyState, (yySymbolRange) yyTerminal) == yyNoState) { /* repair */
		  yySymbolRange		yyRepairToken;
		  BalsaScan_tScanAttribute	yyRepairAttribute;
	    
		  yyRepairToken = yyContinuation [yyState];
		  yyState = yyNext (yyState, yyRepairToken);
		  if (yyState <= yyLastReadReduceState) {	/* read or read reduce ? */
		     BalsaScan_ErrorAttribute ((int) yyRepairToken, & yyRepairAttribute);
		     ErrorMessageI (xxTokenInserted, xxRepair, BalsaScan_Attribute.Position,
			xxString, Balsa_TokenName [yyRepairToken]);
		     if (yyState >= yyFirstFinalState) {	/* avoid second push */
			yyState = yyFinalToProd [yyState - yyFirstReadReduceState];
		     }
		     yyGetAttribute (yyAttrStackPtr ++, yyRepairAttribute);
		     * ++ yyStateStackPtr = yyState;
		  }
		  if (yyState >= yyFirstFinalState) goto Final; /* final state ? */
	       } else {
		  yyState = yyNext (yyState, (yySymbolRange) yyTerminal);
		  goto Final;
	       }
	    }
	 }

   Final:
	 if (yyState >= yyFirstFinalState) {		/* final state ? */
	    if (yyState <= yyLastReadReduceState) {	/* read reduce ? */
	       yyStateStackPtr ++;
	       yyGetAttribute (yyAttrStackPtr ++, BalsaScan_Attribute);
	       yyTerminal = BalsaScan_GetToken ();
	       yyIsRepairing = false;
	    }

	    for (;;) {
	       /* register long yyNonterminal;		   left-hand side */
# define yyNonterminal yyState

switch (yyState) {
case 481: /* _0000_ : program _EndOfFile .*/
  ReleaseArray ((char * *) & yyStateStack, & yyStateStackSize, sizeof (yyStateRange));
  ReleaseArray ((char * *) & yyAttributeStack, & yyAttrStackSize, sizeof (tParsAttribute));
  return yyErrorCount;

case 482: /* program : imports decls .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 97; {
/* line 275 "Balsa.lalr" */

		yySynAttribute.program.Tree = TreeRoot = mBalsaProgram (ReverseTree (
			AppendDeclTrees (yyAttrStackPtr [2-1].decls.Tree, yyAttrStackPtr [1-1].imports.Tree)));
	;

;

} break;
case 483: /* imports : .*/
  yyStateStackPtr -= 0; yyAttrStackPtr -= 0; yyNonterminal = 95; {
/* line 282 "Balsa.lalr" */
 yySynAttribute.imports.Tree = mNullDecls (NoPosition);
 ;

} break;
case 484:
case 480: /* imports : imports import .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 95; {
/* line 285 "Balsa.lalr" */
 yyAttrStackPtr [2-1].import.Tree->Decl.next = yyAttrStackPtr [1-1].imports.Tree; yySynAttribute.imports.Tree = yyAttrStackPtr [2-1].import.Tree; ;
 ;

} break;
case 485:
case 339: /* import : import_keyword open_brace_in_import path close_brace_in_import .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 98; {
/* line 288 "Balsa.lalr" */

	yySynAttribute.import.Tree = mImportDecl (yyAttrStackPtr [2-1].Scan.Position, NoTree, yyAttrStackPtr [3-1].path.Tree);

	if (ReportImports)
	{
		printf ("\"%s\" ", MakePathFromDottedPath (yyAttrStackPtr [3-1].path.Tree, '.'));
	}
;
 ;

} break;
case 486:
case 466: /* qualified_decl : decl .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 101; {
/* line 298 "Balsa.lalr" */
 yySynAttribute.qualified_decl.Tree  =  yyAttrStackPtr [1-1].decl.Tree;
 ;

} break;
case 487:
case 369: /* qualified_decl : 'if' decl_guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 101; {
/* line 301 "Balsa.lalr" */
 yySynAttribute.qualified_decl.Tree = mIfDecls (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].decl_guards.Tree));
 ;

} break;
case 488:
case 402: /* qualified_decl : 'if' decl_guards 'else' decls 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 101; {
/* line 304 "Balsa.lalr" */
 yySynAttribute.qualified_decl.Tree = mIfElseDecls (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].decl_guards.Tree), ReverseTree (yyAttrStackPtr [4-1].decls.Tree));
 ;

} break;
case 489:
case 432: /* decl : 'type' ident 'is' type_decl_body .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 307 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mTypeDecl (yyAttrStackPtr [3-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].type_decl_body.Tree);
 ;

} break;
case 490: /* decl : 'constant' ident '=' expr .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 310 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mConstantDecl (yyAttrStackPtr [3-1].Scan.Position, NoTree,
	yyAttrStackPtr [2-1].Scan.ident.ident, mCoercedExpr (yyAttrStackPtr [4-1].expr.Tree), mNullType (NoPosition));
 ;

} break;
case 491:
case 434: /* decl : 'constant' ident '=' expr ':' type .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 100; {
/* line 314 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mConstantDecl (yyAttrStackPtr [3-1].Scan.Position, NoTree,
	yyAttrStackPtr [2-1].Scan.ident.ident, mCoercedExpr (yyAttrStackPtr [4-1].expr.Tree), yyAttrStackPtr [6-1].type.Tree);
 ;

} break;
case 492:
case 436: /* decl : 'variable' idents ':' type .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 318 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mVariableDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree,
	ReverseTree (yyAttrStackPtr [2-1].idents.Tree), yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 493:
case 435: /* decl : 'variable' idents '=' expr ':' type .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 100; {
/* line 322 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mInitVariableDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree,
	ReverseTree (yyAttrStackPtr [2-1].idents.Tree), mCoercedExpr (yyAttrStackPtr [4-1].expr.Tree), yyAttrStackPtr [6-1].type.Tree);
 ;

} break;
case 494:
case 469: /* decl : channel_options 'channel' idents ':' type .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 100; {
/* line 326 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mChannelDecl (yyAttrStackPtr [2-1].Scan.Position, NoTree,
	ReverseTree (yyAttrStackPtr [3-1].idents.Tree), yyAttrStackPtr [5-1].type.Tree, yyAttrStackPtr [1-1].channel_options.multicast);
 ;

} break;
case 495:
case 468: /* decl : channel_options 'array' range 'of' 'channel' idents ':' type .*/
  yyStateStackPtr -= 8; yyAttrStackPtr -= 8; yyNonterminal = 100; {
/* line 330 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mChannelArrayDecl (yyAttrStackPtr [5-1].Scan.Position, NoTree,
	ReverseTree (yyAttrStackPtr [6-1].idents.Tree), yyAttrStackPtr [8-1].type.Tree, yyAttrStackPtr [3-1].range.Tree, yyAttrStackPtr [1-1].channel_options.multicast);
 ;

} break;
case 496: /* decl : channel_options 'sync' idents .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 100; {
/* line 334 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mSyncDecl (yyAttrStackPtr [2-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [3-1].idents.Tree),
	yyAttrStackPtr [1-1].channel_options.multicast);
 ;

} break;
case 497: /* decl : channel_options 'array' range 'of' 'sync' idents .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 100; {
/* line 338 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mSyncArrayDecl (yyAttrStackPtr [5-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [6-1].idents.Tree),
	yyAttrStackPtr [3-1].range.Tree, yyAttrStackPtr [1-1].channel_options.multicast);
 ;

} break;
case 498:
case 479: /* decl : 'procedure' ident '(' formal_ports ')' 'is' procedure_block .*/
  yyStateStackPtr -= 7; yyAttrStackPtr -= 7; yyNonterminal = 100; {
/* line 342 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mProcedureDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	ReverseTree (yyAttrStackPtr [4-1].formal_ports.Tree), yyAttrStackPtr [7-1].procedure_block.Tree);
 ;

} break;
case 499:
case 478: /* decl : 'procedure' ident 'is' procedure_block .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 346 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mProcedureDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	mNullFormalPorts (NoPosition), yyAttrStackPtr [4-1].procedure_block.Tree);
 ;

} break;
case 500: /* decl : 'procedure' ident 'is' ident .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 350 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mProcAliasDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree,
	yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].Scan.ident.ident, mNullProcParams (yyAttrStackPtr [1-1].Scan.Position));
 ;

} break;
case 501:
case 408: /* decl : 'procedure' ident 'is' ident '(' procedure_params ')' .*/
  yyStateStackPtr -= 7; yyAttrStackPtr -= 7; yyNonterminal = 100; {
/* line 354 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mProcAliasDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree,
	yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].Scan.ident.ident, ReverseTree (yyAttrStackPtr [6-1].procedure_params.Tree));
 ;

} break;
case 502: /* decl : 'function' ident '=' expr .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 358 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	mNullFormalPorts (NoPosition), mCoercedExpr (yyAttrStackPtr [4-1].expr.Tree), mNullType (NoPosition));
 ;

} break;
case 503:
case 439: /* decl : 'function' ident '=' expr ':' type .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 100; {
/* line 362 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	mNullFormalPorts (NoPosition), mCoercedExpr (yyAttrStackPtr [4-1].expr.Tree), yyAttrStackPtr [6-1].type.Tree);
 ;

} break;
case 504: /* decl : 'function' ident '(' formal_ports ')' '=' expr .*/
  yyStateStackPtr -= 7; yyAttrStackPtr -= 7; yyNonterminal = 100; {
/* line 366 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	ReverseTree (yyAttrStackPtr [4-1].formal_ports.Tree), mCoercedExpr (yyAttrStackPtr [7-1].expr.Tree), mNullType (NoPosition));
 ;

} break;
case 505:
case 449: /* decl : 'function' ident '(' formal_ports ')' '=' expr ':' type .*/
  yyStateStackPtr -= 9; yyAttrStackPtr -= 9; yyNonterminal = 100; {
/* line 370 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	ReverseTree (yyAttrStackPtr [4-1].formal_ports.Tree), mCoercedExpr (yyAttrStackPtr [7-1].expr.Tree), yyAttrStackPtr [9-1].type.Tree);
 ;

} break;
case 506:
case 438: /* decl : 'function' ident 'is' 'builtin' ':' type .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 100; {
/* line 374 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mBuiltinFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	mNullFormalPorts (NoPosition), yyAttrStackPtr [6-1].type.Tree);
 ;

} break;
case 507:
case 448: /* decl : 'function' ident '(' formal_ports ')' 'is' 'builtin' ':' type .*/
  yyStateStackPtr -= 9; yyAttrStackPtr -= 9; yyNonterminal = 100; {
/* line 378 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mBuiltinFunctionDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident,
	ReverseTree (yyAttrStackPtr [4-1].formal_ports.Tree), yyAttrStackPtr [9-1].type.Tree);
 ;

} break;
case 508:
case 470: /* decl : 'shared' ident 'is' procedure_block .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 382 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mSharedDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].procedure_block.Tree);

} break;
case 509: /* decl : 'print' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 100; {
/* line 384 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mPrintDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].expr.Tree, mNullExprLists (NoPosition));
 ;

} break;
case 510: /* decl : 'print' expr ',' exprs .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 100; {
/* line 387 "Balsa.lalr" */
 yySynAttribute.decl.Tree = mPrintDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].expr.Tree, ReverseTree (yyAttrStackPtr [4-1].exprs.Tree));
 ;

} break;
case 511: /* channel_options : .*/
  yyStateStackPtr -= 0; yyAttrStackPtr -= 0; yyNonterminal = 107; {
/* line 390 "Balsa.lalr" */
 yySynAttribute.channel_options.multicast = false;
 ;

} break;
case 512:
case 361: /* channel_options : 'multicast' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 107; {
/* line 393 "Balsa.lalr" */
 yySynAttribute.channel_options.multicast = true;
 ;

} break;
case 513: /* range : expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 108; {
/* line 396 "Balsa.lalr" */
 yySynAttribute.range.Tree = mSpecifiedRange (yyAttrStackPtr [1-1].expr.Tree->Expr.position, mNullExpr (NoPosition), yyAttrStackPtr [1-1].expr.Tree);
 ;

} break;
case 514: /* range : expr '..' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 108; {
/* line 399 "Balsa.lalr" */
 yySynAttribute.range.Tree = mSpecifiedRange (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 515:
case 411: /* range : 'over' type .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 108; {
/* line 402 "Balsa.lalr" */
 yySynAttribute.range.Tree = mTypeRange (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].type.Tree);
 ;

} break;
case 516: /* type : ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 105; {
/* line 405 "Balsa.lalr" */
 yySynAttribute.type.Tree = mExistingType (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident);
 ;

} break;
case 517:
case 412: /* type : composed_type .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 105; {
/* line 408 "Balsa.lalr" */
 yySynAttribute.type.Tree  =  yyAttrStackPtr [1-1].composed_type.Tree;
 ;

} break;
case 518:
case 433: /* type_decl_body : type .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 103; {
/* line 411 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree  =  yyAttrStackPtr [1-1].type.Tree;
 ;

} break;
case 519:
case 358: /* type_decl_body : 'builtin' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 103; {
/* line 414 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mBuiltinType (yyAttrStackPtr [1-1].Scan.Position);
 ;

} break;
case 520:
case 422: /* type_decl_body : 'new' type .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 103; {
/* line 417 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mNewType (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].type.Tree);
 ;

} break;
case 521:
case 359: /* type_decl_body : 'record' record_elems 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 103; {
/* line 420 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mRecordType (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].record_elems.Tree), mNullType (NoPosition));
 ;

} break;
case 522:
case 425: /* type_decl_body : 'record' record_elems 'over' type .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 103; {
/* line 423 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mRecordType (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].record_elems.Tree), yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 523:
case 360: /* type_decl_body : 'enumeration' enum_elems 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 103; {
/* line 426 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mEnumType (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].enum_elems.Tree), mNullType (NoPosition));
 ;

} break;
case 524:
case 430: /* type_decl_body : 'enumeration' enum_elems 'over' type .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 103; {
/* line 429 "Balsa.lalr" */
 yySynAttribute.type_decl_body.Tree = mEnumType (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].enum_elems.Tree), yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 525:
case 347: /* numeric_type : expr 'bits' .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 116; {
/* line 432 "Balsa.lalr" */
 yySynAttribute.numeric_type.Tree = mNumericType (yyAttrStackPtr [2-1].Scan.Position, false, yyAttrStackPtr [1-1].expr.Tree);
 ;

} break;
case 526:
case 348: /* numeric_type : expr 'signed' 'bits' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 116; {
/* line 435 "Balsa.lalr" */
 yySynAttribute.numeric_type.Tree = mNumericType (yyAttrStackPtr [3-1].Scan.Position, true, yyAttrStackPtr [1-1].expr.Tree);
 ;

} break;
case 527: /* val_decls : .*/
  yyStateStackPtr -= 0; yyAttrStackPtr -= 0; yyNonterminal = 117; {
/* line 438 "Balsa.lalr" */
 yySynAttribute.val_decls.Tree = mNullValDecls (NoPosition);
 ;

} break;
case 528:
case 415: /* val_decls : val_decls val_decl .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 117; {
/* line 441 "Balsa.lalr" */
 yyAttrStackPtr [2-1].val_decl.Tree->ValDecl.next = yyAttrStackPtr [1-1].val_decls.Tree; yySynAttribute.val_decls.Tree = yyAttrStackPtr [2-1].val_decl.Tree; ;
 ;

} break;
case 529: /* val_decl : 'val' ident '=' expr .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 118; {
/* line 444 "Balsa.lalr" */
 yySynAttribute.val_decl.Tree = mValDecl (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].expr.Tree);
 ;

} break;
case 530:
case 340: /* expr : literal .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 104; {
/* line 447 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mLiteralExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.literal.value);
 ;

} break;
case 531: /* expr : ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 104; {
/* line 450 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mIdentExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident);
 ;

} break;
case 532:
case 343: /* expr : string .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 104; {
/* line 453 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mStringExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.string.string);
 ;

} break;
case 533:
case 341: /* expr : implicant .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 104; {
/* line 456 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mImplicantExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.implicant.implicant);
 ;

} break;
case 534:
case 344: /* expr : '?' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 104; {
/* line 459 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mDontCareExpr (yyAttrStackPtr [1-1].Scan.Position);
 ;

} break;
case 535:
case 357: /* expr : ident '{' exprs '}' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 104; {
/* line 462 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mAggregateConsExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident, ReverseTree (yyAttrStackPtr [3-1].exprs.Tree));
 ;

} break;
case 536:
case 354: /* expr : '{' exprs '}' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 465 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mAggregateConsExpr (yyAttrStackPtr [1-1].Scan.Position, NoIdent, ReverseTree (yyAttrStackPtr [2-1].exprs.Tree));
 ;

} break;
case 537:
case 342: /* expr : ident "'" ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 468 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mNamedEnumElemExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident, yyAttrStackPtr [3-1].Scan.ident.ident);
 ;

} break;
case 538: /* expr : '-' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 471 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mUnaryExpr (yyAttrStackPtr [1-1].Scan.Position, NegateOperator, yyAttrStackPtr [2-1].expr.Tree);
 ;

} break;
case 539: /* expr : '+' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 474 "Balsa.lalr" */
 yySynAttribute.expr.Tree  =  yyAttrStackPtr [2-1].expr.Tree;
 ;

} break;
case 540: /* expr : 'not' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 477 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mUnaryExpr (yyAttrStackPtr [1-1].Scan.Position, InvertOperator, yyAttrStackPtr [2-1].expr.Tree);
 ;

} break;
case 541: /* expr : 'log' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 480 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mUnaryExpr (yyAttrStackPtr [1-1].Scan.Position, LogOperator, yyAttrStackPtr [2-1].expr.Tree);
 ;

} break;
case 542:
case 345: /* expr : 'sizeof' ident .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 483 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mSizeofExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].Scan.ident.ident);
 ;

} break;
case 543: /* expr : expr '+' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 486 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, AddOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 544: /* expr : expr '-' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 489 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, SubtractOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 545: /* expr : expr '*' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 492 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, MultiplyOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 546: /* expr : expr '/' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 495 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, DivideOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 547: /* expr : expr '%' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 498 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, ModuloOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 548: /* expr : expr '^' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 501 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, PowerOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 549: /* expr : expr '=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 504 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, EqualOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 550: /* expr : expr '/=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 507 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, NotEqualOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 551: /* expr : expr '<' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 510 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, LTOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 552: /* expr : expr '>' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 513 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, GTOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 553: /* expr : expr '<=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 516 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, LEOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 554: /* expr : expr '>=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 519 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, GEOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 555: /* expr : expr 'and' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 522 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, AndOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 556: /* expr : expr 'or' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 525 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, OrOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 557: /* expr : expr 'xor' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 528 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBinaryExpr (yyAttrStackPtr [2-1].Scan.Position, XorOperator, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 558:
case 346: /* expr : expr '.' ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 531 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mRecordElemExtractExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].Scan.ident.ident);
 ;

} break;
case 559:
case 350: /* expr : expr '[' expr ']' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 104; {
/* line 534 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mArrayExtractExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree, mCoercedExpr(yyAttrStackPtr [3-1].expr.Tree));
 ;

} break;
case 560:
case 351: /* expr : expr '[' expr '..' expr ']' .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 104; {
/* line 537 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mArraySliceExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree,
	mSpecifiedRange (yyAttrStackPtr [4-1].Scan.Position, yyAttrStackPtr [3-1].expr.Tree, yyAttrStackPtr [5-1].expr.Tree));
 ;

} break;
case 561:
case 349: /* expr : expr '[' 'over' type ']' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 104; {
/* line 541 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mArraySliceExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree,
	mTypeRange (yyAttrStackPtr [3-1].Scan.Position, yyAttrStackPtr [4-1].type.Tree));
 ;

} break;
case 562:
case 352: /* expr : '(' expr 'as' type ')' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 104; {
/* line 545 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mAsExpr (yyAttrStackPtr [3-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree, yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 563: /* expr : '#' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 104; {
/* line 548 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mBitArrayCastExpr (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree);
 ;

} break;
case 564:
case 353: /* expr : '(' expr ')' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 551 "Balsa.lalr" */
 yySynAttribute.expr.Tree  =  yyAttrStackPtr [2-1].expr.Tree;
 ;

} break;
case 565: /* expr : 'let' val_decls 'in' expr .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 104; {
/* line 554 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mLetExpr (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].val_decls.Tree), yyAttrStackPtr [4-1].expr.Tree);
 ;

} break;
case 566:
case 355: /* expr : ident '(' ')' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 557 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mFunctionCallExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident, mNullFuncParams (yyAttrStackPtr [2-1].Scan.Position));
 ;

} break;
case 567:
case 356: /* expr : ident '(' function_params ')' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 104; {
/* line 560 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mFunctionCallExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident, ReverseTree (yyAttrStackPtr [3-1].function_params.Tree));
 ;

} break;
case 568: /* expr : expr '@' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 104; {
/* line 563 "Balsa.lalr" */
 yySynAttribute.expr.Tree = mArrayAppendExpr (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree);
 ;

} break;
case 569: /* port_sense : .*/
  yyStateStackPtr -= 0; yyAttrStackPtr -= 0; yyNonterminal = 120; {
/* line 566 "Balsa.lalr" */
 yySynAttribute.port_sense.portSense = DefaultPortSense;
  ;

} break;
case 570:
case 370: /* port_sense : 'active' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 120; {
/* line 569 "Balsa.lalr" */
 yySynAttribute.port_sense.portSense = ActivePortSense;
 ;

} break;
case 571:
case 371: /* port_sense : 'passive' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 120; {
/* line 572 "Balsa.lalr" */
 yySynAttribute.port_sense.portSense = PassivePortSense;
 ;

} break;
case 572:
case 372: /* port_direction : 'input' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 121; {
/* line 575 "Balsa.lalr" */
 yySynAttribute.port_direction.isOutput = false;
 ;

} break;
case 573:
case 373: /* port_direction : 'output' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 121; {
/* line 578 "Balsa.lalr" */
 yySynAttribute.port_direction.isOutput = true;
 ;

} break;
case 574:
case 442: /* port : idents ':' type .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 122; {
/* line 581 "Balsa.lalr" */
 yySynAttribute.port.Tree = mValuePort (yyAttrStackPtr [2-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [1-1].idents.Tree), yyAttrStackPtr [3-1].type.Tree);
 ;

} break;
case 575:
case 443: /* port : port_sense port_direction idents ':' type .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 122; {
/* line 584 "Balsa.lalr" */
 yySynAttribute.port.Tree = mChannelPort (yyAttrStackPtr [4-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [3-1].idents.Tree), yyAttrStackPtr [5-1].type.Tree,
	yyAttrStackPtr [1-1].port_sense.portSense, yyAttrStackPtr [2-1].port_direction.isOutput, NULL);
 ;

} break;
case 576:
case 440: /* port : 'array' range 'of' port_sense port_direction idents ':' type .*/
  yyStateStackPtr -= 8; yyAttrStackPtr -= 8; yyNonterminal = 122; {
/* line 588 "Balsa.lalr" */
 yySynAttribute.port.Tree = mChannelPortArray (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [6-1].idents.Tree), yyAttrStackPtr [8-1].type.Tree,
	yyAttrStackPtr [4-1].port_sense.portSense, yyAttrStackPtr [5-1].port_direction.isOutput, yyAttrStackPtr [2-1].range.Tree, NULL);
 ;

} break;
case 577: /* port : port_sense 'sync' idents .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 122; {
/* line 592 "Balsa.lalr" */
 yySynAttribute.port.Tree = mSyncPort (yyAttrStackPtr [2-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [3-1].idents.Tree), yyAttrStackPtr [1-1].port_sense.portSense, NULL);
 ;

} break;
case 578: /* port : 'array' range 'of' port_sense 'sync' idents .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 122; {
/* line 595 "Balsa.lalr" */
 yySynAttribute.port.Tree = mSyncPortArray (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [6-1].idents.Tree),
	yyAttrStackPtr [4-1].port_sense.portSense, yyAttrStackPtr [2-1].range.Tree, NULL);
 ;

} break;
case 579:
case 441: /* port : 'parameter' idents ':' type .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 122; {
/* line 599 "Balsa.lalr" */
 yySynAttribute.port.Tree = mParamPort (yyAttrStackPtr [3-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].idents.Tree), yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 580:
case 374: /* port : 'parameter' idents ':' 'type' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 122; {
/* line 602 "Balsa.lalr" */
 yySynAttribute.port.Tree = mTypeParamPort (yyAttrStackPtr [3-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].idents.Tree));
 ;

} break;
case 581:
case 375: /* port : 'if' port_guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 122; {
/* line 605 "Balsa.lalr" */
 yySynAttribute.port.Tree = mIfPorts (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].port_guards.Tree));
 ;

} break;
case 582:
case 376: /* port : 'if' port_guards 'else' formal_ports 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 122; {
/* line 608 "Balsa.lalr" */
 yySynAttribute.port.Tree = mIfElsePorts (yyAttrStackPtr [1-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [2-1].port_guards.Tree),
	ReverseTree (yyAttrStackPtr [4-1].formal_ports.Tree));
 ;

} break;
case 583:
case 403: /* block : 'local' decls 'begin' command 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 125; {
/* line 612 "Balsa.lalr" */
 yySynAttribute.block.Tree = mBlock (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].decls.Tree), yyAttrStackPtr [4-1].command.Tree);
 ;

} break;
case 584:
case 405: /* block : 'begin' command 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 125; {
/* line 615 "Balsa.lalr" */
 yySynAttribute.block.Tree = mBlock (yyAttrStackPtr [1-1].Scan.Position, mNullDecls (NoPosition), yyAttrStackPtr [2-1].command.Tree);
 ;

} break;
case 585:
case 407: /* block : '[' command ']' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 125; {
/* line 618 "Balsa.lalr" */
 yySynAttribute.block.Tree = mBlock (yyAttrStackPtr [1-1].Scan.Position, mNullDecls (NoPosition), yyAttrStackPtr [2-1].command.Tree);
 ;

} break;
case 586:
case 401: /* procedure_block : decls 'begin' command 'end' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 110; {
/* line 621 "Balsa.lalr" */
 yySynAttribute.procedure_block.Tree = mBlock (yyAttrStackPtr [2-1].Scan.Position, ReverseTree (yyAttrStackPtr [1-1].decls.Tree), yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 587:
case 400: /* procedure_block : 'local' decls 'begin' command 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 110; {
/* line 624 "Balsa.lalr" */
 yySynAttribute.procedure_block.Tree = mBlock (yyAttrStackPtr [3-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].decls.Tree), yyAttrStackPtr [4-1].command.Tree);
 ;

} break;
case 588:
case 377: /* command : 'continue' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 124; {
/* line 627 "Balsa.lalr" */
 yySynAttribute.command.Tree = mContinueCommand (yyAttrStackPtr [1-1].Scan.Position);
 ;

} break;
case 589:
case 378: /* command : 'halt' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 124; {
/* line 630 "Balsa.lalr" */
 yySynAttribute.command.Tree = mHaltCommand (yyAttrStackPtr [1-1].Scan.Position);
 ;

} break;
case 590: /* command : lvalues '->' lvalue .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 633 "Balsa.lalr" */

	if (yyAttrStackPtr [1-1].lvalues.Tree->LvalueList.next->Kind != kNullLvalueLists)
	{
		LOG_ERROR (TooManyChannelsInInputCommand, NoIdent, yyAttrStackPtr [2-1].Scan.Position);
		yyAttrStackPtr [1-1].lvalues.Tree->LvalueList.next = mNullLvalueLists (yyAttrStackPtr [2-1].Scan.Position);
	}
	yySynAttribute.command.Tree = mInputCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalues.Tree->LinkedChannel.Lvalue, yyAttrStackPtr [3-1].lvalue.Tree);
;

} break;
case 591:
case 388: /* command : lvalues '->' 'then' command 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 642 "Balsa.lalr" */
 yySynAttribute.command.Tree = mInputEncloseCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalues.Tree, yyAttrStackPtr [4-1].command.Tree);
 ;

} break;
case 592:
case 389: /* command : lvalues '->!' 'then' command 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 645 "Balsa.lalr" */
 if (NoEagerInputs)
	yySynAttribute.command.Tree = mInputEncloseCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalues.Tree, yyAttrStackPtr [4-1].command.Tree);
	else yySynAttribute.command.Tree = mInputEncloseBangCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalues.Tree, yyAttrStackPtr [4-1].command.Tree); ;
 ;

} break;
case 593: /* command : lvalue '<-' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 650 "Balsa.lalr" */
 yySynAttribute.command.Tree = mOutputCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree, mCoercedExpr (yyAttrStackPtr [3-1].expr.Tree));
 ;

} break;
case 594: /* command : 'sync' lvalue .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 124; {
/* line 653 "Balsa.lalr" */
 yySynAttribute.command.Tree = mSyncCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].lvalue.Tree);
 ;

} break;
case 595: /* command : lvalue ':=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 656 "Balsa.lalr" */
 yySynAttribute.command.Tree = mAssignmentCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree, mCoercedExpr (yyAttrStackPtr [3-1].expr.Tree));
 ;

} break;
case 596:
case 458: /* command : block .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 124; {
/* line 659 "Balsa.lalr" */
 yySynAttribute.command.Tree = mBlockCommand (NoPosition, yyAttrStackPtr [1-1].block.Tree);
 ;

} break;
case 597: /* command : command ';' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 662 "Balsa.lalr" */
 yySynAttribute.command.Tree = mSequentialCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].command.Tree, yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 598:
case 456: /* command : command '||' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 665 "Balsa.lalr" */
 yySynAttribute.command.Tree = mParallelCommand (yyAttrStackPtr [2-1].Scan.Position, false, yyAttrStackPtr [1-1].command.Tree, yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 599:
case 457: /* command : command '||!' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 668 "Balsa.lalr" */
 yySynAttribute.command.Tree = mParallelCommand (yyAttrStackPtr [2-1].Scan.Position, true, yyAttrStackPtr [1-1].command.Tree, yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 600:
case 394: /* command : 'loop' command 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 671 "Balsa.lalr" */
 yySynAttribute.command.Tree = mLoopCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].command.Tree);
 ;

} break;
case 601:
case 379: /* command : 'loop' 'while' guards 'end' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 124; {
/* line 674 "Balsa.lalr" */
 yySynAttribute.command.Tree = mWhileGuardsCommand (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [3-1].guards.Tree));
 ;

} break;
case 602:
case 393: /* command : 'loop' 'while' guards 'also' command 'end' .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 124; {
/* line 677 "Balsa.lalr" */
 yySynAttribute.command.Tree = mWhileGuardsAlsoCommand (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [3-1].guards.Tree), yyAttrStackPtr [5-1].command.Tree);
 ;

} break;
case 603:
case 395: /* command : 'loop' command 'while' expr 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 680 "Balsa.lalr" */
 yySynAttribute.command.Tree = mCommandWhileExprCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].command.Tree, yyAttrStackPtr [4-1].expr.Tree);
 ;

} break;
case 604:
case 396: /* command : 'loop' command 'while' guards 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 683 "Balsa.lalr" */
 yySynAttribute.command.Tree = mCommandWhileGuardsCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].command.Tree, ReverseTree (yyAttrStackPtr [4-1].guards.Tree));
 ;

} break;
case 605:
case 397: /* command : 'loop' command 'while' guards 'also' command 'end' .*/
  yyStateStackPtr -= 7; yyAttrStackPtr -= 7; yyNonterminal = 124; {
/* line 686 "Balsa.lalr" */
 yySynAttribute.command.Tree = mCommandWhileGuardsAlsoCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].command.Tree, ReverseTree (yyAttrStackPtr [4-1].guards.Tree),
	yyAttrStackPtr [6-1].command.Tree);
 ;

} break;
case 606:
case 398: /* command : 'if' guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 690 "Balsa.lalr" */
 yySynAttribute.command.Tree = mIfCommand (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].guards.Tree));
 ;

} break;
case 607:
case 399: /* command : 'if' guards 'else' command 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 693 "Balsa.lalr" */
 yySynAttribute.command.Tree = mIfElseCommand (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].guards.Tree), yyAttrStackPtr [4-1].command.Tree);
 ;

} break;
case 608:
case 391: /* command : 'case' expr 'of' case_guards 'end' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 124; {
/* line 696 "Balsa.lalr" */
 yySynAttribute.command.Tree = mCaseCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree,
	ReverseTree (yyAttrStackPtr [4-1].case_guards.Tree), mNullCommand (NoPosition));
 ;

} break;
case 609:
case 392: /* command : 'case' expr 'of' case_guards 'else' command 'end' .*/
  yyStateStackPtr -= 7; yyAttrStackPtr -= 7; yyNonterminal = 124; {
/* line 700 "Balsa.lalr" */
 yySynAttribute.command.Tree = mCaseCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree,
	ReverseTree(yyAttrStackPtr [4-1].case_guards.Tree), yyAttrStackPtr [6-1].command.Tree);
 ;

} break;
case 610:
case 390: /* command : 'for' par_seq ident 'in' range 'then' command 'end' .*/
  yyStateStackPtr -= 8; yyAttrStackPtr -= 8; yyNonterminal = 124; {
/* line 704 "Balsa.lalr" */
 yySynAttribute.command.Tree = mForCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].par_seq.isParallel, yyAttrStackPtr [2-1].par_seq.isPermissive, yyAttrStackPtr [3-1].Scan.ident.ident,
	yyAttrStackPtr [5-1].range.Tree, yyAttrStackPtr [7-1].command.Tree);
 ;

} break;
case 611:
case 406: /* command : ident '(' procedure_params ')' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 124; {
/* line 708 "Balsa.lalr" */
 yySynAttribute.command.Tree = mProcedureCallCommonCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident,
	ReverseTree (yyAttrStackPtr [3-1].procedure_params.Tree));
 ;

} break;
case 612:
case 362: /* command : ident '(' ')' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 712 "Balsa.lalr" */
 yySynAttribute.command.Tree = mProcedureCallCommonCommand (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident,
	mNullProcParams (yyAttrStackPtr [2-1].Scan.Position));
 ;

} break;
case 613:
case 477: /* command : ident ':' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 716 "Balsa.lalr" */
 yySynAttribute.command.Tree  =  yyAttrStackPtr [3-1].command.Tree;
 ;

} break;
case 614:
case 385: /* command : 'select' channel_guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 719 "Balsa.lalr" */
 yySynAttribute.command.Tree = mSelectCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].channel_guards.Tree);
 ;

} break;
case 615:
case 386: /* command : 'select!' channel_guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 722 "Balsa.lalr" */
 if (NoEagerInputs)
	yySynAttribute.command.Tree = mSelectCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].channel_guards.Tree);
	else yySynAttribute.command.Tree = mSelectBangCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].channel_guards.Tree); ;
 ;

} break;
case 616:
case 387: /* command : 'arbitrate' channel_guards 'end' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 124; {
/* line 727 "Balsa.lalr" */
 yySynAttribute.command.Tree = mArbitrateCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].channel_guards.Tree);
 ;

} break;
case 617: /* command : 'print' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 124; {
/* line 730 "Balsa.lalr" */
 yySynAttribute.command.Tree = mPrintCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree, mNullExprLists (NoPosition));
 ;

} break;
case 618: /* command : 'print' expr ',' exprs .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 124; {
/* line 733 "Balsa.lalr" */
 yySynAttribute.command.Tree = mPrintCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree, ReverseTree (yyAttrStackPtr [4-1].exprs.Tree));
 ;

} break;
case 619: /* command : 'sink' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 124; {
/* line 736 "Balsa.lalr" */
 yySynAttribute.command.Tree = mSinkCommand (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].expr.Tree);
 ;

} break;
case 620:
case 476: /* procedure_params : procedure_param .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 111; {
/* line 739 "Balsa.lalr" */
 yyAttrStackPtr [1-1].procedure_param.Tree->ProcParam.next =
	mNullProcParams (yyAttrStackPtr [1-1].procedure_param.Tree->ProcedureParams.position);
	yySynAttribute.procedure_params.Tree = yyAttrStackPtr [1-1].procedure_param.Tree;;

} break;
case 621:
case 475: /* procedure_params : procedure_params ',' procedure_param .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 111; {
/* line 743 "Balsa.lalr" */
 yyAttrStackPtr [3-1].procedure_param.Tree->ProcParam.next = yyAttrStackPtr [1-1].procedure_params.Tree;
	yySynAttribute.procedure_params.Tree = yyAttrStackPtr [3-1].procedure_param.Tree; ;
 ;

} break;
case 622:
case 421: /* function_params : function_param .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 119; {
/* line 747 "Balsa.lalr" */
 yyAttrStackPtr [1-1].function_param.Tree->FuncParam.next =
	mNullFuncParams (yyAttrStackPtr [1-1].function_param.Tree->FunctionParams.position);
	yySynAttribute.function_params.Tree = yyAttrStackPtr [1-1].function_param.Tree;;

} break;
case 623:
case 420: /* function_params : function_params ',' function_param .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 119; {
/* line 751 "Balsa.lalr" */
 yyAttrStackPtr [3-1].function_param.Tree->FuncParam.next = yyAttrStackPtr [1-1].function_params.Tree;
	yySynAttribute.function_params.Tree = yyAttrStackPtr [3-1].function_param.Tree; ;
 ;

} break;
case 624:
case 413: /* composed_type : numeric_type .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 113; {
/* line 755 "Balsa.lalr" */
 yySynAttribute.composed_type.Tree  =  yyAttrStackPtr [1-1].numeric_type.Tree;
 ;

} break;
case 625:
case 414: /* composed_type : 'array' range 'of' type .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 113; {
/* line 758 "Balsa.lalr" */
 yySynAttribute.composed_type.Tree = mArrayType (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [4-1].type.Tree, yyAttrStackPtr [2-1].range.Tree);
 ;

} break;
case 626: /* procedure_param : expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 132; {
/* line 761 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mExprProcParam (yyAttrStackPtr [1-1].expr.Tree->Expr.position, NoTree, mCoercedExpr (yyAttrStackPtr [1-1].expr.Tree));
 ;

} break;
case 627:
case 473: /* procedure_param : composed_type .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 132; {
/* line 764 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mTypeProcParam (yyAttrStackPtr [1-1].composed_type.Tree->AType.position, NoTree, yyAttrStackPtr [1-1].composed_type.Tree);
 ;

} break;
case 628:
case 437: /* procedure_param : 'type' type .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 132; {
/* line 767 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mTypeProcParam (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].type.Tree);
 ;

} break;
case 629: /* procedure_param : '<-' expr .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 132; {
/* line 770 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mVarReadProcParam (yyAttrStackPtr [1-1].Scan.Position, NoTree, mCoercedExpr (yyAttrStackPtr [2-1].expr.Tree));
 ;

} break;
case 630: /* procedure_param : '->' lvalue .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 132; {
/* line 773 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mVarWriteProcParam (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].lvalue.Tree);
 ;

} break;
case 631:
case 474: /* procedure_param : block .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 132; {
/* line 776 "Balsa.lalr" */
 yySynAttribute.procedure_param.Tree = mBlockProcParam (yyAttrStackPtr [1-1].block.Tree->Block.position, NoTree, yyAttrStackPtr [1-1].block.Tree);
 ;

} break;
case 632: /* function_param : expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 133; {
/* line 779 "Balsa.lalr" */
 yySynAttribute.function_param.Tree = mExprFuncParam (yyAttrStackPtr [1-1].expr.Tree->Expr.position, NoTree, mCoercedExpr (yyAttrStackPtr [1-1].expr.Tree));
 ;

} break;
case 633:
case 419: /* function_param : composed_type .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 133; {
/* line 782 "Balsa.lalr" */
 yySynAttribute.function_param.Tree = mTypeFuncParam (yyAttrStackPtr [1-1].composed_type.Tree->AType.position, NoTree, yyAttrStackPtr [1-1].composed_type.Tree);
 ;

} break;
case 634:
case 418: /* function_param : 'type' type .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 133; {
/* line 785 "Balsa.lalr" */
 yySynAttribute.function_param.Tree = mTypeFuncParam (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].type.Tree);
 ;

} break;
case 635:
case 380: /* par_seq : ';' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 130; {
/* line 788 "Balsa.lalr" */
 yySynAttribute.par_seq.isParallel = false;
 yySynAttribute.par_seq.isPermissive = false;
 ;

} break;
case 636:
case 381: /* par_seq : '||' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 130; {
/* line 792 "Balsa.lalr" */
 yySynAttribute.par_seq.isParallel = true;
 yySynAttribute.par_seq.isPermissive = false;
 ;

} break;
case 637:
case 382: /* par_seq : '||!' .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 130; {
/* line 796 "Balsa.lalr" */
 yySynAttribute.par_seq.isParallel = true;
 yySynAttribute.par_seq.isPermissive = true;
 ;

} break;
case 638: /* guard : expr 'then' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 134; {
/* line 800 "Balsa.lalr" */
 yySynAttribute.guard.Tree = mGuard (yyAttrStackPtr [2-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 639: /* port_guard : expr 'then' formal_ports .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 135; {
/* line 803 "Balsa.lalr" */
 yySynAttribute.port_guard.Tree = mPortGuard (yyAttrStackPtr [2-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].expr.Tree, ReverseTree (yyAttrStackPtr [3-1].formal_ports.Tree));
 ;

} break;
case 640: /* decl_guard : expr 'then' decls .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 136; {
/* line 806 "Balsa.lalr" */
 yySynAttribute.decl_guard.Tree = mDeclGuard (yyAttrStackPtr [2-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].expr.Tree, ReverseTree (yyAttrStackPtr [3-1].decls.Tree));
 ;

} break;
case 641: /* channel_guard : channels 'then' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 138; {
/* line 809 "Balsa.lalr" */
 yySynAttribute.channel_guard.Tree = mChannelGuard (yyAttrStackPtr [2-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [1-1].channels.Tree), yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 642: /* case_guard : case_matches 'then' command .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 140; {
/* line 812 "Balsa.lalr" */
 yySynAttribute.case_guard.Tree = mCaseMatchGuard (yyAttrStackPtr [2-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].case_matches.Tree, yyAttrStackPtr [3-1].command.Tree);
 ;

} break;
case 643: /* case_guard : 'for' ident 'in' case_matches 'then' command .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 140; {
/* line 815 "Balsa.lalr" */
 yySynAttribute.case_guard.Tree = mForCaseGuard (yyAttrStackPtr [5-1].Scan.Position, NoTree, yyAttrStackPtr [2-1].Scan.ident.ident, yyAttrStackPtr [4-1].case_matches.Tree, yyAttrStackPtr [6-1].command.Tree);
 ;

} break;
case 644:
case 363: /* lvalue : ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 127; {
/* line 818 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mIdentLvalue (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [1-1].Scan.ident.ident);
 ;

} break;
case 645:
case 364: /* lvalue : lvalue '.' ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 127; {
/* line 821 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mRecordElemLvalue (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree, yyAttrStackPtr [3-1].Scan.ident.ident);
 ;

} break;
case 646:
case 366: /* lvalue : lvalue '[' expr ']' .*/
  yyStateStackPtr -= 4; yyAttrStackPtr -= 4; yyNonterminal = 127; {
/* line 824 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mArrayElemLvalue (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree, mCoercedExpr (yyAttrStackPtr [3-1].expr.Tree));
 ;

} break;
case 647:
case 367: /* lvalue : lvalue '[' expr '..' expr ']' .*/
  yyStateStackPtr -= 6; yyAttrStackPtr -= 6; yyNonterminal = 127; {
/* line 827 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mArraySliceLvalue (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree,
	mSpecifiedRange (yyAttrStackPtr [4-1].Scan.Position, yyAttrStackPtr [3-1].expr.Tree, yyAttrStackPtr [5-1].expr.Tree));
 ;

} break;
case 648:
case 365: /* lvalue : lvalue '[' 'over' type ']' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 127; {
/* line 831 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mArraySliceLvalue (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree,
	mTypeRange (yyAttrStackPtr [3-1].Scan.Position, yyAttrStackPtr [4-1].type.Tree));
 ;

} break;
case 649: /* lvalue : lvalue '@' lvalue .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 127; {
/* line 835 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mArrayAppendLvalue (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].lvalue.Tree, yyAttrStackPtr [3-1].lvalue.Tree);
 ;

} break;
case 650:
case 404: /* lvalue : '{' channels '}' .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 127; {
/* line 838 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mArrayConsLvalue (yyAttrStackPtr [1-1].Scan.Position, ReverseTree (yyAttrStackPtr [2-1].channels.Tree));
 ;

} break;
case 651:
case 368: /* lvalue : '(' lvalue 'as' type ')' .*/
  yyStateStackPtr -= 5; yyAttrStackPtr -= 5; yyNonterminal = 127; {
/* line 841 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mAsLvalue (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].lvalue.Tree, yyAttrStackPtr [4-1].type.Tree);
 ;

} break;
case 652: /* lvalue : '#' lvalue .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 127; {
/* line 844 "Balsa.lalr" */
 yySynAttribute.lvalue.Tree = mBitArrayCastLvalue (yyAttrStackPtr [1-1].Scan.Position, yyAttrStackPtr [2-1].lvalue.Tree);
 ;

} break;
case 653: /* decls : .*/
  yyStateStackPtr -= 0; yyAttrStackPtr -= 0; yyNonterminal = 96; {
/* line 847 "Balsa.lalr" */
 yySynAttribute.decls.Tree = mNullDecls (NoPosition);
 ;

} break;
case 654:
case 467: /* decls : decls qualified_decl .*/
  yyStateStackPtr -= 2; yyAttrStackPtr -= 2; yyNonterminal = 96; {
/* line 850 "Balsa.lalr" */
 yyAttrStackPtr [2-1].qualified_decl.Tree->Decl.next = yyAttrStackPtr [1-1].decls.Tree; yySynAttribute.decls.Tree = yyAttrStackPtr [2-1].qualified_decl.Tree; ;
 ;

} break;
case 655:
case 410: /* path : linked_ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 99; {
/* line 853 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_ident.Tree->Ident.next = mNullIdents (NoPosition); yySynAttribute.path.Tree = yyAttrStackPtr [1-1].linked_ident.Tree;;

} break;
case 656:
case 409: /* path : path dot_in_import linked_ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 99; {
/* line 855 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_ident.Tree->Ident.next = yyAttrStackPtr [1-1].path.Tree; yySynAttribute.path.Tree = yyAttrStackPtr [3-1].linked_ident.Tree; ;
 ;

} break;
case 657:
case 426: /* idents : linked_ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 106; {
/* line 858 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_ident.Tree->Ident.next = mNullIdents (NoPosition); yySynAttribute.idents.Tree = yyAttrStackPtr [1-1].linked_ident.Tree;;

} break;
case 658:
case 423: /* idents : idents ',' linked_ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 106; {
/* line 860 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_ident.Tree->Ident.next = yyAttrStackPtr [1-1].idents.Tree; yySynAttribute.idents.Tree = yyAttrStackPtr [3-1].linked_ident.Tree; ;
 ;

} break;
case 659:
case 417: /* exprs : linked_expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 112; {
/* line 863 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_expr.Tree->ExprList.next =
	mNullExprLists (yyAttrStackPtr [1-1].linked_expr.Tree->ExprList.position); yySynAttribute.exprs.Tree = yyAttrStackPtr [1-1].linked_expr.Tree; ;
 ;

} break;
case 660:
case 416: /* exprs : exprs ',' linked_expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 112; {
/* line 867 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_expr.Tree->ExprList.next = yyAttrStackPtr [1-1].exprs.Tree; yySynAttribute.exprs.Tree = yyAttrStackPtr [3-1].linked_expr.Tree; ;
 ;

} break;
case 661:
case 455: /* channels : linked_channel .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 137; {
/* line 870 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_channel.Tree->LvalueList.next =
	mNullLvalueLists (yyAttrStackPtr [1-1].linked_channel.Tree->NullLvalueLists.position); yySynAttribute.channels.Tree = yyAttrStackPtr [1-1].linked_channel.Tree; ;
 ;

} break;
case 662:
case 453: /* channels : channels ',' linked_channel .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 137; {
/* line 874 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_channel.Tree->LvalueList.next = yyAttrStackPtr [1-1].channels.Tree;
	yySynAttribute.channels.Tree = yyAttrStackPtr [3-1].linked_channel.Tree; ;
 ;

} break;
case 663:
case 460: /* lvalues : linked_lvalue .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 126; {
/* line 878 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_lvalue.Tree->LvalueList.next =
	mNullLvalueLists (yyAttrStackPtr [1-1].linked_lvalue.Tree->NullLvalueLists.position); yySynAttribute.lvalues.Tree = yyAttrStackPtr [1-1].linked_lvalue.Tree; ;
 ;

} break;
case 664:
case 459: /* lvalues : lvalues ',' linked_lvalue .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 126; {
/* line 882 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_lvalue.Tree->LvalueList.next = yyAttrStackPtr [1-1].lvalues.Tree;
	yySynAttribute.lvalues.Tree = yyAttrStackPtr [3-1].linked_lvalue.Tree; ;
 ;

} break;
case 665: /* case_range_elem : expr '..' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 145; {
/* line 886 "Balsa.lalr" */
 yySynAttribute.case_range_elem.Tree = mCaseRange (yyAttrStackPtr [2-1].Scan.Position, NoTree,
	mSpecifiedRange (yyAttrStackPtr [2-1].Scan.Position, yyAttrStackPtr [1-1].expr.Tree, yyAttrStackPtr [3-1].expr.Tree));

;

} break;
case 666: /* case_range_elem : expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 145; {
/* line 891 "Balsa.lalr" */
 yySynAttribute.case_range_elem.Tree = mCaseImplicant (yyAttrStackPtr [1-1].expr.Tree->Expr.position, NoTree, yyAttrStackPtr [1-1].expr.Tree);
 ;

} break;
case 667:
case 462: /* case_matches : case_range_elem .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 139; {
/* line 894 "Balsa.lalr" */
 yyAttrStackPtr [1-1].case_range_elem.Tree->CaseMatch.next =
	mNullCaseMatchs (NoPosition); yySynAttribute.case_matches.Tree = yyAttrStackPtr [1-1].case_range_elem.Tree; ;
 ;

} break;
case 668:
case 451: /* case_matches : case_matches ',' case_range_elem .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 139; {
/* line 898 "Balsa.lalr" */
 yyAttrStackPtr [3-1].case_range_elem.Tree->CaseMatch.next = yyAttrStackPtr [1-1].case_matches.Tree;
	yySynAttribute.case_matches.Tree = yyAttrStackPtr [3-1].case_range_elem.Tree; ;
 ;

} break;
case 669:
case 445: /* formal_ports : port .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 109; {
/* line 902 "Balsa.lalr" */
 yyAttrStackPtr [1-1].port.Tree->FormalPort.next = mNullFormalPorts (NoPosition); yySynAttribute.formal_ports.Tree = yyAttrStackPtr [1-1].port.Tree; ;
 ;

} break;
case 670:
case 444: /* formal_ports : formal_ports ';' port .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 109; {
/* line 905 "Balsa.lalr" */
 yyAttrStackPtr [3-1].port.Tree->FormalPort.next = yyAttrStackPtr [1-1].formal_ports.Tree; yySynAttribute.formal_ports.Tree = yyAttrStackPtr [3-1].port.Tree; ;
 ;

} break;
case 671:
case 465: /* guards : guard .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 128; {
/* line 908 "Balsa.lalr" */
 yyAttrStackPtr [1-1].guard.Tree->Guard.next = mNullGuards (NoPosition); yySynAttribute.guards.Tree = yyAttrStackPtr [1-1].guard.Tree; ;
 ;

} break;
case 672:
case 450: /* guards : guards '|' guard .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 128; {
/* line 911 "Balsa.lalr" */
 yyAttrStackPtr [3-1].guard.Tree->Guard.next = yyAttrStackPtr [1-1].guards.Tree; yySynAttribute.guards.Tree = yyAttrStackPtr [3-1].guard.Tree; ;
 ;

} break;
case 673:
case 447: /* port_guards : port_guard .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 123; {
/* line 914 "Balsa.lalr" */
 yyAttrStackPtr [1-1].port_guard.Tree->PortGuard.next = mNullPortGuards (NoPosition); yySynAttribute.port_guards.Tree = yyAttrStackPtr [1-1].port_guard.Tree; ;
 ;

} break;
case 674:
case 446: /* port_guards : port_guards '|' port_guard .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 123; {
/* line 917 "Balsa.lalr" */
 yyAttrStackPtr [3-1].port_guard.Tree->PortGuard.next = yyAttrStackPtr [1-1].port_guards.Tree; yySynAttribute.port_guards.Tree = yyAttrStackPtr [3-1].port_guard.Tree; ;
 ;

} break;
case 675:
case 472: /* decl_guards : decl_guard .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 102; {
/* line 920 "Balsa.lalr" */
 yyAttrStackPtr [1-1].decl_guard.Tree->DeclGuard.next = mNullDeclGuards (NoPosition); yySynAttribute.decl_guards.Tree = yyAttrStackPtr [1-1].decl_guard.Tree; ;
 ;

} break;
case 676:
case 471: /* decl_guards : decl_guards '|' decl_guard .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 102; {
/* line 923 "Balsa.lalr" */
 yyAttrStackPtr [3-1].decl_guard.Tree->DeclGuard.next = yyAttrStackPtr [1-1].decl_guards.Tree; yySynAttribute.decl_guards.Tree = yyAttrStackPtr [3-1].decl_guard.Tree; ;
 ;

} break;
case 677:
case 464: /* case_guards : case_guard .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 129; {
/* line 926 "Balsa.lalr" */
 yyAttrStackPtr [1-1].case_guard.Tree->CaseGuard.next = mNullCaseGuards (NoPosition); yySynAttribute.case_guards.Tree = yyAttrStackPtr [1-1].case_guard.Tree; ;
 ;

} break;
case 678:
case 463: /* case_guards : case_guards '|' case_guard .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 129; {
/* line 929 "Balsa.lalr" */
 yyAttrStackPtr [3-1].case_guard.Tree->CaseGuard.next = yyAttrStackPtr [1-1].case_guards.Tree; yySynAttribute.case_guards.Tree = yyAttrStackPtr [3-1].case_guard.Tree; ;
 ;

} break;
case 679:
case 454: /* channel_guards : channel_guard .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 131; {
/* line 932 "Balsa.lalr" */
 yyAttrStackPtr [1-1].channel_guard.Tree->ChannelGuard.next = mNullChannelGuards (NoPosition);
	yySynAttribute.channel_guards.Tree = yyAttrStackPtr [1-1].channel_guard.Tree; ;
 ;

} break;
case 680:
case 461: /* channel_guards : channel_guards '|' channel_guard .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 131; {
/* line 936 "Balsa.lalr" */
 yyAttrStackPtr [3-1].channel_guard.Tree->ChannelGuard.next = yyAttrStackPtr [1-1].channel_guards.Tree;
	yySynAttribute.channel_guards.Tree = yyAttrStackPtr [3-1].channel_guard.Tree; ;
 ;

} break;
case 681:
case 428: /* record_elems : linked_typed_idents .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 114; {
/* line 940 "Balsa.lalr" */
 yyAttrStackPtr [1-1].linked_typed_idents.Tree->RecordElem.next = mNullRecordElems (NoPosition);
	yySynAttribute.record_elems.Tree = yyAttrStackPtr [1-1].linked_typed_idents.Tree; ;
 ;

} break;
case 682:
case 427: /* record_elems : record_elems ';' linked_typed_idents .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 114; {
/* line 944 "Balsa.lalr" */
 yyAttrStackPtr [3-1].linked_typed_idents.Tree->RecordElem.next = yyAttrStackPtr [1-1].record_elems.Tree;
	yySynAttribute.record_elems.Tree = yyAttrStackPtr [3-1].linked_typed_idents.Tree; ;
 ;

} break;
case 683:
case 431: /* enum_elems : enum_elem .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 115; {
/* line 948 "Balsa.lalr" */
 yyAttrStackPtr [1-1].enum_elem.Tree->EnumElem.next = mNullEnumElems (NoPosition); yySynAttribute.enum_elems.Tree = yyAttrStackPtr [1-1].enum_elem.Tree; ;
 ;

} break;
case 684:
case 429: /* enum_elems : enum_elems ',' enum_elem .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 115; {
/* line 951 "Balsa.lalr" */
 yyAttrStackPtr [3-1].enum_elem.Tree->EnumElem.next = yyAttrStackPtr [1-1].enum_elems.Tree; yySynAttribute.enum_elems.Tree = yyAttrStackPtr [3-1].enum_elem.Tree; ;
 ;

} break;
case 685: /* enum_elem : ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 147; {
/* line 954 "Balsa.lalr" */
 yySynAttribute.enum_elem.Tree = mDefaultValuedEnumElem (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].Scan.ident.ident);
 ;

} break;
case 686: /* enum_elem : ident '=' expr .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 147; {
/* line 957 "Balsa.lalr" */
 yySynAttribute.enum_elem.Tree = mValuedEnumElem (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].Scan.ident.ident,
	mCoercedExpr (yyAttrStackPtr [3-1].expr.Tree));
 ;

} break;
case 687:
case 424: /* linked_typed_idents : idents ':' type .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 146; {
/* line 961 "Balsa.lalr" */
 yySynAttribute.linked_typed_idents.Tree = mRecordElem (yyAttrStackPtr [2-1].Scan.Position, NoTree, ReverseTree (yyAttrStackPtr [1-1].idents.Tree), yyAttrStackPtr [3-1].type.Tree);
 ;

} break;
case 688:
case 338: /* linked_ident : ident .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 141; {
/* line 964 "Balsa.lalr" */
 yySynAttribute.linked_ident.Tree = mIdent (yyAttrStackPtr [1-1].Scan.Position, NoTree, yyAttrStackPtr [1-1].Scan.ident.ident);
 ;

} break;
case 689: /* linked_expr : expr .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 142; {
/* line 967 "Balsa.lalr" */
 yySynAttribute.linked_expr.Tree = mExprList (yyAttrStackPtr [1-1].expr.Tree->Expr.position, NoTree, mCoercedExpr (yyAttrStackPtr [1-1].expr.Tree));
 ;

} break;
case 690:
case 452: /* linked_channel : block .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 143; {
/* line 970 "Balsa.lalr" */
 yySynAttribute.linked_channel.Tree = mLinkedBlock (yyAttrStackPtr [1-1].block.Tree->Block.position, NoTree, yyAttrStackPtr [1-1].block.Tree);
 ;

} break;
case 691: /* linked_channel : lvalue .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 143; {
/* line 973 "Balsa.lalr" */
 yySynAttribute.linked_channel.Tree = mLinkedChannel (yyAttrStackPtr [1-1].lvalue.Tree->Lvalue.position, NoTree, NoIdent, yyAttrStackPtr [1-1].lvalue.Tree);
 ;

} break;
case 692:
case 383: /* linked_channel : lvalue 'is' ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 143; {
/* line 976 "Balsa.lalr" */
 yySynAttribute.linked_channel.Tree = mLinkedChannel (yyAttrStackPtr [1-1].lvalue.Tree->Lvalue.position, NoTree, yyAttrStackPtr [3-1].Scan.ident.ident, yyAttrStackPtr [1-1].lvalue.Tree);
 ;

} break;
case 693:
case 384: /* linked_channel : lvalue '->' ident .*/
  yyStateStackPtr -= 3; yyAttrStackPtr -= 3; yyNonterminal = 143; {
/* line 979 "Balsa.lalr" */
 yySynAttribute.linked_channel.Tree = mLinkedChannel (yyAttrStackPtr [1-1].lvalue.Tree->Lvalue.position, NoTree, yyAttrStackPtr [3-1].Scan.ident.ident, yyAttrStackPtr [1-1].lvalue.Tree);
 ;

} break;
case 694: /* linked_lvalue : lvalue .*/
  yyStateStackPtr -= 1; yyAttrStackPtr -= 1; yyNonterminal = 144; {
/* line 982 "Balsa.lalr" */
 yySynAttribute.linked_lvalue.Tree = mLinkedChannel (yyAttrStackPtr [1-1].lvalue.Tree->Lvalue.position, NoTree, NoIdent, yyAttrStackPtr [1-1].lvalue.Tree);
 ;

} break;
}

	       /* SPEC State = Next (Top (), Nonterminal); nonterminal transition */
	       yyState = * (yyNBasePtr [* yyStateStackPtr ++] + yyNonterminal);
	       * yyAttrStackPtr ++ = yySynAttribute;
	       if (yyState < yyFirstFinalState) goto ParseLoop;	/* read reduce ? */
	    } 

	 } else {					/* read */
	    yyStateStackPtr ++;
	    yyGetAttribute (yyAttrStackPtr ++, BalsaScan_Attribute);
	    yyTerminal = BalsaScan_GetToken ();
	    yyIsRepairing = false;
	 }
      }
   }

static void yyErrorRecovery
# if defined __STDC__ | defined __cplusplus
   (yySymbolRange * yyTerminal, yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr)
# else
   (yyTerminal, yyStateStack, yyStackSize, yyStackPtr)
   yySymbolRange *	yyTerminal	;
   yyStateRange *	yyStateStack	;
   unsigned long	yyStackSize	;
   short		yyStackPtr	;
# endif
   {
      bool	yyTokensSkipped	;
      tSet	yyContinueSet	;
      tSet	yyRestartSet	;
      int	yyLength = 0	;
      char	yyContinueString [256];

   /* 1. report an error */
      ErrorMessage (xxSyntaxError, xxError, BalsaScan_Attribute.Position);

   /* 2. report the set of expected terminal symbols */
      MakeSet (& yyContinueSet, (short) yyLastTerminal);
      yyComputeContinuation (yyStateStack, yyStackSize, yyStackPtr, & yyContinueSet);
      yyContinueString [0] = '\0';
      while (! IsEmpty (& yyContinueSet)) {
	 char * yyTokenString = Balsa_TokenName [Extract (& yyContinueSet)];
	 if ((yyLength += strlen (yyTokenString) + 1) >= 256) break;
	 (void) strcat (yyContinueString, yyTokenString);
	 (void) strcat (yyContinueString, " ");
      }
      ErrorMessageI (xxExpectedTokens, xxInformation, BalsaScan_Attribute.Position,
	 xxString, yyContinueString);
      ReleaseSet (& yyContinueSet);

   /* 3. compute the set of terminal symbols for restart of the parse */
      MakeSet (& yyRestartSet, (short) yyLastTerminal);
      yyComputeRestartPoints (yyStateStack, yyStackSize, yyStackPtr, & yyRestartSet);

   /* 4. skip terminal symbols until a restart point is reached */
      yyTokensSkipped = false;
      while (! IsElement (* yyTerminal, & yyRestartSet)) {
	 * yyTerminal = BalsaScan_GetToken ();
	 yyTokensSkipped = true;
      }
      ReleaseSet (& yyRestartSet);

   /* 5. report the restart point */
      if (yyTokensSkipped) {
	 ErrorMessage (xxRestartPoint, xxInformation, BalsaScan_Attribute.Position);
      }
   }

/*
   compute the set of terminal symbols that can be accepted (read)
   in a given stack configuration (eventually after reduce actions)
*/

static void yyComputeContinuation
# if defined __STDC__ | defined __cplusplus
   (yyStateRange * yyStack, unsigned long yyStackSize, short yyStackPtr, tSet * yyContinueSet)
# else
   (yyStack, yyStackSize, yyStackPtr, yyContinueSet)
   yyStateRange *	yyStack		;
   unsigned long	yyStackSize	;
   short		yyStackPtr	;
   tSet *		yyContinueSet	;
# endif
   {
      register yySymbolRange	yyTerminal;
      register yyStateRange	yyState = yyStack [yyStackPtr];

      AssignEmpty (yyContinueSet);
      for (yyTerminal = yyFirstTerminal; yyTerminal <= yyLastTerminal; yyTerminal ++) {
	 if (yyNext (yyState, yyTerminal) != yyNoState &&
	    yyIsContinuation (yyTerminal, yyStack, yyStackSize, yyStackPtr)) {
	    Include (yyContinueSet, (short) yyTerminal);
	 }
      }
   }

/*
   check whether a given terminal symbol can be accepted (read)
   in a certain stack configuration (eventually after reduce actions)
*/

static bool yyIsContinuation
# if defined __STDC__ | defined __cplusplus
   (yySymbolRange yyTerminal, yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr)
# else
   (yyTerminal, yyStateStack, yyStackSize, yyStackPtr)
   yySymbolRange	yyTerminal	;
   yyStateRange *	yyStateStack	;
   unsigned long	yyStackSize	;
   short		yyStackPtr	;
# endif
   {
      register yyStateRange	yState		;
      register yySymbolRange	yyNonterminal	;
	       yyStateRange *	yyStack		;
   
      MakeArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));	/* pass Stack by value */
# ifdef BCOPY
      bcopy ((char *) yyStateStack, (char *) yyStack, (int) sizeof (yyStateRange) * (yyStackPtr + 1));
# else
      (void) memcpy ((char *) yyStack, (char *) yyStateStack, (int) sizeof (yyStateRange) * (yyStackPtr + 1));
# endif

      yState = yyStack [yyStackPtr];
      for (;;) {
	 yyStack [yyStackPtr] = yState;
	 yState = yyNext (yState, yyTerminal);
	 if (yState == yyNoState) {
	    ReleaseArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
	    return false;
	 }
	 if (yState <= yyLastReadReduceState) {		/* read or read reduce ? */
	    ReleaseArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
	    return true;
	 }

	 for (;;) {					/* reduce */
	    if (yState == yyStopState) {
	       ReleaseArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
	       return true;
	    } else { 
	       yyStackPtr -= yyLength [yState - yyFirstReduceState];
	       yyNonterminal = yyLeftHandSide [yState - yyFirstReduceState];
	    }

	    yState = yyNext (yyStack [yyStackPtr], yyNonterminal);
	    if (yyStackPtr >= yyStackSize) {
	       ExtendArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
	    }
	    yyStackPtr ++;
	    if (yState < yyFirstFinalState) break;	/* read nonterminal ? */
	    yState = yyFinalToProd [yState - yyFirstReadReduceState];	/* read reduce */
	 }
      }
   }

/*
   compute a set of terminal symbols that can be used to restart
   parsing in a given stack configuration. we simulate parsing until
   end of file using a suffix program synthesized by the function
   Continuation. All symbols acceptable in the states reached during
   the simulation can be used to restart parsing.
*/

static void yyComputeRestartPoints
# if defined __STDC__ | defined __cplusplus
   (yyStateRange * yyStateStack, unsigned long yyStackSize, short yyStackPtr, tSet * yyRestartSet)
# else
   (yyStateStack, yyStackSize, yyStackPtr, yyRestartSet)
   yyStateRange *	yyStateStack	;
   unsigned long	yyStackSize	;
   short		yyStackPtr	;
   tSet *		yyRestartSet	;
# endif
   {
      register yyStateRange	yState		;
      register yySymbolRange	yyNonterminal	;
	       yyStateRange *	yyStack		;
	       tSet		yyContinueSet	;
   
      MakeArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange)); /* pass Stack by value */
# ifdef BCOPY
      bcopy ((char *) yyStateStack, (char *) yyStack, (int) sizeof (yyStateRange) * (yyStackPtr + 1));
# else
      (void) memcpy ((char *) yyStack, (char *) yyStateStack, (int) sizeof (yyStateRange) * (yyStackPtr + 1));
# endif

      MakeSet (& yyContinueSet, (short) yyLastTerminal);
      AssignEmpty (yyRestartSet);
      yState = yyStack [yyStackPtr];

      for (;;) {
	 if (yyStackPtr >= yyStackSize) {
	    ExtendArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
	 }
	 yyStack [yyStackPtr] = yState;
	 yyComputeContinuation (yyStack, yyStackSize, yyStackPtr, & yyContinueSet);
	 Union (yyRestartSet, & yyContinueSet);
	 yState = yyNext (yState, yyContinuation [yState]);

	 if (yState >= yyFirstFinalState) {		/* final state ? */
	    if (yState <= yyLastReadReduceState) {	/* read reduce ? */
	       yyStackPtr ++;
	       yState = yyFinalToProd [yState - yyFirstReadReduceState];
	    }

	    for (;;) {					/* reduce */
	       if (yState == yyStopState) {
		  ReleaseSet (& yyContinueSet);
		  ReleaseArray ((char * *) & yyStack, & yyStackSize, sizeof (yyStateRange));
		  return;
	       } else { 
		  yyStackPtr -= yyLength [yState - yyFirstReduceState];
		  yyNonterminal = yyLeftHandSide [yState - yyFirstReduceState];
	       }

	       yState = yyNext (yyStack [yyStackPtr], yyNonterminal);
	       yyStackPtr ++;
	       if (yState < yyFirstFinalState) break;	/* read nonterminal ? */
	       yState = yyFinalToProd [yState - yyFirstReadReduceState]; /* read reduce */
	    }
	 } else {					/* read */
	    yyStackPtr ++;
	 }
      }
   }

/* access the parse table:   Next : State x Symbol -> Action */

static yyStateRange yyNext
# if defined __STDC__ | defined __cplusplus
   (yyStateRange yyState, yySymbolRange yySymbol)
# else
   (yyState, yySymbol) yyStateRange yyState; yySymbolRange yySymbol;
# endif
   {
      register yyTCombType * yyTCombPtr;

      if (yySymbol <= yyLastTerminal) {
	 for (;;) {
	    yyTCombPtr = yyTBasePtr [yyState] + yySymbol;
	    if (yyTCombPtr->Check != yyState) {
	       if ((yyState = yyDefault [yyState]) == yyNoState) return yyNoState;
	    } else {
	       return yyTCombPtr->Next;
	    }
	 }
      } else {
	return * (yyNBasePtr [yyState] + yySymbol);
      }
   }

static void BeginBalsa ()
   {
/* line 149 "Balsa.lalr" */


	BalsaScan_BeginScanner ();


   }

void CloseBalsa ()
   {
/* line 155 "Balsa.lalr" */


   }
